(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    694088,      19305]
NotebookOptionsPosition[    675156,      19044]
NotebookOutlinePosition[    675499,      19059]
CellTagsIndexPosition[    675456,      19056]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Now", " ", "the", " ", "formulas", " ", "for", " ", "the", " ", 
     "exponential", " ", "case"}], ",", " ", 
    RowBox[{
    "the", " ", "notations", " ", "used", " ", "in", " ", "the", " ", 
     "notes"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Root", " ", "node"}], ",", " ", 
     RowBox[{"interval", " ", "[", 
      RowBox[{"0", ",", "1"}], "]"}]}], " ", "*)"}],
   FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"first", " ", "the", " ", "basis"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"We", " ", "use", " ", "the", " ", "basis", " ", 
    RowBox[{"E", "^", "z"}], " ", "and", " ", 
    RowBox[{"E", "^", 
     RowBox[{"(", 
      RowBox[{"-", "z"}], ")"}]}], " ", "as", " ", "the", " ", "basis"}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"the", " ", "matrix", " ", "entries", " ", "are", " ", 
      RowBox[{"e", "^", 
       RowBox[{"(", 
        RowBox[{"-", 
         RowBox[{"|", 
          RowBox[{"z", "-", 
           RowBox[{"z", "'"}]}], "|"}]}], ")"}]}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"e", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "z"}], "+", 
          RowBox[{"z", "'"}]}], ")"}]}], " ", "when", " ", "z"}], ">", 
      RowBox[{"z", "'"}]}]}], ",", " ", 
    RowBox[{"=", 
     RowBox[{
      RowBox[{
       RowBox[{"e", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", 
          RowBox[{"z", "'"}]}], ")"}]}], " ", "when", " ", 
       RowBox[{"z", "'"}]}], ">", "z"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"we", " ", "study", " ", 
    RowBox[{"f", "^", "T"}], " ", "A", " ", "f", " ", "from", " ", "PDE", " ",
     "perspective"}], " ", "*)"}], "\[IndentingNewLine]", 
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}],
   FontSize->24,
   FontWeight->"Bold",
   FontColor->RGBColor[1., 0., 0.]], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "x"}], "+", "y"}], ")"}]}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "0", ",", "x"}], "}"}]}], "]"}], "+", 
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"x", "-", "y"}], ")"}]}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "x", ",", "1"}], "}"}]}], "]"}]}], ")"}], "/", 
      "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"phi", "''"}], "[", "x", "]"}], "-", 
     RowBox[{"phi", "[", "x", "]"}], "+", 
     RowBox[{"f", "[", "x", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi", "[", "0", "]"}], "-", 
    RowBox[{
     RowBox[{"phi", "'"}], "[", "0", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"phi", "[", "1", "]"}], "+", 
     RowBox[{
      RowBox[{"phi", "'"}], "[", "1", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox[
     RowBox[{"(", 
      StyleBox["*",
       FontColor->RGBColor[1, 0, 0]]}]], 
    StyleBox[" ",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[
     RowBox[{
     "The", " ", "product", " ", "of", " ", "two", " ", "functions", " ", 
      "form", " ", "of", " ", "the", " ", 
      RowBox[{"Green", "'"}], "s", " ", "function"}],
     FontColor->RGBColor[1, 0, 0]], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gl", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"gr", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}]}], ";", " ", 
    RowBox[{"coef", "=", 
     RowBox[{"1", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{"coef", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"gr", "[", "x", "]"}], "*", 
           RowBox[{"gl", "[", "y", "]"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "0", ",", "x"}], "}"}]}], "]"}], "+", 
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"gl", "[", "x", "]"}], "*", 
           RowBox[{"gr", "[", "y", "]"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "x", ",", "1"}], "}"}]}], "]"}]}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"phi", "''"}], "[", "x", "]"}], "-", 
     RowBox[{"phi", "[", "x", "]"}], "+", " ", 
     RowBox[{"f", "[", "x", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi", "[", "0", "]"}], "-", 
    RowBox[{
     RowBox[{"phi", "'"}], "[", "0", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"phi", "[", "1", "]"}], "+", 
     RowBox[{
      RowBox[{"phi", "'"}], "[", "1", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"from", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      StyleBox["1.",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["POSITIVE",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[
       RowBox[{"DEFINITENESS", ":"}],
       FontColor->RGBColor[1, 0, 0]], " ", "we", " ", "see", " ", "that", " ",
       "for", " ", "any", " ", "f"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "^", "T"}], " ", "A", " ", "f"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"f", "^", "T"}], " ", "phi"}]}], ",", " ", 
     RowBox[{"apply", " ", "integration", " ", "by", " ", "parts"}], ",", " ", 
     RowBox[{
      RowBox[{"this", " ", "is", " ", "always", " ", 
       RowBox[{"positive", ".", " ", "2."}], " ", "The", " ", 
       StyleBox[
        RowBox[{"Green", "'"}],
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox["s",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox[" ",
        FontColor->RGBColor[1, 0, 0]], 
       StyleBox["function",
        FontColor->RGBColor[1, 0, 0]], " ", "for", " ", "the", " ", 
       RowBox[{"interval", " ", "[", 
        RowBox[{"0", ",", "1"}], "]"}], " ", "with", " ", "boundary", " ", 
       "conditions", " ", 
       RowBox[{
        RowBox[{"u", "'"}], "[", "0", "]"}]}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"u", "[", "0", "]"}], " ", "and", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"u", "'"}], "[", "1", "]"}]}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"u", "[", "1", "]"}]}], " ", "is", " ", "just", " ", "the", 
         " ", "free"}], "-", 
        RowBox[{"space", " ", 
         RowBox[{"Green", "'"}], "s", " ", 
         RowBox[{"function", "."}]}]}]}]}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQPSG4tb3oymvHXyGiXSD639fktSDae8nLTSB6qp/0
ARBd9+zdIRCtIVpzDUT7zQy8DqLfyN8zLAbSFZ9XGYPoM3XWjjOBdNNua3cQ
vbDvwkQQfWG/ziQQnfFWbFPBjdeO9st2bgfR//Y/iS8E0teSv4Lp8oTL6SDa
f/PlQhC9L/NaLYgWe/igGUQf7+/pAtHbpiyaDKIdptbNBNGXWrTXg+ibC1k3
g2idxMA9IHqWn/DCeUB6XdIkMH1m/5mlIDrCdtEGEM3U48K7H0hP0uoRA9G7
/TtzDgDpvLBpRSDag1v8xTEg3X/H9g2Irg1dcuUlkN50q/8qiE5abx5sehMY
LvOnh4BoAFLAxko=
  "],ExpressionUUID->"8dd934d6-2d6a-4711-8ade-a0d3eb300de0"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7373574742516603`*^9, 3.737357568011792*^9, {3.7373576497439075`*^9, 
   3.737357691409966*^9}, 3.737516219850207*^9, {3.7375189742740192`*^9, 
   3.737518999289055*^9}, 3.7375322649341836`*^9, 
   3.73760376636746*^9},ExpressionUUID->"f5b7a5a2-633d-4ed9-a080-\
e2f867f9e5bb"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7373574742516603`*^9, 3.737357568011792*^9, {3.7373576497439075`*^9, 
   3.737357691409966*^9}, 3.737516219850207*^9, {3.7375189742740192`*^9, 
   3.737518999289055*^9}, 3.7375322649341836`*^9, 
   3.737603767747462*^9},ExpressionUUID->"76fd4815-4301-46ba-be8b-\
c6a6700f9c8e"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "y"}]]}], " ", 
       RowBox[{"f", "[", "y", "]"}]}], 
      RowBox[{"\[DifferentialD]", "y"}]}]}], "+", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "y"}]], " ", 
       RowBox[{"f", "[", "y", "]"}]}], 
      RowBox[{"\[DifferentialD]", "y"}]}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.7373574742516603`*^9, 3.737357568011792*^9, {3.7373576497439075`*^9, 
   3.737357691409966*^9}, 3.737516219850207*^9, {3.7375189742740192`*^9, 
   3.737518999289055*^9}, 3.7375322649341836`*^9, 
   3.7376037691374636`*^9},ExpressionUUID->"151dc781-dead-4d2c-b1f4-\
45e98c5920af"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7373574742516603`*^9, 3.737357568011792*^9, {3.7373576497439075`*^9, 
   3.737357691409966*^9}, 3.737516219850207*^9, {3.7375189742740192`*^9, 
   3.737518999289055*^9}, 3.7375322649341836`*^9, 
   3.737603770688466*^9},ExpressionUUID->"1e4a01da-c4d0-4f9d-8535-\
bf488167a9cb"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7373574742516603`*^9, 3.737357568011792*^9, {3.7373576497439075`*^9, 
   3.737357691409966*^9}, 3.737516219850207*^9, {3.7375189742740192`*^9, 
   3.737518999289055*^9}, 3.7375322649341836`*^9, 
   3.7376037720784683`*^9},ExpressionUUID->"17c0f024-d434-4261-96c3-\
dda99a6f208e"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "y"}]]}], " ", 
       RowBox[{"f", "[", "y", "]"}]}], 
      RowBox[{"\[DifferentialD]", "y"}]}]}], "+", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "y"}]], " ", 
       RowBox[{"f", "[", "y", "]"}]}], 
      RowBox[{"\[DifferentialD]", "y"}]}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.7373574742516603`*^9, 3.737357568011792*^9, {3.7373576497439075`*^9, 
   3.737357691409966*^9}, 3.737516219850207*^9, {3.7375189742740192`*^9, 
   3.737518999289055*^9}, 3.7375322649341836`*^9, 
   3.73760377345947*^9},ExpressionUUID->"44ea74ae-5af9-4b1f-b6ae-\
9c99a88f7705"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     StyleBox["Basis",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"rules", ":"}],
      FontColor->RGBColor[1, 0, 0]], " ", "\[IndentingNewLine]", "For", " ", 
     "root", " ", 
     RowBox[{"node", ":", " ", 
      RowBox[{
       RowBox[{"E", "^", "z"}], " ", "and", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", "z"}], ")"}]}], "\[IndentingNewLine]", "For", " ", 
       "other", " ", 
       RowBox[{"nodes", ":", " ", 
        RowBox[{"Basis", " ", "1"}], ":", " ", 
        RowBox[{"either", " ", 
         RowBox[{"E", "^", "z"}], " ", "or", " ", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"-", "z"}], ")"}]}]}]}]}]}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "depending", " ", "on", " ", "if", " ", "the", " ", "node", " ", "is", 
      " ", "on", " ", "the", " ", "left", " ", 
      RowBox[{"of", " ", "[", 
       RowBox[{"0", ",", "1"}], "]"}], " ", "or", " ", "right", " ", 
      RowBox[{
       RowBox[{"of", " ", "[", 
        RowBox[{"0", ",", "1"}], "]"}], ".", " ", "\[IndentingNewLine]", 
       "Basis"}], " ", "2"}], ":", " ", 
     RowBox[{
      RowBox[{"Sinh", "[", 
       RowBox[{"z", "-", "za"}], "]"}], " ", "if", " ", "node", " ", "is", 
      " ", "a", " ", "left", " ", "node"}]}], ",", " ", 
    RowBox[{
     RowBox[{"Sinh", "[", 
      RowBox[{"z", "-", "zb"}], "]"}], " ", "if", " ", "node", " ", "is", " ",
      "a", " ", "right", " ", 
     RowBox[{"node", "."}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    StyleBox[
     RowBox[{"Why", " ", "such", " ", "a", " ", "choice"}],
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[",",
     FontColor->RGBColor[1, 0, 0]], " ", 
    RowBox[{
    "1.", " ", "As", " ", "the", " ", "length", " ", "of", " ", "the", " ", 
     "interval", " ", "changes"}], ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "impossible", " ", "to", " ", "have", " ", 
     "orthogonal", " ", "basis", " ", "which", " ", "changes", " ", "too", 
     " ", "rapidly", " ", "from", " ", "parent", " ", "to", " ", 
     RowBox[{"children", ".", " ", "2."}], " ", "We", " ", "want", " ", "to", 
     " ", "simplify", " ", "the", " ", "translation", " ", "formulas"}], ",", 
    " ", 
    RowBox[{
    "and", " ", "3.", " ", "We", " ", "want", " ", "to", " ", "see", " ", 
     "that", " ", "the", " ", "range", " ", "of", " ", "the", " ", 
     "EFFECTIVE", " ", "variables", " ", "are", " ", "\"\<bounded\>\"", " ", 
     "in", " ", "the", " ", "sense", " ", "that", " ", "outside", " ", 
     "values", " ", "are", " ", "too", " ", "small", " ", "and", " ", "can", 
     " ", "be", " ", 
     RowBox[{"IGNORED", "."}]}]}], " ", "*)"}], " "}]], "Input",
 CellChangeTimes->{{3.737450041618938*^9, 3.7374500460841665`*^9}, {
  3.7374502318664436`*^9, 3.737450247866291*^9}, {3.7374502905216475`*^9, 
  3.7374503259615135`*^9}, {3.7374503594093637`*^9, 
  3.7374506067922587`*^9}},ExpressionUUID->"f4474f65-8bd5-4b77-9cce-\
1c0678dc1077"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{"Left", " ", "Boundary", " ", 
     RowBox[{"node", " ", "[", 
      RowBox[{"a", ",", "b"}], "]"}]}],
    FontColor->RGBColor[1, 0, 0]], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"We", " ", "use", " ", "the", " ", "basis", " ", 
     RowBox[{"E", "^", "z"}], " ", "and", " ", 
     RowBox[{"Sinh", "[", "z", "]"}]}], ",", " ", 
    RowBox[{"the", " ", "following", " ", "shows", " ", "the", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "x"}], "+", "y"}], ")"}]}], "-", 
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"x", "+", "y", "-", 
                RowBox[{"2", "*", "b"}]}], ")"}]}]}], ")"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "a", ",", "x"}], "}"}]}], "]"}], "+", 
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"x", "-", "y"}], ")"}]}], "-", 
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"x", "+", "y", "-", 
                RowBox[{"2", "*", "b"}]}], ")"}]}]}], ")"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "x", ",", "b"}], "}"}]}], "]"}]}], ")"}], "/", 
      "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"phi", "''"}], "[", "x", "]"}], "-", 
     RowBox[{"phi", "[", "x", "]"}], "+", " ", 
     RowBox[{"f", "[", "x", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi", "[", "a", "]"}], "-", 
    RowBox[{
     RowBox[{"phi", "'"}], "[", "a", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"phi", "[", "b", "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "The", " ", "product", " ", "of", " ", "two", " ", "function", " ", 
     "form", " ", "of", " ", "the", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gl", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "b"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"gr", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"gr", "[", "x", "]"}], "*", 
         RowBox[{"gl", "[", "y", "]"}], "*", 
         RowBox[{"f", "[", "y", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", "a", ",", "x"}], "}"}]}], "]"}], "+", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"gl", "[", "x", "]"}], "*", 
         RowBox[{"gr", "[", "y", "]"}], "*", 
         RowBox[{"f", "[", "y", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", "x", ",", "b"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"phi", "''"}], "[", "x", "]"}], "-", 
     RowBox[{"phi", "[", "x", "]"}], "+", 
     RowBox[{"f", "[", "x", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi", "[", "a", "]"}], "-", 
    RowBox[{
     RowBox[{"phi", "'"}], "[", "a", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"phi", "[", "b", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.737445954912526*^9, 3.737445963304964*^9}, {
  3.7374499878570375`*^9, 3.7374500345315657`*^9}, {3.7375076180399213`*^9, 
  3.737507665913988*^9}, {3.737507706804046*^9, 3.7375077817141514`*^9}, {
  3.7375078291432185`*^9, 3.737507829624219*^9}, {3.737507866568271*^9, 
  3.7375078753592834`*^9}, {3.7375082051797485`*^9, 3.7375082160607643`*^9}, {
  3.7375161107690525`*^9, 3.737516129761079*^9}, {3.737516272638281*^9, 
  3.737516329664361*^9}, {3.737516371902421*^9, 3.7375165462856665`*^9}, {
  3.737516847105091*^9, 3.737516854312104*^9}, {3.737519032154101*^9, 
  3.737519052345129*^9}, {3.7375322843962107`*^9, 3.7375323045992393`*^9}, {
  3.7375333469597073`*^9, 3.737533354370718*^9}, {3.737533391805771*^9, 
  3.7375334045277886`*^9}},ExpressionUUID->"ff5d5969-c69e-4ebf-bc33-\
528e520ad745"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7374459652740707`*^9, 3.7375078043311834`*^9, 3.7375078361452284`*^9, 
   3.7375082244037757`*^9, {3.7375165000996013`*^9, 3.7375165517966747`*^9}, 
   3.7375168583321095`*^9, 3.737519068888152*^9, 3.737532309259246*^9, 
   3.7375333631217303`*^9, {3.7375333986867805`*^9, 
   3.737533408478794*^9}},ExpressionUUID->"ea135357-41dd-429c-8313-\
5a534d36992a"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7374459652740707`*^9, 3.7375078043311834`*^9, 3.7375078361452284`*^9, 
   3.7375082244037757`*^9, {3.7375165000996013`*^9, 3.7375165517966747`*^9}, 
   3.7375168583321095`*^9, 3.737519068888152*^9, 3.737532309259246*^9, 
   3.7375333631217303`*^9, {3.7375333986867805`*^9, 
   3.7375334113697987`*^9}},ExpressionUUID->"0314d0ce-699a-4427-9f7f-\
3e13bd607858"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7374459652740707`*^9, 3.7375078043311834`*^9, 3.7375078361452284`*^9, 
   3.7375082244037757`*^9, {3.7375165000996013`*^9, 3.7375165517966747`*^9}, 
   3.7375168583321095`*^9, 3.737519068888152*^9, 3.737532309259246*^9, 
   3.7375333631217303`*^9, {3.7375333986867805`*^9, 
   3.7375334114097986`*^9}},ExpressionUUID->"0d41e533-41a4-4a32-8cc1-\
554525ffde61"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7374459652740707`*^9, 3.7375078043311834`*^9, 3.7375078361452284`*^9, 
   3.7375082244037757`*^9, {3.7375165000996013`*^9, 3.7375165517966747`*^9}, 
   3.7375168583321095`*^9, 3.737519068888152*^9, 3.737532309259246*^9, 
   3.7375333631217303`*^9, {3.7375333986867805`*^9, 
   3.7375334117897987`*^9}},ExpressionUUID->"0534e677-bbe2-40ed-9f70-\
f1ef77630748"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7374459652740707`*^9, 3.7375078043311834`*^9, 3.7375078361452284`*^9, 
   3.7375082244037757`*^9, {3.7375165000996013`*^9, 3.7375165517966747`*^9}, 
   3.7375168583321095`*^9, 3.737519068888152*^9, 3.737532309259246*^9, 
   3.7375333631217303`*^9, {3.7375333986867805`*^9, 
   3.737533412009799*^9}},ExpressionUUID->"d22690d6-7eac-48bb-a129-\
1aad9aced100"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7374459652740707`*^9, 3.7375078043311834`*^9, 3.7375078361452284`*^9, 
   3.7375082244037757`*^9, {3.7375165000996013`*^9, 3.7375165517966747`*^9}, 
   3.7375168583321095`*^9, 3.737519068888152*^9, 3.737532309259246*^9, 
   3.7375333631217303`*^9, {3.7375333986867805`*^9, 
   3.7375334120297995`*^9}},ExpressionUUID->"5c7d6e08-9449-4f8e-be66-\
56d3a0cfc621"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{"Right", " ", "Boundary", " ", 
     RowBox[{"node", " ", "[", 
      RowBox[{"a", ",", "b"}], "]"}]}],
    FontColor->RGBColor[1, 0, 0]], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"We", " ", "use", " ", "the", " ", "basis", " ", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", "z"}], ")"}]}], " ", "and", " ", 
     RowBox[{"Sinh", "[", 
      RowBox[{"z", "-", "1"}], "]"}]}], ",", " ", 
    RowBox[{"the", " ", "following", " ", "shows", " ", "the", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "x"}], "+", "y"}], ")"}]}], "-", 
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "x"}], "-", "y", "+", 
                RowBox[{"2", "*", "a"}]}], ")"}]}]}], ")"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "a", ",", "x"}], "}"}]}], "]"}], "+", 
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"x", "-", "y"}], ")"}]}], "-", 
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "x"}], "-", "y", "+", 
                RowBox[{"2", "*", "a"}]}], ")"}]}]}], ")"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "x", ",", "b"}], "}"}]}], "]"}]}], ")"}], "/", 
      "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"phi", "''"}], "[", "x", "]"}], "-", 
     RowBox[{"phi", "[", "x", "]"}], "+", " ", 
     RowBox[{"f", "[", "x", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"phi", "[", "b", "]"}], "+", 
     RowBox[{
      RowBox[{"phi", "'"}], "[", "b", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"phi", "[", "a", "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "The", " ", "product", " ", "of", " ", "two", " ", "function", " ", 
     "form", " ", "of", " ", "the", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gl", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"gr", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "a"}], ")"}]}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"gr", "[", "x", "]"}], "*", 
         RowBox[{"gl", "[", "y", "]"}], "*", 
         RowBox[{"f", "[", "y", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", "a", ",", "x"}], "}"}]}], "]"}], "+", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"gl", "[", "x", "]"}], "*", 
         RowBox[{"gr", "[", "y", "]"}], "*", 
         RowBox[{"f", "[", "y", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", "x", ",", "b"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"phi", "''"}], "[", "x", "]"}], "-", 
     RowBox[{"phi", "[", "x", "]"}], "+", 
     RowBox[{"f", "[", "x", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"phi", "[", "b", "]"}], "+", 
     RowBox[{
      RowBox[{"phi", "'"}], "[", "b", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"phi", "[", "a", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7375079125043364`*^9, 3.7375080405415163`*^9}, {
  3.7375080728875628`*^9, 3.7375080821685753`*^9}, {3.7375081946587343`*^9, 
  3.7375081950787344`*^9}, {3.737516585922723*^9, 3.7375166462378073`*^9}, {
  3.737516722784915*^9, 3.73751682522106*^9}, {3.7375190810391693`*^9, 
  3.7375190960801907`*^9}, {3.737532335962283*^9, 3.737532353533308*^9}, {
  3.737533426030819*^9, 
  3.7375334388128366`*^9}},ExpressionUUID->"96652a5d-2fb3-4bf0-82f6-\
89da8938e057"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375080503935304`*^9, 3.7375080860285807`*^9, {3.737516774591988*^9, 
   3.7375167975250206`*^9}, 3.7375168304430676`*^9, 3.7375191096322107`*^9, 
   3.737532358364315*^9, 
   3.737533449683852*^9},ExpressionUUID->"10dab9d9-9bba-4dc9-b8c9-\
68db3dd99e96"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SubsuperscriptBox["\[Integral]", "a", "b"], 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"a", "-", "b"}]], " ", 
       RowBox[{"f", "[", "y", "]"}], " ", 
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "y"}], "]"}]}], 
      RowBox[{"\[DifferentialD]", "y"}]}]}], "+", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "a", "b"], 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"a", "-", "b"}]], " ", 
       RowBox[{"f", "[", "y", "]"}], " ", 
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "y"}], "]"}]}], 
      RowBox[{"\[DifferentialD]", "y"}]}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.7375080503935304`*^9, 3.7375080860285807`*^9, {3.737516774591988*^9, 
   3.7375167975250206`*^9}, 3.7375168304430676`*^9, 3.7375191096322107`*^9, 
   3.737532358364315*^9, 
   3.737533453174857*^9},ExpressionUUID->"96363ff8-5554-48ec-8aa7-\
9ed22bc06899"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375080503935304`*^9, 3.7375080860285807`*^9, {3.737516774591988*^9, 
   3.7375167975250206`*^9}, 3.7375168304430676`*^9, 3.7375191096322107`*^9, 
   3.737532358364315*^9, 
   3.7375334532248573`*^9},ExpressionUUID->"559ce842-0e9a-4f12-8034-\
1b602e3e22da"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375080503935304`*^9, 3.7375080860285807`*^9, {3.737516774591988*^9, 
   3.7375167975250206`*^9}, 3.7375168304430676`*^9, 3.7375191096322107`*^9, 
   3.737532358364315*^9, 
   3.737533453744858*^9},ExpressionUUID->"999ea591-57bc-4921-9616-\
548321c110f7"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubsuperscriptBox["\[Integral]", "a", "b"], 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"a", "-", "b"}]]}], " ", 
     RowBox[{"f", "[", "y", "]"}], " ", 
     RowBox[{"Sinh", "[", 
      RowBox[{"a", "-", "y"}], "]"}]}], 
    RowBox[{"\[DifferentialD]", "y"}]}]}], "+", 
  RowBox[{
   SubsuperscriptBox["\[Integral]", "a", "b"], 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"a", "-", "b"}]], " ", 
     RowBox[{"f", "[", "y", "]"}], " ", 
     RowBox[{"Sinh", "[", 
      RowBox[{"a", "-", "y"}], "]"}]}], 
    RowBox[{"\[DifferentialD]", "y"}]}]}]}]], "Output",
 CellChangeTimes->{
  3.7375080503935304`*^9, 3.7375080860285807`*^9, {3.737516774591988*^9, 
   3.7375167975250206`*^9}, 3.7375168304430676`*^9, 3.7375191096322107`*^9, 
   3.737532358364315*^9, 
   3.737533454054858*^9},ExpressionUUID->"80d0ea55-be47-4895-9539-\
d38488cdb03a"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375080503935304`*^9, 3.7375080860285807`*^9, {3.737516774591988*^9, 
   3.7375167975250206`*^9}, 3.7375168304430676`*^9, 3.7375191096322107`*^9, 
   3.737532358364315*^9, 
   3.7375334540748587`*^9},ExpressionUUID->"b0df0c9b-775d-48c9-912f-\
ef4d71f96e8c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{"Interior", " ", 
     RowBox[{"node", " ", "[", 
      RowBox[{"a", ",", "b"}], "]"}]}],
    FontColor->RGBColor[1, 0, 0]], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"We", " ", "use", " ", "the", " ", "basis", " ", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", "z"}], ")"}]}], " ", "and", " ", 
     RowBox[{"Sinh", "[", 
      RowBox[{"z", "-", "1"}], "]"}]}], ",", " ", 
    RowBox[{"the", " ", "following", " ", "shows", " ", "the", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"H", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"E", "^", "y"}], "-", 
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "a"}], ")"}]}], "*", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"-", "y"}], ")"}]}]}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"2", "*", "b"}], ")"}]}], "-", 
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}], "*", 
        RowBox[{"E", "^", "x"}]}], "+", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"2", "*", "a"}], ")"}]}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "b"}], ")"}]}], "*", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"-", "y"}], ")"}]}]}], "-", 
           RowBox[{"E", "^", "y"}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"2", "*", "b"}], ")"}]}], "-", 
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"-", "x"}], ")"}]}]}]}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "x"}], "+", "y"}], ")"}]}], "-", 
             RowBox[{"H", "[", 
              RowBox[{"x", ",", "y"}], "]"}]}], ")"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "a", ",", "x"}], "}"}]}], "]"}], "+", 
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"x", "-", "y"}], ")"}]}], "-", 
             RowBox[{"H", "[", 
              RowBox[{"x", ",", "y"}], "]"}]}], ")"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "x", ",", "b"}], "}"}]}], "]"}]}], ")"}], "/", 
      "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"phi", "''"}], "[", "x", "]"}], "-", 
     RowBox[{"phi", "[", "x", "]"}], "+", " ", 
     RowBox[{"f", "[", "x", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"phi", "[", "a", "]"}], "\[IndentingNewLine]", 
   RowBox[{"phi", "[", "b", "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     StyleBox[
      RowBox[{"T", 
       StyleBox["he",
        FontColor->RGBColor[1, 0, 0]]}]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["two",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["function",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["product",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["form",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["of",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["the",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"Green", "'"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["s",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["function",
      FontColor->RGBColor[1, 0, 0]]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gl", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"gr", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coef", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"phi", "[", "x_", "]"}], "=", 
     RowBox[{"coef", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"gr", "[", "x", "]"}], "*", 
           RowBox[{"gl", "[", "y", "]"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "a", ",", "x"}], "}"}]}], "]"}], "+", 
        RowBox[{"Integrate", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"gr", "[", "y", "]"}], "*", 
           RowBox[{"gl", "[", "x", "]"}], "*", 
           RowBox[{"f", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "x", ",", "b"}], "}"}]}], "]"}]}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"phi", "''"}], "[", "x", "]"}], "-", 
     RowBox[{"phi", "[", "x", "]"}], "+", 
     RowBox[{"f", "[", "x", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"phi", "[", "a", "]"}], "\[IndentingNewLine]", 
   RowBox[{"phi", "[", "b", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.737508183356718*^9, 3.737508189687727*^9}, {
  3.7375113579293017`*^9, 3.737511408069372*^9}, {3.737515515352215*^9, 
  3.7375155774493027`*^9}, {3.737515678209444*^9, 3.7375158842347336`*^9}, {
  3.73751591694878*^9, 3.7375159243187904`*^9}, {3.7375176965862894`*^9, 
  3.737517721014324*^9}, {3.7375191427172575`*^9, 3.7375191717202983`*^9}, {
  3.7375324176513987`*^9, 
  3.7375324511474457`*^9}},ExpressionUUID->"ed8c8823-c63a-41f8-8251-\
ea02dec0adff"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375114181003866`*^9, 3.737515873483719*^9, {3.737515921788787*^9, 
   3.737515929198797*^9}, 3.7375177295853367`*^9, 3.737519185404318*^9, 
   3.737532458651457*^9, 
   3.737533511221939*^9},ExpressionUUID->"e32fc4e0-233d-454b-9df4-\
63248b992f7e"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375114181003866`*^9, 3.737515873483719*^9, {3.737515921788787*^9, 
   3.737515929198797*^9}, 3.7375177295853367`*^9, 3.737519185404318*^9, 
   3.737532458651457*^9, 
   3.737533511251939*^9},ExpressionUUID->"41faac92-9ea3-4ccb-a434-\
b4e51f36674f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375114181003866`*^9, 3.737515873483719*^9, {3.737515921788787*^9, 
   3.737515929198797*^9}, 3.7375177295853367`*^9, 3.737519185404318*^9, 
   3.737532458651457*^9, 
   3.737533511301939*^9},ExpressionUUID->"2c2f41e4-e639-405b-87fa-\
2fbeb64dd284"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375114181003866`*^9, 3.737515873483719*^9, {3.737515921788787*^9, 
   3.737515929198797*^9}, 3.7375177295853367`*^9, 3.737519185404318*^9, 
   3.737532458651457*^9, 
   3.73753351184194*^9},ExpressionUUID->"91ecad2f-93a2-413e-83a6-\
3fff4f94bd54"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375114181003866`*^9, 3.737515873483719*^9, {3.737515921788787*^9, 
   3.737515929198797*^9}, 3.7375177295853367`*^9, 3.737519185404318*^9, 
   3.737532458651457*^9, 
   3.7375335119019394`*^9},ExpressionUUID->"0869951c-d9b2-4426-a8d7-\
bc2f114a198e"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7375114181003866`*^9, 3.737515873483719*^9, {3.737515921788787*^9, 
   3.737515929198797*^9}, 3.7375177295853367`*^9, 3.737519185404318*^9, 
   3.737532458651457*^9, 
   3.7375335119119396`*^9},ExpressionUUID->"81cea83a-fb42-4215-902c-\
8813c7ee54e7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     StyleBox[
      RowBox[{"N", 
       StyleBox["ow",
        FontColor->RGBColor[1, 0, 0]]}]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["parent",
      FontSize->24,
      FontColor->RGBColor[1, 0, 0]]}], 
    StyleBox["-",
     FontSize->24,
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[
     RowBox[{"children", " ", "relation"}],
     FontSize->24,
     FontColor->RGBColor[1, 0, 0]]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"If", " ", "we", " ", 
      RowBox[{"don", "'"}], "t", " ", "want", " ", "to", " ", "worry", " ", 
      "about", " ", "low"}], "-", 
     RowBox[{"dimensional", " ", "property"}]}], ",", " ", 
    RowBox[{"then", " ", "we", " ", "have", " ", "an", " ", "O", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"p", " ", "\\", "log"}], 
       RowBox[{"(", "p", ")"}]}], ")"}], " ", "algorithm"}], ",", " ", 
    RowBox[{
     RowBox[{"where", " ", "log", 
      RowBox[{"(", "p", ")"}], " ", "is", " ", "the", " ", "number", " ", 
      "of", " ", "t"}], "-", 
     RowBox[{
     "variables", " ", "introduced", " ", "and", " ", "is", " ", "the", " ", 
      "same", " ", "as", " ", "the", " ", "number", " ", "of", " ", 
      RowBox[{"levels", "."}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"After", " ", "each", " ", "decoupling"}], ",", " ", 
    RowBox[{
    "a", " ", "new", " ", "term", " ", "will", " ", "be", " ", "added"}], ",",
     " ", 
    RowBox[{"either", " ", "r", "*", "u", " ", "or", " ", 
     RowBox[{"1", "/", "r"}], "*", "v"}], ",", " ", 
    RowBox[{
    "we", " ", "show", " ", "the", " ", "new", " ", "terms", " ", "for", " ", 
     "each", " ", "child", " ", "node", " ", 
     RowBox[{"next", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "1"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["root",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", "x"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", "x"}], ")"}]}]}], ";", "  ", 
    RowBox[{"coefp", "=", 
     RowBox[{"1", "/", "2"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", "x"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", 
    RowBox[{"coefc", "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", "c"}], ")"}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", " ", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", "x"}], ")"}]}]}], ";", " ", 
    RowBox[{"coefd", "=", 
     RowBox[{"E", "^", "c"}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "x", "]"}], "*", 
      RowBox[{"glp", "[", "y", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "x", "]"}], "*", 
      RowBox[{"glc", "[", "y", "]"}], "*", "coefc"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"x", "-", "c"}], ")"}]}], "*", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"y", "-", "c"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "x", "]"}], "*", 
      RowBox[{"glp", "[", "y", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "x", "]"}], "*", 
      RowBox[{"gld", "[", "y", "]"}], "*", "coefd"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "x"}], ")"}]}], "*", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "y"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{"r", "*", "u"}], "=", " ", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"x", "-", "c"}], ")"}]}]}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "x"}], ")"}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.737520115880089*^9, 3.7375201267511044`*^9}, {
   3.7375298220827446`*^9, 3.7375298363467646`*^9}, {3.737530003877001*^9, 
   3.7375301147221565`*^9}, {3.7375315624721947`*^9, 
   3.7375315963852425`*^9}, {3.737531859857613*^9, 3.737531905102677*^9}, {
   3.737532559812599*^9, 3.7375326197696834`*^9}, 3.737533003922225*^9, {
   3.7375330499672894`*^9, 3.7375331623104477`*^9}, {3.7375356300579233`*^9, 
   3.737535699707021*^9}},ExpressionUUID->"1886370f-d3a4-4ca6-a4c4-\
7b3e5bc23a5f"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "c"}], "+", "x", "+", "y"}]]}]], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 
   3.7375357006170225`*^9},ExpressionUUID->"856a3e52-d46c-46e9-8d05-\
b70839be2c80"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "c"}], "+", "x", "+", "y"}]]}]], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 
   3.7375357006170225`*^9},ExpressionUUID->"d7bc559a-79c4-4698-ae9f-\
b7d72908aded"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 
   3.7375357006270227`*^9},ExpressionUUID->"7b39a1b9-b6c4-4d83-a892-\
76da2b71238d"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"2", " ", "c"}], "-", "x", "-", "y"}]]}]], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 
   3.7375357006470222`*^9},ExpressionUUID->"96658a34-8e7f-46c9-96ed-\
0eb72a2bec6e"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"2", " ", "c"}], "-", "x", "-", "y"}]]}]], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 
   3.7375357006470222`*^9},ExpressionUUID->"1096c0bf-7169-48ba-8706-\
da43ee9b9d33"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 
   3.7375357006470222`*^9},ExpressionUUID->"5346a01c-a3f8-48ae-a224-\
fdf32a6d0695"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "2"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["left",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["boundary",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "b"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", "  ", 
    RowBox[{"coefp", "=", "1"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "c"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefc", "=", "1"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "x", "]"}], "*", 
      RowBox[{"glp", "[", "y", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "x", "]"}], "*", 
      RowBox[{"glc", "[", "y", "]"}], "*", "coefc"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", "x"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", "y"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "x", "]"}], "*", 
      RowBox[{"glp", "[", "y", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "x", "]"}], "*", 
      RowBox[{"gld", "[", "y", "]"}], "*", "coefd"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{"r", "*", "u"}], "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"E", "^", "x"}]}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"Coth", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "x"}], "]"}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Note", ":", " ", 
      RowBox[{
       RowBox[{"Coth", "[", "t", "]"}], " ", "has", " ", "a", " ", 
       "singularity", " ", "at", " ", "t"}]}], "=", "0"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"Coth", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Therefore", ",", " ", 
     RowBox[{"both", " ", "r", "*", "u", " ", "and", " ", 
      RowBox[{"1", "/", "r"}], "*", 
      RowBox[{"v", " ", "\\", "approx"}], " ", "O", 
      RowBox[{"(", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"b", "-", "c"}], "]"}], ")"}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.737533769443302*^9, 3.737533828290385*^9}, {
   3.7375338772554536`*^9, 3.7375338821174603`*^9}, {3.737533920941515*^9, 
   3.7375339805095987`*^9}, 3.7375340111726418`*^9, {3.7375341279368067`*^9, 
   3.737534142069826*^9}, 3.7375342003379083`*^9, {3.7375344053991966`*^9, 
   3.7375345099433436`*^9}, {3.737534638111524*^9, 3.7375346771275787`*^9}, {
   3.737534707711622*^9, 3.7375347494196806`*^9}, {3.737534781672726*^9, 
   3.7375347908137393`*^9}, {3.7375357094290347`*^9, 3.73753577694013*^9}, {
   3.744557185636126*^9, 
   3.7445571860051327`*^9}},ExpressionUUID->"e1a3e7d0-0f7c-423a-9699-\
1c78a4079f46"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "b"}], "-", "c", "+", "x", "+", "y"}]], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "c"}], "]"}]}]], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.7375357781301317`*^9},ExpressionUUID->"036aa70a-f7df-4076-be55-\
0ce6599c6348"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "b"}], "-", "c", "+", "x", "+", "y"}]], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "c"}], "]"}]}]], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.737535778240132*^9},ExpressionUUID->"f8f466ad-4b92-454d-97a2-\
f1cdc87a14b6"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.737535778240132*^9},ExpressionUUID->"fcb9f282-1c29-41b9-b306-\
d7e49d5a121c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"Coth", "[", 
     RowBox[{"b", "-", "c"}], "]"}]}], ")"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "x"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "y"}], "]"}]}]], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.737535778310132*^9},ExpressionUUID->"62de5b03-60ad-4363-b4da-\
3c1039b7cf84"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"Coth", "[", 
     RowBox[{"b", "-", "c"}], "]"}]}], ")"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "x"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "y"}], "]"}]}]], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.7375357785301323`*^9},ExpressionUUID->"0641eed9-5f00-4818-a14a-\
a9b2a1ed1461"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.7375357785801325`*^9},ExpressionUUID->"d669d0b3-b02a-4418-9ff9-\
4fc36420251b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["1", "t"], "-", "1", "+", 
   FractionBox["t", "3"], "-", 
   FractionBox[
    SuperscriptBox["t", "3"], "45"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "t", "]"}], "5"],
    SeriesData[$CellContext`t, 0, {}, -1, 5, 1],
    Editable->False]}],
  SeriesData[$CellContext`t, 0, {1, -1, 
    Rational[1, 3], 0, 
    Rational[-1, 45]}, -1, 5, 1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.7375357785901327`*^9},ExpressionUUID->"afb42374-8d63-47d8-8599-\
b74c49948773"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "3"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["right",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["boundary",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "a"}], ")"}]}]}], ";", " ", "  ", 
    RowBox[{"coefp", "=", "1"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "a"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "c"}], ")"}]}]}], ";", "  ", 
    RowBox[{"coefd", "=", "1"}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
      "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
      ",", " ", 
      RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"grp", "[", "x", "]"}], "*", 
       RowBox[{"glp", "[", "y", "]"}], "*", "coefp"}], "-", 
      RowBox[{
       RowBox[{"grc", "[", "x", "]"}], "*", 
       RowBox[{"glc", "[", "y", "]"}], "*", "coefc"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "x", "]"}], "*", 
      RowBox[{"glp", "[", "y", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "x", "]"}], "*", 
      RowBox[{"gld", "[", "y", "]"}], "*", "coefd"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "x"}], ")"}]}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "y"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Coth", "[", 
           RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "x"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "c"}], ")"}]}], "-", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
        "*", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"-", "x"}], ")"}]}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Note", ":", " ", 
      RowBox[{
       RowBox[{"Coth", "[", "t", "]"}], " ", "has", " ", "a", " ", 
       "singularity", " ", "at", " ", "t"}]}], "=", "0"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"Coth", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Therefore", ",", " ", 
     RowBox[{"both", " ", "r", "*", "u", " ", "and", " ", 
      RowBox[{"1", "/", "r"}], "*", 
      RowBox[{"v", " ", "\\", "approx"}], " ", "O", 
      RowBox[{"(", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"b", "-", "c"}], "]"}], ")"}]}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.7375348272977905`*^9, 3.7375348338577995`*^9}, {
  3.7375348821928687`*^9, 3.7375350480561028`*^9}, {3.73753509593017*^9, 
  3.737535181481291*^9}, {3.7375352337483644`*^9, 3.7375352370483694`*^9}, {
  3.7375353826145744`*^9, 3.7375353910055857`*^9}, {3.7375354377016525`*^9, 
  3.737535516373763*^9}, {3.737535551157812*^9, 3.7375355530178146`*^9}, {
  3.737535802288166*^9, 3.737535855568241*^9}, {3.7445591798358*^9, 
  3.74455918009876*^9}},ExpressionUUID->"77e7aaaa-8a04-49e1-be2e-\
6bd1401ba0f0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"Coth", "[", 
      RowBox[{"a", "-", "c"}], "]"}]}], ")"}]}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "x"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "y"}], "]"}]}]], "Output",
 CellChangeTimes->{3.737535073828139*^9, 
  3.737535856528242*^9},ExpressionUUID->"97da34c5-4371-4105-b07c-\
14fea0eda338"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"Coth", "[", 
      RowBox[{"a", "-", "c"}], "]"}]}], ")"}]}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "x"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "y"}], "]"}]}]], "Output",
 CellChangeTimes->{3.737535073828139*^9, 
  3.737535856669243*^9},ExpressionUUID->"2e65ac67-7cb3-4be5-a1d4-\
c5455b0417c0"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.737535073828139*^9, 
  3.737535856719243*^9},ExpressionUUID->"8bcb9523-f30d-4b8b-bf85-\
550a1640cafd"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "x"}], "-", "y"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "a"}]]}], "+", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "c"}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.737535073828139*^9, 
  3.7375358568092427`*^9},ExpressionUUID->"79d60568-122d-4975-a409-\
f174ded47652"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "x"}], "-", "y"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "a"}]]}], "+", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "c"}]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.737535073828139*^9, 
  3.737535856889243*^9},ExpressionUUID->"3ead06ad-7e4b-4db2-8e11-\
cf966d657312"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.737535073828139*^9, 
  3.737535856889243*^9},ExpressionUUID->"8db84b3d-8eb5-4788-b6c8-\
ef30a66d04a6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["1", "t"], "-", "1", "+", 
   FractionBox["t", "3"], "-", 
   FractionBox[
    SuperscriptBox["t", "3"], "45"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "t", "]"}], "5"],
    SeriesData[$CellContext`t, 0, {}, -1, 5, 1],
    Editable->False]}],
  SeriesData[$CellContext`t, 0, {1, -1, 
    Rational[1, 3], 0, 
    Rational[-1, 45]}, -1, 5, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.737535073828139*^9, 
  3.7375358568992434`*^9},ExpressionUUID->"fc2533c9-5181-438b-9880-\
e26e91082581"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"Coth", "[", "t", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.737534527186368*^9, 3.737534549169399*^9}, {
  3.7375346050864773`*^9, 
  3.7375346192384977`*^9}},ExpressionUUID->"0b03536c-02a6-4960-90b3-\
0998c7469b2d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["1", "t"], "-", "1", "+", 
   FractionBox["t", "3"], "-", 
   FractionBox[
    SuperscriptBox["t", "3"], "45"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "t", "]"}], "5"],
    SeriesData[$CellContext`t, 0, {}, -1, 5, 1],
    Editable->False]}],
  SeriesData[$CellContext`t, 0, {1, -1, 
    Rational[1, 3], 0, 
    Rational[-1, 45]}, -1, 5, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.7375345530294046`*^9, 
  3.7375346199584985`*^9},ExpressionUUID->"cf63c7c6-1131-4692-9b5b-\
e607f759b7d4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "4"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "an", " ", 
     StyleBox["interior",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefp", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "c"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "x", "]"}], "*", 
      RowBox[{"glp", "[", "y", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "x", "]"}], "*", 
      RowBox[{"glc", "[", "y", "]"}], "*", "coefc"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "x", "]"}], "*", 
      RowBox[{"glp", "[", "y", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "x", "]"}], "*", 
      RowBox[{"gld", "[", "y", "]"}], "*", "coefd"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "x"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "x"}], "]"}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Note", ":", " ", 
      RowBox[{
       RowBox[{"Coth", "[", "t", "]"}], " ", "has", " ", "a", " ", 
       "singularity", " ", "at", " ", "t"}]}], "=", "0"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{"Csch", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "4"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Therefore", ",", " ", 
     RowBox[{"both", " ", "r", "*", "u", " ", "and", " ", 
      RowBox[{"1", "/", "r"}], "*", 
      RowBox[{"v", " ", "\\", "approx"}], " ", "O", 
      RowBox[{"(", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"b", "-", "c"}], "]"}], ")"}]}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.7375359004173045`*^9, 3.7375359076883144`*^9}, {
  3.7375359410913615`*^9, 3.737536083638562*^9}, {3.7375361513336587`*^9, 
  3.737536302775872*^9}},ExpressionUUID->"faa3ed6d-8057-4010-a5f9-\
7d7027d9e8c3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Csch", "[", 
   RowBox[{"a", "-", "b"}], "]"}], " ", 
  RowBox[{"Csch", "[", 
   RowBox[{"a", "-", "c"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "c"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "x"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "y"}], "]"}]}]], "Output",
 CellChangeTimes->{3.737536090699572*^9, 3.737536263148816*^9, 
  3.737536304235874*^9},ExpressionUUID->"ab2489e5-580c-43e6-894c-\
cc5f054ca323"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Csch", "[", 
   RowBox[{"a", "-", "b"}], "]"}], " ", 
  RowBox[{"Csch", "[", 
   RowBox[{"a", "-", "c"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "c"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "x"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "y"}], "]"}]}]], "Output",
 CellChangeTimes->{3.737536090699572*^9, 3.737536263148816*^9, 
  3.737536304235874*^9},ExpressionUUID->"d46154a6-5c45-4217-91f4-\
19782db7aab4"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.737536090699572*^9, 3.737536263148816*^9, 
  3.7375363042558737`*^9},ExpressionUUID->"c6e7e3b8-3172-4935-ab07-\
72ed83a3e21a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Csch", "[", 
   RowBox[{"a", "-", "b"}], "]"}], " ", 
  RowBox[{"Csch", "[", 
   RowBox[{"b", "-", "c"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "c"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "x"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "y"}], "]"}]}]], "Output",
 CellChangeTimes->{3.737536090699572*^9, 3.737536263148816*^9, 
  3.737536304355874*^9},ExpressionUUID->"9d7b9faf-f611-43a9-ac05-\
a9dde4e1e72c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Csch", "[", 
   RowBox[{"a", "-", "b"}], "]"}], " ", 
  RowBox[{"Csch", "[", 
   RowBox[{"b", "-", "c"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"a", "-", "c"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "x"}], "]"}], " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "y"}], "]"}]}]], "Output",
 CellChangeTimes->{3.737536090699572*^9, 3.737536263148816*^9, 
  3.737536304355874*^9},ExpressionUUID->"739d0569-0558-4dc5-979f-\
bc490ce41b56"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.737536090699572*^9, 3.737536263148816*^9, 
  3.7375363043658743`*^9},ExpressionUUID->"dc349ab2-c4ba-4e08-86a0-\
c50667bc065e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["1", "t"], "-", 
   FractionBox["t", "6"], "+", 
   FractionBox[
    RowBox[{"7", " ", 
     SuperscriptBox["t", "3"]}], "360"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "t", "]"}], "5"],
    SeriesData[$CellContext`t, 0, {}, -1, 5, 1],
    Editable->False]}],
  SeriesData[$CellContext`t, 0, {1, 0, 
    Rational[-1, 6], 0, 
    Rational[7, 360]}, -1, 5, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.737536090699572*^9, 3.737536263148816*^9, 
  3.7375363043658743`*^9},ExpressionUUID->"57453164-398f-4453-9ae9-\
6bcd4acb6cf5"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"So", " ", "far"}], ",", " ", 
    RowBox[{
     RowBox[{
     "we", " ", "showed", " ", "that", " ", "the", " ", "range", " ", "of", 
      " ", "the", " ", "sum", " ", "of", " ", "the", " ", "t"}], "-", 
     RowBox[{"variables", " ", "will", " ", "be", " ", "bounded"}]}], ",", 
    " ", 
    RowBox[{
     RowBox[{"assumeing", " ", "each", " ", "t"}], "-", 
     RowBox[{"variable", " ", "is", " ", 
      RowBox[{"between", " ", "[", 
       RowBox[{
        RowBox[{"-", "7"}], ",", "7"}], "]"}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "is", " ", "good", " ", "enough", " ", "for", " ", "the", 
     " ", "O", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"p", " ", "\\", "log"}], " ", 
       RowBox[{"(", "p", ")"}]}], ")"}], " ", 
     RowBox[{"algorithm", ".", " ", "however"}]}], ",", " ", 
    RowBox[{"in", " ", "order", " ", "to", " ", "have", " ", "the", " ", "O", 
     RowBox[{"(", "p", ")"}], " ", "algorithm"}], ",", " ", 
    RowBox[{
     RowBox[{"we", " ", "also", " ", "need", " ", "the", " ", "low"}], "-", 
     RowBox[{"dimensional", " ", "property"}]}], ",", " ", 
    RowBox[{"by", " ", "considering", " ", "the", " ", "effective", " ", 
     RowBox[{"variables", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"However", ",", " ", 
    RowBox[{"using", " ", "the", " ", "basis", " ", 
     RowBox[{"E", "^", "z"}], " ", "and", " ", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", "z"}], ")"}]}], " ", "is", " ", "a", " ", "bad", " ", 
     "idea"}], ",", " ", 
    RowBox[{
    "due", " ", "to", " ", "the", " ", "growth", " ", "of", " ", "the", " ", 
     RowBox[{"coefficients", ".", " ", "So"}], " ", "we", " ", "need", " ", 
     "to", " ", "consider", " ", "proper", " ", "basis", " ", "for", " ", 
     "each", " ", "interval"}], ",", " ", 
    RowBox[{
    "and", " ", "find", " ", "the", " ", "relations", " ", "of", " ", "the", 
     " ", 
     RowBox[{"parent", "'"}], "s", " ", "and", " ", 
     RowBox[{"children", "'"}], "s", " ", "effective", " ", 
     RowBox[{"variables", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.7375368874046965`*^9, 3.7375370573149357`*^9}, {
  3.7375370923709855`*^9, 3.7375370933109865`*^9}, {3.737537144865059*^9, 
  3.7375372094381504`*^9}},ExpressionUUID->"5c022223-4d01-4d67-9d98-\
cdeb95fd382e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"We", " ", "consider", " ", "the", " ", 
     StyleBox["first",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["basis",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["idea",
       FontColor->RGBColor[1, 0, 0]], ":", "\[IndentingNewLine]", 
      RowBox[{"1.", " ", "Root", " ", "node"}], ":", " ", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}], " ", "and", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}]}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"2.", " ", "Left", " ", 
     RowBox[{"node", ":", " ", 
      RowBox[{
       RowBox[{"(", "a", ")"}], " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}]}]}], ",", " ", 
    RowBox[{
     RowBox[{"(", "b", ")"}], " ", 
     RowBox[{
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"b", "-", "a"}], ")"}]}], " ", 
     RowBox[{"where", " ", "[", 
      RowBox[{"a", ",", "b"}], "]"}], " ", "are", " ", "the", " ", "two", " ",
      "end", " ", 
     RowBox[{"points", ".", "\[IndentingNewLine]", "3."}], " ", "right", " ", 
     RowBox[{"node", ":", " ", 
      RowBox[{
       RowBox[{"(", "a", ")"}], " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}]}]}], ",", " ", 
    RowBox[{
     RowBox[{"(", "b", ")"}], " ", 
     RowBox[{
      RowBox[{"Sinh", "[", 
       RowBox[{"z", "-", "a"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"b", "-", "a"}], ")"}]}], " ", 
     RowBox[{"where", " ", "[", 
      RowBox[{"a", ",", "b"}], "]"}], " ", "are", " ", "the", " ", "two", " ",
      "end", " ", 
     RowBox[{"points", ".", "\[IndentingNewLine]", "Next"}]}], ",", " ", 
    RowBox[{
    "we", " ", "check", " ", "if", " ", "these", " ", "basis", " ", "is", " ",
      "acceptable", " ", "or", " ", 
     RowBox[{"not", ".", " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      StyleBox["The",
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["second",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["basis",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["idea",
      FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", "1.", " ", "Root",
      " ", 
     RowBox[{"node", ":", " ", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", "z", ")"}]}], " ", "and", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", "z"}], ")"}]}]}]}]}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"2.", " ", "Left", " ", 
     RowBox[{"node", ":", " ", 
      RowBox[{
       RowBox[{"(", "a", ")"}], " ", "Either", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", "z", ")"}]}], " ", "or", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", "z"}], ")"}]}]}]}]}], ",", " ", 
    RowBox[{"depending", " ", "on", " ", "parent"}], ",", " ", 
    RowBox[{
     RowBox[{"(", "b", ")"}], " ", 
     RowBox[{
      RowBox[{"Sinh", "[", 
       RowBox[{"z", "-", "a"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"b", "-", "a"}], ")"}]}], " ", 
     RowBox[{"where", " ", "[", 
      RowBox[{"a", ",", "b"}], "]"}], " ", "are", " ", "the", " ", "two", " ",
      "end", " ", 
     RowBox[{"points", ".", "\[IndentingNewLine]", "3."}], " ", "right", " ", 
     RowBox[{"node", ":", " ", 
      RowBox[{
       RowBox[{"(", "a", ")"}], " ", "Either", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", "z", ")"}]}], " ", "or", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", "z"}], ")"}]}]}]}]}], ",", " ", 
    RowBox[{"depending", " ", "on", " ", "parent"}], ",", " ", 
    RowBox[{
     RowBox[{"(", "b", ")"}], " ", 
     RowBox[{
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"b", "-", "a"}], ")"}]}], " ", 
     RowBox[{"where", " ", "[", 
      RowBox[{"a", ",", "b"}], "]"}], " ", "are", " ", "the", " ", "two", " ",
      "end", " ", 
     RowBox[{"points", ".", "\[IndentingNewLine]", "Next"}]}], ",", " ", 
    RowBox[{
    "we", " ", "check", " ", "if", " ", "these", " ", "basis", " ", "is", " ",
      "acceptable", " ", "or", " ", 
     RowBox[{"not", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.7376020940131063`*^9, 3.7376021154561367`*^9}, {
  3.737602150649186*^9, 3.7376022152062764`*^9}, {3.7376022647353463`*^9, 
  3.7376023962625313`*^9}, {3.7376033063528123`*^9, 3.7376034514210167`*^9}, {
  3.7376035686331816`*^9, 3.737603622890258*^9}, {3.7376042376401253`*^9, 
  3.7376042748641777`*^9}, {3.737618612804109*^9, 
  3.737618626365885*^9}},ExpressionUUID->"76174bc2-1681-43ee-9eff-\
b1bc6111b377"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{"The", " ", "first", " ", "Basis"}],
    FontSize->24,
    FontWeight->"Bold",
    FontVariations->{"Underline"->True},
    FontColor->RGBColor[1., 0., 0.]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"Root", " ", 
      RowBox[{"node", ":", " ", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}], " ", "and", " ", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}]}]}], ";", " ", 
     RowBox[{"Left", " ", 
      RowBox[{"node", ":", " ", 
       RowBox[{
        RowBox[{"(", "a", ")"}], " ", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}]}]}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", "b", ")"}], " ", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], ";", " ", 
     RowBox[{"right", " ", 
      RowBox[{"node", ":", " ", 
       RowBox[{
        RowBox[{"(", "a", ")"}], " ", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}]}]}]}], ",", " ", 
    RowBox[{
     RowBox[{"(", "b", ")"}], " ", 
     RowBox[{
      RowBox[{"Sinh", "[", 
       RowBox[{"z", "-", "a"}], "]"}], "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}], "."}]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "1"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["root",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Parent", " ", "has", " ", "no", " ", "variables"}], ",", " ", 
    RowBox[{
     RowBox[{"so", " ", "w1p"}], "=", 
     RowBox[{"w2p", "=", "0"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "coupling", " ", "term", " ", "is", " ", "given", " ", "by", 
      " ", "0"}], "=", 
     RowBox[{"2", "*", "I", "*", "tnull", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"w1p", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
        RowBox[{"w2p", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"b", "-", "z"}], ")"}]}]}]}], ")"}]}]}]}], " ", "*)"}], 
  "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}]}], ";", "  ", 
    RowBox[{"coefp", "=", 
     RowBox[{"1", "/", "2"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "c"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", " ", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"c", "-", "x"}], ")"}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}]}], "-", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"x", "-", "c"}], ")"}]}], "*", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"y", "-", "c"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}]}], "-", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "x"}], ")"}]}], "*", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "y"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{"r", "*", "u"}], "=", " ", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"x", "-", "c"}], ")"}]}]}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "x"}], ")"}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "We", " ", "neglect", " ", "the", " ", "coefficient", " ", "2", "*", "I",
       " ", "in", " ", "the", " ", "following", " ", 
      RowBox[{"formulas", ".", "\[IndentingNewLine]", "For"}], " ", 
      StyleBox["Child",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["c",
       FontColor->RGBColor[1, 0, 0]]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "0"}], "+", 
       RowBox[{"t", "*", "r", "*", "u"}]}], "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a", "+", "a", "-", "c"}], ")"}]}], "*", "tnew"}],
        "=", 
       RowBox[{
        RowBox[{"w1c", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
        RowBox[{"w2c", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"c", "-", "z"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}]}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w1cc", "=", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"a", "-", "c"}], ")"}]}], "*", "tnew"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w2cc", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w1cc", "*", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"z", "-", "a"}], ")"}]}]}], "-", 
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"z", "-", "c"}], ")"}]}], "*", "tnew"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "0"}], "+", " ", 
       RowBox[{"t", "*", 
        RowBox[{"1", "/", "r"}], "*", "v"}]}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "b", "+", "b", "-", "z"}], ")"}]}], "*", "tnew"}],
        "=", 
       RowBox[{
        RowBox[{"w1d", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
        RowBox[{"w2d", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"z", "-", "c"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w1dd", "=", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "b"}], ")"}]}], "*", "tnew"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w2dd", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w1dd", "*", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"b", "-", "z"}], ")"}]}]}], "-", 
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"c", "-", "z"}], ")"}]}], "*", "tnew"}]}]}]}]], "Input",
 CellChangeTimes->{{3.737520115880089*^9, 3.7375201267511044`*^9}, {
   3.7375298220827446`*^9, 3.7375298363467646`*^9}, {3.737530003877001*^9, 
   3.7375301147221565`*^9}, {3.7375315624721947`*^9, 
   3.7375315963852425`*^9}, {3.737531859857613*^9, 3.737531905102677*^9}, {
   3.737532559812599*^9, 3.7375326197696834`*^9}, 3.737533003922225*^9, {
   3.7375330499672894`*^9, 3.7375331623104477`*^9}, {3.7375356300579233`*^9, 
   3.737535699707021*^9}, {3.737602496056672*^9, 3.7376024971266737`*^9}, {
   3.7376025454127417`*^9, 3.7376025523427515`*^9}, {3.737602603658823*^9, 
   3.7376026333778653`*^9}, {3.737603480184057*^9, 3.737603563652175*^9}, {
   3.737603824206541*^9, 3.7376038301985497`*^9}, 3.737603920008676*^9, {
   3.7376039524317217`*^9, 3.737604040732847*^9}, {3.7376040707978897`*^9, 
   3.7376040887099147`*^9}, {3.737604317119237*^9, 3.7376044688154516`*^9}, {
   3.7376045072605057`*^9, 3.73760469534377*^9}, {3.737604734988826*^9, 
   3.7376047784568872`*^9}, {3.7376048163609405`*^9, 
   3.7376048199409456`*^9}, {3.737604893529049*^9, 3.7376048939190493`*^9}, {
   3.7376049933721895`*^9, 3.7376049968131943`*^9}, {3.737605067902294*^9, 
   3.737605223004513*^9}, {3.737688914174882*^9, 3.7376889721379642`*^9}, {
   3.7376890645390944`*^9, 
   3.7376891697742424`*^9}},ExpressionUUID->"169c1cb5-43cb-4640-9d35-\
cd4a1814dcfe"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 3.7375357006170225`*^9, {
   3.7376047564038563`*^9, 3.737604779946889*^9}, 3.737604820781947*^9, 
   3.737604897339054*^9, 3.7376050080752106`*^9, {3.737605217343505*^9, 
   3.737605223724514*^9}, {3.737689157792226*^9, 
   3.737689171445245*^9}},ExpressionUUID->"9b7e3a30-a83d-4be8-b6e3-\
e862f0a075f0"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 3.7375357006170225`*^9, {
   3.7376047564038563`*^9, 3.737604779946889*^9}, 3.737604820781947*^9, 
   3.737604897339054*^9, 3.7376050080752106`*^9, {3.737605217343505*^9, 
   3.737605223724514*^9}, {3.737689157792226*^9, 
   3.737689171455245*^9}},ExpressionUUID->"e26e2bdd-134f-4f8c-be42-\
03b911ecb879"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 3.7375357006170225`*^9, {
   3.7376047564038563`*^9, 3.737604779946889*^9}, 3.737604820781947*^9, 
   3.737604897339054*^9, 3.7376050080752106`*^9, {3.737605217343505*^9, 
   3.737605223724514*^9}, {3.737689157792226*^9, 
   3.737689171455245*^9}},ExpressionUUID->"319b3d93-d1a2-4141-af98-\
9d7858b38138"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.737532703991802*^9, 3.7375327281138363`*^9}, 
   3.737532805552945*^9, 3.737532894400071*^9, 3.7375357006170225`*^9, {
   3.7376047564038563`*^9, 3.737604779946889*^9}, 3.737604820781947*^9, 
   3.737604897339054*^9, 3.7376050080752106`*^9, {3.737605217343505*^9, 
   3.737605223724514*^9}, {3.737689157792226*^9, 
   3.737689171455245*^9}},ExpressionUUID->"ece3f6f7-f47c-4b33-bc35-\
f5fb2e011647"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "2"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["left",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["boundary",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"As", " ", "the", " ", "left", " ", "boundary", " ", "node"}], 
    ",", " ", 
    RowBox[{"we", " ", "have", " ", "by", " ", "induction"}], ",", " ", 
    RowBox[{"w2p", "=", "0"}]}], " ", "*)"}], "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "b"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", "  ", 
    RowBox[{"coefp", "=", "1"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "c"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefc", "=", "1"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", "x"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", "y"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{"r", "*", "u"}], "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"E", "^", "x"}]}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"Coth", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "x"}], "]"}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{"note", " ", "that", " ", "w2p"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{
        "0", " ", "we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
        RowBox[{"tnew", "*", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
           RowBox[{"Sinh", "[", 
            RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", "z", ")"}]}]}]}], "=", 
       RowBox[{
        RowBox[{"w1c", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
        RowBox[{"w2c", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"c", "-", "z"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"c", "-", "z"}], ")"}]}]}]}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"by", " ", "induction"}], ",", " ", 
     RowBox[{
      RowBox[{"clearly", " ", "w2c"}], "=", "0"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1c", "=", 
      RowBox[{"w1p", "+", " ", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "a"], "*", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "b"}], "-", "c"}]], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]], "*", "tnew"}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2c", "=", "0"}], ";"}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"w1c", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a"}], ")"}]}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", "z", ")"}]}]}]}], ")"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], ")"}], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"b", "-", "c"}]], "+", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "c"}]]}], 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"b", "-", "c"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], 
         "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}]}], "==", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w2d"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"b", "-", "c"}], ")"}]}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "a"}], "-", 
        RowBox[{"2", " ", "b"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "b"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]], 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]]}], "+", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]], 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]]}], "+", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"b", "-", "c"}], ")"}]}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "a"}], "-", "b", "+", "c"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", 
         SuperscriptBox["\[ExponentialE]", "a"], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]], 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]]}], "+", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", "b"], " ", "w1p"}]}], ")"}]}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Now", " ", "the", " ", "relation", " ", "for", " ", "the", " ", "right", 
     " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", " ", "b"}], "+", 
          RowBox[{"2", " ", "c"}], "-", "a"}]], "*", " ", "w1p"}], "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "b"}], "+", 
           RowBox[{"2", " ", "c"}]}]], "*", "tnew"}], 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       RowBox[{"2", " ", "*", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], "*", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "a"}], "+", "c"}]], "*", " ", "w1p"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], "*", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}]], "*", " ", "tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.737533769443302*^9, 3.737533828290385*^9}, {
   3.7375338772554536`*^9, 3.7375338821174603`*^9}, {3.737533920941515*^9, 
   3.7375339805095987`*^9}, 3.7375340111726418`*^9, {3.7375341279368067`*^9, 
   3.737534142069826*^9}, 3.7375342003379083`*^9, {3.7375344053991966`*^9, 
   3.7375345099433436`*^9}, {3.737534638111524*^9, 3.7375346771275787`*^9}, {
   3.737534707711622*^9, 3.7375347494196806`*^9}, {3.737534781672726*^9, 
   3.7375347908137393`*^9}, {3.7375357094290347`*^9, 3.73753577694013*^9}, {
   3.7376052579195623`*^9, 3.7376052662505736`*^9}, {3.737605296323616*^9, 
   3.7376053727627234`*^9}, {3.7376054071657715`*^9, 
   3.7376054502008324`*^9}, {3.737605531789947*^9, 3.7376055838560205`*^9}, {
   3.7376056935791745`*^9, 3.7376057210872135`*^9}, {3.737605788741309*^9, 
   3.7376059244665003`*^9}, {3.737605979412577*^9, 3.7376061370648003`*^9}, {
   3.7376061678388433`*^9, 3.7376062991560287`*^9}, {3.7376063763301373`*^9, 
   3.7376063854011497`*^9}, {3.737606665951545*^9, 3.73760671946762*^9}, {
   3.7376068914868627`*^9, 3.7376069111778903`*^9}, {3.7376069498769445`*^9, 
   3.7376070592630987`*^9}, {3.7376072528763714`*^9, 
   3.7376072645073876`*^9}, {3.7376073199934654`*^9, 3.737607360852523*^9}, {
   3.737607431492623*^9, 3.7376074363736296`*^9}, {3.7376075489147882`*^9, 
   3.7376077208820314`*^9}, {3.7376089164367137`*^9, 3.737608918226716*^9}, {
   3.737609009158844*^9, 3.737609018329857*^9}, {3.7376093132542715`*^9, 
   3.737609327467292*^9}, 3.737689228372325*^9, 3.7376899268483067`*^9, {
   3.7376900015494123`*^9, 3.7376900030494146`*^9}, {3.737690069006507*^9, 
   3.7376900850285296`*^9}},ExpressionUUID->"156946dc-c529-44af-a48b-\
922e213e9d7f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.7375357781301317`*^9, 3.7376059250465007`*^9, {3.7376060929287367`*^9, 
   3.7376061072917585`*^9}, 3.7376061375648007`*^9, 3.7376061691588454`*^9, 
   3.7376067075756035`*^9, 3.7376067880447173`*^9, 3.737607009006028*^9, 
   3.737607060934101*^9, 3.737607265637389*^9, 3.7376076931629915`*^9, {
   3.7376077310730457`*^9, 3.7376077564960814`*^9}, 3.737608929357732*^9, {
   3.7376090209898605`*^9, 3.737609054602908*^9}, 3.7376900238414435`*^9, 
   3.7376900863885317`*^9},ExpressionUUID->"5e8f82e4-ef9c-4910-bd4b-\
b1385892814f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.7375357781301317`*^9, 3.7376059250465007`*^9, {3.7376060929287367`*^9, 
   3.7376061072917585`*^9}, 3.7376061375648007`*^9, 3.7376061691588454`*^9, 
   3.7376067075756035`*^9, 3.7376067880447173`*^9, 3.737607009006028*^9, 
   3.737607060934101*^9, 3.737607265637389*^9, 3.7376076931629915`*^9, {
   3.7376077310730457`*^9, 3.7376077564960814`*^9}, 3.737608929357732*^9, {
   3.7376090209898605`*^9, 3.737609054602908*^9}, 3.7376900238414435`*^9, 
   3.7376900864585314`*^9},ExpressionUUID->"9916e979-d9b8-40f9-ab9c-\
d49177896f39"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.7375357781301317`*^9, 3.7376059250465007`*^9, {3.7376060929287367`*^9, 
   3.7376061072917585`*^9}, 3.7376061375648007`*^9, 3.7376061691588454`*^9, 
   3.7376067075756035`*^9, 3.7376067880447173`*^9, 3.737607009006028*^9, 
   3.737607060934101*^9, 3.737607265637389*^9, 3.7376076931629915`*^9, {
   3.7376077310730457`*^9, 3.7376077564960814`*^9}, 3.737608929357732*^9, {
   3.7376090209898605`*^9, 3.737609054602908*^9}, 3.7376900238414435`*^9, 
   3.7376900864585314`*^9},ExpressionUUID->"75c076b3-8f29-4bb8-9f54-\
1cf19e5a7140"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7375339853996058`*^9, 3.7375340141236463`*^9}, 
   3.737534145609831*^9, 3.737534203218912*^9, 3.7375348699308515`*^9, 
   3.7375357781301317`*^9, 3.7376059250465007`*^9, {3.7376060929287367`*^9, 
   3.7376061072917585`*^9}, 3.7376061375648007`*^9, 3.7376061691588454`*^9, 
   3.7376067075756035`*^9, 3.7376067880447173`*^9, 3.737607009006028*^9, 
   3.737607060934101*^9, 3.737607265637389*^9, 3.7376076931629915`*^9, {
   3.7376077310730457`*^9, 3.7376077564960814`*^9}, 3.737608929357732*^9, {
   3.7376090209898605`*^9, 3.737609054602908*^9}, 3.7376900238414435`*^9, 
   3.737690086948532*^9},ExpressionUUID->"84d1e919-2e8a-47c0-b321-\
c6b78094aeb3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "3"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["right",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["boundary",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "a"}], ")"}]}]}], ";", " ", "  ", 
    RowBox[{"coefp", "=", "1"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "a"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "c"}], ")"}]}]}], ";", "  ", 
    RowBox[{"coefd", "=", "1"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "x"}], ")"}]}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "y"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Coth", "[", 
           RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "x"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "c"}], ")"}]}], "-", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
        "*", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"-", "x"}], ")"}]}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Note", ":", " ", 
      RowBox[{
       RowBox[{"Coth", "[", "t", "]"}], " ", "has", " ", "a", " ", 
       "singularity", " ", "at", " ", "t"}]}], "=", "0"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Note", " ", "that", " ", "w2p"}], "=", "0"}], ",", " ", 
     RowBox[{
     "this", " ", "can", " ", "be", " ", "proved", " ", "for", " ", "all", 
      " ", "right", " ", "boundary", " ", "nodes", " ", "by", " ", 
      "induction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Coth", "[", 
           RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "z"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"0", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Coth", "[", 
          RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"c", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], ")"}], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1p"}]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w2c"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"a", "-", "c"}]], "+", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "c"}]]}], 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"a", "-", "c"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "==", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "c"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SqrtBox["2"]}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "a"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", "b"}]], " ", "w1p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"a", "-", "c"}], ")"}]}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", "c"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", 
         SuperscriptBox["\[ExponentialE]", "a"], " ", 
         SqrtBox[
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "a"}]], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]]}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]]], " ", "tnew"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", "b"], " ", "w1p"}]}], ")"}]}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "+", "b", "-", 
          RowBox[{"2", " ", "c"}]}]], "*", "w1p"}], "-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", "*", "a"}], "-", 
           RowBox[{"2", "*", "c"}]}]], "*", " ", "tnew"}], 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Coth", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], "*", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "c"}], "+", "b"}]], "*", " ", "w1p"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "c"}], "+", "a"}]], "*", "tnew", "*", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Coth", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "c"}], ")"}]}], "-", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
        "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"-", "z"}], ")"}]}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"clearly", ",", " ", 
     RowBox[{"w2d", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"0", " ", "by", " ", 
         RowBox[{"induction", ".", " ", "w1p"}], "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"b", "-", "z"}], ")"}]}]}], "+", " ", 
        RowBox[{"tnew", "*", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"2", "c"}], ")"}]}], "-", 
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
         "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"-", "z"}], ")"}]}]}]}], "=", 
       RowBox[{"w1c", "*", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"b", "-", "z"}], ")"}]}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"w1p", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"b", "-", "z"}], ")"}]}]}], "+", " ", 
        RowBox[{"tnew", "*", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"2", "c"}], ")"}]}], "-", 
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
         "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"-", "z"}], ")"}]}]}]}], ")"}], "/", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{"w1p", "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", "b"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", "0"}], ";"}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "z"}], ")"}]}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7375348272977905`*^9, 3.7375348338577995`*^9}, {
   3.7375348821928687`*^9, 3.7375350480561028`*^9}, {3.73753509593017*^9, 
   3.737535181481291*^9}, {3.7375352337483644`*^9, 3.7375352370483694`*^9}, {
   3.7375353826145744`*^9, 3.7375353910055857`*^9}, {3.7375354377016525`*^9, 
   3.737535516373763*^9}, {3.737535551157812*^9, 3.7375355530178146`*^9}, {
   3.737535802288166*^9, 3.737535855568241*^9}, {3.737609351861326*^9, 
   3.7376093625523415`*^9}, {3.7376094572334747`*^9, 
   3.7376094814705086`*^9}, {3.7376100430843*^9, 3.7376100688273363`*^9}, {
   3.7376101039413853`*^9, 3.737610201385524*^9}, {3.737610251551594*^9, 
   3.7376103049616694`*^9}, {3.737610370858762*^9, 3.7376104938009357`*^9}, {
   3.7376105272539825`*^9, 3.7376105501770153`*^9}, {3.737610587537068*^9, 
   3.737610830618411*^9}, {3.737610863221457*^9, 3.7376109321145544`*^9}, {
   3.7376141116621666`*^9, 3.7376142094456434`*^9}, {3.7376142419095*^9, 
   3.7376142931494308`*^9}, {3.7376143238141847`*^9, 
   3.7376144106851535`*^9}, {3.737614442774989*^9, 3.737614579123788*^9}, {
   3.7376146430614443`*^9, 3.7376146466446495`*^9}, 3.737690112941569*^9, 
   3.7376901642376413`*^9, {3.7376902043276978`*^9, 3.7376902062977004`*^9}, {
   3.7376902522527647`*^9, 
   3.737690265274783*^9}},ExpressionUUID->"e95d0055-153e-4917-8f28-\
698ce3a2a108"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737535073828139*^9, 3.737535856528242*^9, 3.737610306131671*^9, 
   3.737610393710794*^9, {3.7376105141129646`*^9, 3.737610550867016*^9}, {
   3.7376106469261513`*^9, 3.7376106638311763`*^9}, 3.7376108333184147`*^9, 
   3.7376108663314614`*^9, {3.737610926324546*^9, 3.737610933715556*^9}, 
   3.7376143905410013`*^9, 3.7376144762609043`*^9, 3.737614584424091*^9, 
   3.7376146479727254`*^9, 
   3.737690277745801*^9},ExpressionUUID->"8ea8bfd7-da14-477d-914f-\
93e8d1e8515c"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737535073828139*^9, 3.737535856528242*^9, 3.737610306131671*^9, 
   3.737610393710794*^9, {3.7376105141129646`*^9, 3.737610550867016*^9}, {
   3.7376106469261513`*^9, 3.7376106638311763`*^9}, 3.7376108333184147`*^9, 
   3.7376108663314614`*^9, {3.737610926324546*^9, 3.737610933715556*^9}, 
   3.7376143905410013`*^9, 3.7376144762609043`*^9, 3.737614584424091*^9, 
   3.7376146479727254`*^9, 
   3.7376902777558007`*^9},ExpressionUUID->"c57c8032-2dec-4647-8e93-\
690cb26d291f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737535073828139*^9, 3.737535856528242*^9, 3.737610306131671*^9, 
   3.737610393710794*^9, {3.7376105141129646`*^9, 3.737610550867016*^9}, {
   3.7376106469261513`*^9, 3.7376106638311763`*^9}, 3.7376108333184147`*^9, 
   3.7376108663314614`*^9, {3.737610926324546*^9, 3.737610933715556*^9}, 
   3.7376143905410013`*^9, 3.7376144762609043`*^9, 3.737614584424091*^9, 
   3.7376146479727254`*^9, 
   3.737690282199808*^9},ExpressionUUID->"668cdd3b-93b4-41cd-b0d1-\
fff8177ad63b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737535073828139*^9, 3.737535856528242*^9, 3.737610306131671*^9, 
   3.737610393710794*^9, {3.7376105141129646`*^9, 3.737610550867016*^9}, {
   3.7376106469261513`*^9, 3.7376106638311763`*^9}, 3.7376108333184147`*^9, 
   3.7376108663314614`*^9, {3.737610926324546*^9, 3.737610933715556*^9}, 
   3.7376143905410013`*^9, 3.7376144762609043`*^9, 3.737614584424091*^9, 
   3.7376146479727254`*^9, 
   3.7376902824598083`*^9},ExpressionUUID->"44a9aef4-162c-4b81-a6d4-\
a3150341716c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "4"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "an", " ", 
     StyleBox["interior",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["left",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefp", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "c"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "x"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "x"}], "]"}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        StyleBox[
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "z"}], "]"}],
         FontColor->RGBColor[1, 0, 0]]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "z"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"c", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w2c"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]]}], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "b"}], "-", 
        RowBox[{"2", " ", "c"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SqrtBox["2"]}], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "a"}], "+", "b"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "a"}], "+", "b"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{"2", " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "+", 
        RowBox[{"2", " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "b"}]}]], " ", "w2p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "c"}], "+", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "z"}]], " ", 
          SqrtBox[
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "c"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "b"}], "+", "c"}]]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", "tnew"}], 
         SqrtBox["2"]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"b", "-", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      RowBox[{"w1p", "-", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "c"}]], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], 
         RowBox[{"a", "-", "b"}]], "*", "w2p"}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "-", "c"}]], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]], "*", "tnew"}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "-", "c"}], ")"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "c"}], "+", "b"}]], "*", "w2p"}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], "*", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "c"}], "+", "a"}]], "*", "tnew", " ", "*", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"b", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "c"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w2d"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"b", "-", "c"}], ")"}]}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}]}]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "a"}], "-", 
        RowBox[{"2", " ", "b"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "b"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "b"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "+", 
        RowBox[{"2", " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "-", 
        RowBox[{"2", " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "b"}]}]], " ", "w2p"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"c", "-", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "b"}], "+", "z"}]], " ", 
           SqrtBox[
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"a", "-", "c"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "c"}]]}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"a", "-", "b"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", "tnew"}], 
          SqrtBox["2"]]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "b"}], "+", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Expand", "[", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["w2p", 
          RowBox[{"a", "-", "b"}]]}], "+", 
        RowBox[{"tnew", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"Csch", "[", 
            RowBox[{"a", "-", "b"}], "]"}], " ", 
           RowBox[{"Csch", "[", 
            RowBox[{"b", "-", "c"}], "]"}], " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"a", "-", "c"}], "]"}]}]]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "b"}], "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}]], " ", "w1p"}], "+", 
           FractionBox["w2p", 
            RowBox[{"a", "-", "b"}]], "-", 
           RowBox[{"tnew", " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"Csch", "[", 
               RowBox[{"a", "-", "b"}], "]"}], " ", 
              RowBox[{"Csch", "[", 
               RowBox[{"b", "-", "c"}], "]"}], " ", 
              RowBox[{"Sinh", "[", 
               RowBox[{"a", "-", "c"}], "]"}]}]]}]}], ")"}]}]}], ")"}]}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "a"}], "-", "b", "+", 
          RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "+", 
       RowBox[{
        FractionBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}], "+", 
             RowBox[{"2", " ", "c"}]}]], " ", "-", "1"}], ")"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"a", "-", "b"}], ")"}]}]], "*", "w2p"}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", "tnew", " ", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "b"}], "+", 
            RowBox[{"2", " ", "c"}]}]]}], ")"}], "*", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontWeight->"Bold",
    FontColor->RGBColor[1., 0., 1.]], 
   StyleBox["\[IndentingNewLine]",
    FontWeight->"Bold",
    FontColor->RGBColor[1., 0., 1.]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{" ", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "b"}], "+", "c"}]]}]}], 
         RowBox[{"b", "-", "a"}]], "*", "w2p"}], "+", " ", 
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"c", "-", "a"}]], "*", " ", "w1p"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}]], "*", "tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontWeight->"Bold",
    FontColor->RGBColor[1., 0., 1.]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7375359004173045`*^9, 3.7375359076883144`*^9}, {
   3.7375359410913615`*^9, 3.737536083638562*^9}, {3.7375361513336587`*^9, 
   3.737536302775872*^9}, {3.737614693443326*^9, 3.737614702937869*^9}, {
   3.7376171896160097`*^9, 3.7376171903200493`*^9}, {3.737617221530835*^9, 
   3.7376175336016846`*^9}, {3.7376177228963556`*^9, 
   3.7376177775734825`*^9}, {3.73761781864172*^9, 3.7376179382125587`*^9}, {
   3.737618034315055*^9, 3.737618094500498*^9}, {3.737618199131482*^9, 
   3.7376182293772125`*^9}, {3.737618268655405*^9, 3.737618295470443*^9}, {
   3.7376183332264957`*^9, 3.737618333816497*^9}, {3.73762080971443*^9, 
   3.737620935249607*^9}, {3.7376209728226595`*^9, 3.737620990936685*^9}, {
   3.7376213777452297`*^9, 3.7376213822762365`*^9}, 3.737621416360284*^9, {
   3.7376214527363358`*^9, 3.7376214759393682`*^9}, 3.737621711755293*^9, {
   3.7376217435903406`*^9, 
   3.7376221227628746`*^9}},ExpressionUUID->"45a11626-b628-453b-95a1-\
4f906587a0d5"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737536090699572*^9, 3.737536263148816*^9, 3.737536304235874*^9, 
   3.737617358468667*^9, 3.7376174708950977`*^9, 3.7376175343707285`*^9, {
   3.737618071262169*^9, 3.7376180963646045`*^9}, 3.737620827396455*^9, 
   3.7376209407096148`*^9, 3.7376209923866873`*^9, 3.737621384496239*^9, 
   3.737621480720375*^9, 3.737621713845296*^9, {3.737622106009851*^9, 
   3.737622124603877*^9}, 
   3.7376905527421894`*^9},ExpressionUUID->"c3764c67-806d-4c9b-8d11-\
9f2ee9dcaed0"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737536090699572*^9, 3.737536263148816*^9, 3.737536304235874*^9, 
   3.737617358468667*^9, 3.7376174708950977`*^9, 3.7376175343707285`*^9, {
   3.737618071262169*^9, 3.7376180963646045`*^9}, 3.737620827396455*^9, 
   3.7376209407096148`*^9, 3.7376209923866873`*^9, 3.737621384496239*^9, 
   3.737621480720375*^9, 3.737621713845296*^9, {3.737622106009851*^9, 
   3.737622124603877*^9}, 
   3.7376905527521896`*^9},ExpressionUUID->"84d48b3c-1fe6-4ba7-8520-\
982abcb86f94"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737536090699572*^9, 3.737536263148816*^9, 3.737536304235874*^9, 
   3.737617358468667*^9, 3.7376174708950977`*^9, 3.7376175343707285`*^9, {
   3.737618071262169*^9, 3.7376180963646045`*^9}, 3.737620827396455*^9, 
   3.7376209407096148`*^9, 3.7376209923866873`*^9, 3.737621384496239*^9, 
   3.737621480720375*^9, 3.737621713845296*^9, {3.737622106009851*^9, 
   3.737622124603877*^9}, 
   3.7376905647442064`*^9},ExpressionUUID->"241f98dc-f683-49ca-9899-\
d26f2e743923"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737536090699572*^9, 3.737536263148816*^9, 3.737536304235874*^9, 
   3.737617358468667*^9, 3.7376174708950977`*^9, 3.7376175343707285`*^9, {
   3.737618071262169*^9, 3.7376180963646045`*^9}, 3.737620827396455*^9, 
   3.7376209407096148`*^9, 3.7376209923866873`*^9, 3.737621384496239*^9, 
   3.737621480720375*^9, 3.737621713845296*^9, {3.737622106009851*^9, 
   3.737622124603877*^9}, 
   3.7376905910462437`*^9},ExpressionUUID->"285acc07-84ca-45bd-8061-\
4b27a945e6a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "5"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "an", " ", 
     StyleBox["interior",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["right",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefp", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "c"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "x"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "x"}], "]"}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        StyleBox[
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "z"}], "]"}],
         FontColor->RGBColor[1, 0, 0]]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "z"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       StyleBox[
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "z"}], "]"}],
        FontColor->RGBColor[1, 0, 0]]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"c", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w2c"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]]}], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "c"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", "b"}]], " ", "w1p"}], "+", 
        RowBox[{"2", " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", "b"}]], " ", "w1p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "a"}]], " ", "w2p"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]]}], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "c"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SqrtBox["2"]}], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "a"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "a"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}]}], 
       ")"}]}], "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "c"}], "+", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "z"}]], " ", 
          SqrtBox[
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "c"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "b"}], "+", "c"}]]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", "tnew"}], 
         SqrtBox["2"]], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "+", "b", "-", 
          RowBox[{"2", " ", "c"}]}]], "*", "w1p"}], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "*", 
             RowBox[{"(", 
              RowBox[{"a", "-", "c"}], ")"}]}]], "-", "1"}], ")"}], " ", "*", 
         "w2p"}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "-", "c"}]], " ", "*", "tnew", "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{
       RowBox[{"2", " ", "*", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], "*", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"b", "-", "c"}]], "*", " ", "w1p"}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "-", "c"}]], " ", "*", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "c"}], ")"}], " "}], 
         RowBox[{"a", "-", "b"}]], "*", "w2p"}], "+", 
       RowBox[{"tnew", "*", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "-", "c"}]], " ", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", "*", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "a"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      StyleBox[
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "z"}], "]"}],
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"b", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "c"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w2d"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"b", "-", "c"}], ")"}]}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"ExpToTrig", "[", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "a"}], "-", 
         RowBox[{"2", " ", "b"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "a", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "+", 
            RowBox[{"2", " ", "b"}]}]], " ", "w1p"}], "-", 
         RowBox[{"2", " ", "b", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "+", 
            RowBox[{"2", " ", "b"}]}]], " ", "w1p"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"2", " ", "a"}], "+", "b"}]], " ", "w2p"}], "-", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"b", "+", 
            RowBox[{"2", " ", "c"}]}]], " ", "w2p"}]}], ")"}]}], "]"}], "]"}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}]}]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "a"}], "-", 
        RowBox[{"2", " ", "b"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "b"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "b"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}]}], 
       ")"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"c", "-", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "b"}], "+", "z"}]], " ", 
           SqrtBox[
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"a", "-", "c"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "c"}]]}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"a", "-", "b"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", "tnew"}], 
          SqrtBox["2"]]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w1dd", "=", 
     RowBox[{"w1p", "+", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "-", "b"}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", "*", 
             RowBox[{"(", 
              RowBox[{"c", "-", "a"}], ")"}]}]]}], ")"}], " "}], 
        RowBox[{
         RowBox[{"2", " ", "a"}], "-", 
         RowBox[{"2", " ", "b"}]}]], "*", "w2p"}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "b"}], "+", "c"}]], " ", "tnew", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], " ", 
         RowBox[{"Csch", "[", 
          RowBox[{"b", "-", "c"}], "]"}], " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "c"}], "]"}]}]], " ", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "c"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w2dd", "=", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"b", "-", "c", " "}], 
        RowBox[{"b", "-", "a"}]], "*", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"c", "-", "a"}]], "*", "w2p"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "a"}], "-", "b", "+", "c"}]], "*", " ", 
        SuperscriptBox["\[ExponentialE]", "a"], " ", "tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}], 
       RowBox[{
        RowBox[{"-", "a"}], "+", "b"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "a"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7375359004173045`*^9, 3.7375359076883144`*^9}, {
   3.7375359410913615`*^9, 3.737536083638562*^9}, {3.7375361513336587`*^9, 
   3.737536302775872*^9}, {3.737614693443326*^9, 3.737614702937869*^9}, {
   3.7376171896160097`*^9, 3.7376171903200493`*^9}, {3.737617221530835*^9, 
   3.7376175336016846`*^9}, {3.7376177228963556`*^9, 
   3.7376177775734825`*^9}, {3.73761781864172*^9, 3.7376179382125587`*^9}, {
   3.737618034315055*^9, 3.737618094500498*^9}, {3.737618199131482*^9, 
   3.7376182293772125`*^9}, {3.737618268655405*^9, 3.737618295470443*^9}, {
   3.7376183332264957`*^9, 3.737618333816497*^9}, {3.73762080971443*^9, 
   3.737620935249607*^9}, {3.7376209728226595`*^9, 3.737620990936685*^9}, {
   3.7376213777452297`*^9, 3.7376213822762365`*^9}, 3.737621416360284*^9, {
   3.7376214527363358`*^9, 3.7376214759393682`*^9}, 3.737621711755293*^9, {
   3.7376217435903406`*^9, 3.7376221227628746`*^9}, {3.7376222625660734`*^9, 
   3.7376222675560803`*^9}, {3.7376226677026434`*^9, 3.737622674693653*^9}, {
   3.7376227203507175`*^9, 3.7376227423847485`*^9}, 3.7376906070692663`*^9, {
   3.73769066723435*^9, 3.7376907296904387`*^9}, {3.737690775334503*^9, 
   3.737690885255659*^9}, 3.7376909562437677`*^9, {3.737691062473917*^9, 
   3.7376910754559345`*^9}, {3.7376911085599813`*^9, 
   3.7376913720843563`*^9}, {3.737691423083428*^9, 3.7376915924506683`*^9}, {
   3.737691667325775*^9, 3.737691669245778*^9}, {3.737691716150844*^9, 
   3.73769192578714*^9}, {3.7376920984793825`*^9, 3.737692207201536*^9}, {
   3.737692351240739*^9, 3.7376923982938056`*^9}, {3.737692448265879*^9, 
   3.7376925726390553`*^9}, {3.737765268152286*^9, 
   3.7377653087747574`*^9}},ExpressionUUID->"d22fdc52-842a-4ccf-8597-\
8d0546a51590"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737536090699572*^9, 3.737536263148816*^9, 3.737536304235874*^9, 
   3.737617358468667*^9, 3.7376174708950977`*^9, 3.7376175343707285`*^9, {
   3.737618071262169*^9, 3.7376180963646045`*^9}, 3.737620827396455*^9, 
   3.7376209407096148`*^9, 3.7376209923866873`*^9, 3.737621384496239*^9, 
   3.737621480720375*^9, 3.737621713845296*^9, {3.737622106009851*^9, 
   3.737622124603877*^9}, 3.7376906943473887`*^9, 3.7376908254515734`*^9, 
   3.7376908860756607`*^9, 3.737691122491001*^9, 3.737691278603222*^9, 
   3.737691349669325*^9, 3.7376913866863766`*^9, 3.7376916006246805`*^9, 
   3.7376917349748707`*^9, 3.7376918508790336`*^9, 3.7376919909242315`*^9, 
   3.7376921086813974`*^9, 3.737692208251538*^9, {3.737765285842717*^9, 
   3.7377653124251637`*^9}},ExpressionUUID->"a49c6904-9445-4dbf-b83a-\
0fb353118e90"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737536090699572*^9, 3.737536263148816*^9, 3.737536304235874*^9, 
   3.737617358468667*^9, 3.7376174708950977`*^9, 3.7376175343707285`*^9, {
   3.737618071262169*^9, 3.7376180963646045`*^9}, 3.737620827396455*^9, 
   3.7376209407096148`*^9, 3.7376209923866873`*^9, 3.737621384496239*^9, 
   3.737621480720375*^9, 3.737621713845296*^9, {3.737622106009851*^9, 
   3.737622124603877*^9}, 3.7376906943473887`*^9, 3.7376908254515734`*^9, 
   3.7376908860756607`*^9, 3.737691122491001*^9, 3.737691278603222*^9, 
   3.737691349669325*^9, 3.7376913866863766`*^9, 3.7376916006246805`*^9, 
   3.7376917349748707`*^9, 3.7376918508790336`*^9, 3.7376919909242315`*^9, 
   3.7376921086813974`*^9, 3.737692208251538*^9, {3.737765285842717*^9, 
   3.7377653124407635`*^9}},ExpressionUUID->"01c1ea79-09f5-4cd8-8e32-\
6e3e301122aa"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737536090699572*^9, 3.737536263148816*^9, 3.737536304235874*^9, 
   3.737617358468667*^9, 3.7376174708950977`*^9, 3.7376175343707285`*^9, {
   3.737618071262169*^9, 3.7376180963646045`*^9}, 3.737620827396455*^9, 
   3.7376209407096148`*^9, 3.7376209923866873`*^9, 3.737621384496239*^9, 
   3.737621480720375*^9, 3.737621713845296*^9, {3.737622106009851*^9, 
   3.737622124603877*^9}, 3.7376906943473887`*^9, 3.7376908254515734`*^9, 
   3.7376908860756607`*^9, 3.737691122491001*^9, 3.737691278603222*^9, 
   3.737691349669325*^9, 3.7376913866863766`*^9, 3.7376916006246805`*^9, 
   3.7376917349748707`*^9, 3.7376918508790336`*^9, 3.7376919909242315`*^9, 
   3.7376921086813974`*^9, 3.737692208251538*^9, {3.737765285842717*^9, 
   3.737765312612364*^9}},ExpressionUUID->"7444ed85-72c3-4b8d-a7ab-\
d9d2909e26b5"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.737536090699572*^9, 3.737536263148816*^9, 3.737536304235874*^9, 
   3.737617358468667*^9, 3.7376174708950977`*^9, 3.7376175343707285`*^9, {
   3.737618071262169*^9, 3.7376180963646045`*^9}, 3.737620827396455*^9, 
   3.7376209407096148`*^9, 3.7376209923866873`*^9, 3.737621384496239*^9, 
   3.737621480720375*^9, 3.737621713845296*^9, {3.737622106009851*^9, 
   3.737622124603877*^9}, 3.7376906943473887`*^9, 3.7376908254515734`*^9, 
   3.7376908860756607`*^9, 3.737691122491001*^9, 3.737691278603222*^9, 
   3.737691349669325*^9, 3.7376913866863766`*^9, 3.7376916006246805`*^9, 
   3.7376917349748707`*^9, 3.7376918508790336`*^9, 3.7376919909242315`*^9, 
   3.7376921086813974`*^9, 3.737692208251538*^9, {3.737765285842717*^9, 
   3.7377653127683644`*^9}},ExpressionUUID->"af153217-7f8f-4bbb-854c-\
fe13f4019dbb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{
    "Now", " ", "try", " ", "the", " ", "second", " ", "basis", " ", 
     "choice"}],
    FontSize->24,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"Root", ":", " ", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}], " ", "and", " ", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Left", ":", " ", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}], " ", "and", " ", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
     RowBox[{"Right", ":", " ", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}], " ", "and", " ", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}]}]}],
    FontColor->RGBColor[0, 0, 1]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "1"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["root",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Parent", " ", "has", " ", "no", " ", "variables"}], ",", " ", 
    RowBox[{
     RowBox[{"so", " ", "w1p"}], "=", 
     RowBox[{"w2p", "=", "0"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "coupling", " ", "term", " ", "is", " ", "given", " ", "by", 
      " ", "0"}], "=", 
     RowBox[{"2", "*", "I", "*", "tnull", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"w1p", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
        RowBox[{"w2p", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"b", "-", "z"}], ")"}]}]}]}], ")"}]}]}]}], " ", "*)"}], 
  "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}]}], ";", "  ", 
    RowBox[{"coefp", "=", 
     RowBox[{"1", "/", "2"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "c"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", " ", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"c", "-", "x"}], ")"}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}]}], "-", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"x", "-", "c"}], ")"}]}], "*", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"y", "-", "c"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}]}], "-", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "x"}], ")"}]}], "*", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "y"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     StyleBox[
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", " ", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"x", "-", "c"}], ")"}]}]}]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[",",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "x"}], ")"}]}]}]}],
      FontColor->RGBColor[1, 0, 0]]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "We", " ", "neglect", " ", "the", " ", "coefficient", " ", "2", "*", "I",
       " ", "in", " ", "the", " ", "following", " ", 
      RowBox[{"formulas", ".", "\[IndentingNewLine]", "For"}], " ", 
      StyleBox["Child",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["c",
       FontColor->RGBColor[1, 0, 0]]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "0"}], "+", 
       RowBox[{"t", "*", "r", "*", "u"}]}], "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a", "+", "a", "-", "c"}], ")"}]}], "*", "tnew"}],
        "=", 
       RowBox[{
        RowBox[{"w1c", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
        RowBox[{"w2c", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"z", "-", "a"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}]}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a", "+", "a", "-", "c"}], ")"}]}], "*", "tnew"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "tnew"}], 
          RowBox[{"Sqrt", "[", "2", "]"}]], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w2c"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"2", " ", "a"}], "-", 
          RowBox[{"2", " ", "c"}]}]], " ", "tnew"}], 
       SqrtBox["2"]]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{
       SqrtBox["2"], "*", 
       RowBox[{"(", 
        RowBox[{"c", "-", "a"}], ")"}], "*", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"a", "-", "c"}]], " ", "tnew"}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a", "+", "a", "-", "c"}], ")"}]}], "*", "tnew"}], 
     "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "0"}], "+", " ", 
       RowBox[{"t", "*", 
        RowBox[{"1", "/", "r"}], "*", "v"}]}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "b", "+", "b", "-", "z"}], ")"}]}], "*", "tnew"}],
        "=", 
       RowBox[{
        RowBox[{"w1d", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
        RowBox[{"w2d", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "z"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "b", "+", "b", "-", "z"}], ")"}]}], "*", "tnew"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "tnew"}], 
          SqrtBox["2"]], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "*", "w2d"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"b", "-", "c"}], ")"}]}]]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "b"}], "+", "z"}]], "*", " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "b"}], "+", 
          RowBox[{"2", " ", "c"}]}]], " ", "tnew"}], 
       SqrtBox["2"]]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       SqrtBox["2"], " ", 
       RowBox[{"(", 
        RowBox[{"b", "-", "c"}], ")"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "b"}], "+", "c"}]], " ", "tnew"}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\n", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "b", "+", "b", "-", "z"}], ")"}]}], "*", "tnew"}], 
     "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376246282674017`*^9, 3.737624943208845*^9}, {3.7376249911399126`*^9, 
   3.7376250843700438`*^9}, {3.7376251180740914`*^9, 3.737625271059309*^9}, {
   3.7376741397173696`*^9, 3.73767414005737*^9}, {3.7376741909834414`*^9, 
   3.737674278133564*^9}, {3.737674313496614*^9, 
   3.7376743189476213`*^9}},ExpressionUUID->"6bb44803-ac10-4791-a493-\
b06461c583c6"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376246007953634`*^9, {3.737624692246492*^9, 3.7376247083075147`*^9}, 
   3.7376247665255966`*^9, 3.737624817121668*^9, 3.737624858496726*^9, 
   3.737624900314785*^9, {3.737625026862963*^9, 3.7376250325939713`*^9}, 
   3.7376251359651165`*^9, {3.7376251686731634`*^9, 3.7376251789641776`*^9}, 
   3.737625274510314*^9, 3.7376742027754583`*^9, 3.7376742648625455`*^9, 
   3.7376743232276278`*^9},ExpressionUUID->"b779e7a4-0db2-481f-adc2-\
c8b13ed59dcc"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376246007953634`*^9, {3.737624692246492*^9, 3.7376247083075147`*^9}, 
   3.7376247665255966`*^9, 3.737624817121668*^9, 3.737624858496726*^9, 
   3.737624900314785*^9, {3.737625026862963*^9, 3.7376250325939713`*^9}, 
   3.7376251359651165`*^9, {3.7376251686731634`*^9, 3.7376251789641776`*^9}, 
   3.737625274510314*^9, 3.7376742027754583`*^9, 3.7376742648625455`*^9, 
   3.7376743232276278`*^9},ExpressionUUID->"15e5cf73-c497-4add-84c0-\
571d5fa47bbd"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376246007953634`*^9, {3.737624692246492*^9, 3.7376247083075147`*^9}, 
   3.7376247665255966`*^9, 3.737624817121668*^9, 3.737624858496726*^9, 
   3.737624900314785*^9, {3.737625026862963*^9, 3.7376250325939713`*^9}, 
   3.7376251359651165`*^9, {3.7376251686731634`*^9, 3.7376251789641776`*^9}, 
   3.737625274510314*^9, 3.7376742027754583`*^9, 3.7376742648625455`*^9, 
   3.7376743232376275`*^9},ExpressionUUID->"ceb5d637-533a-4700-92f5-\
842affba1bfe"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376246007953634`*^9, {3.737624692246492*^9, 3.7376247083075147`*^9}, 
   3.7376247665255966`*^9, 3.737624817121668*^9, 3.737624858496726*^9, 
   3.737624900314785*^9, {3.737625026862963*^9, 3.7376250325939713`*^9}, 
   3.7376251359651165`*^9, {3.7376251686731634`*^9, 3.7376251789641776`*^9}, 
   3.737625274510314*^9, 3.7376742027754583`*^9, 3.7376742648625455`*^9, 
   3.7376743232376275`*^9},ExpressionUUID->"d86529ec-3332-4d9b-a84f-\
3d3d4304ebbe"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "2"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["left",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["boundary",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"As", " ", "the", " ", "left", " ", "boundary", " ", "node"}], 
    ",", " ", 
    RowBox[{"we", " ", "have", " ", "by", " ", "induction"}], ",", " ", 
    RowBox[{"w2p", "=", "0"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "b"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", "  ", 
    RowBox[{"coefp", "=", "1"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "c"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefc", "=", "1"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", "x"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", "y"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{"r", "*", "u"}], "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"E", "^", "x"}]}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"Coth", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "x"}], "]"}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", "z", ")"}]}]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";", 
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", "z", ")"}]}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "z"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "-", "c"}]], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w2c"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", "c"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "a"}]], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}], "-", 
             RowBox[{"2", " ", "c"}]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}], ")"}]}]], " ", "tnew"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", "b"], " ", "w1p"}]}], ")"}]}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"a", "-", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "z"], " ", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "b"}], "-", "c"}]], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"b", "-", "c"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]], " ", "tnew"}], 
         SqrtBox["2"]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", "  ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"b", "-", "c"}]], "*", "w1p"}], "+", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", "c"}]], "/", 
         SqrtBox["2"]}], " ", "*", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"2", " ", "a"}]], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "b"}]]}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "c"}]]}]], " ", "tnew"}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     StyleBox[
      RowBox[{"w2cc", "=", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"c", "-", "a"}], 
          RowBox[{"b", "-", "a"}]], "*", "w2p"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
         SuperscriptBox["\[ExponentialE]", "a"], "*", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "c"}]]}]], " ", "tnew"}]}]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[";",
      FontColor->RGBColor[1, 0.5, 0]]}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "a"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", "z", ")"}]}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"Coth", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"b", "-", "z"}]], ")"}], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w2d"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"b", "-", "c"}], ")"}]}]]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{"-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "b"}], "+", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "a"}], "-", 
         RowBox[{"2", " ", "b"}], "+", "c"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "a", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "+", "b"}]], " ", "w1p"}], "+", 
         RowBox[{"2", " ", "b", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "+", "b"}]], " ", "w1p"}], "-", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "a"}]], " ", "w2p"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "b"}]], " ", "w2p"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "a"}], "+", "b"}], ")"}]}]], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "b"}], "+", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "-", "z"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "c"}]], "+", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "b"}], "+", "c"}]]}], 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "c"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Now", " ", "the", " ", "relation", " ", "for", " ", "the", " ", "right", 
     " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}]], "*", " ", "w1p"}], "+", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "b"}], "+", "c"}]], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "b"}], "]"}]}], 
         RowBox[{"a", "-", "b"}]], "*", "w2p"}]}]}], " ", ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], "*", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "b"}], "+", "a"}]], "*", " ", "w2p"}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], " ", "*", " ", "w1p"}], "+", 
       RowBox[{"tnew", " ", "*", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], " ", "*", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "a"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}], "\n", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376253409494076`*^9, 3.7376255047876377`*^9}, {3.73762553955669*^9, 
   3.7376255517647076`*^9}, {3.7376255824397516`*^9, 3.737625764478009*^9}, 
   3.7376258030630636`*^9, {3.737627745606936*^9, 3.7376277458769364`*^9}, {
   3.7376278299770546`*^9, 3.7376279841092715`*^9}, {3.7376280293443356`*^9, 
   3.737628070478393*^9}, {3.737632415943103*^9, 3.7376324292651215`*^9}, {
   3.7376324595981646`*^9, 3.737632461528167*^9}, {3.7376325031322255`*^9, 
   3.737632551570295*^9}, {3.7376325910163507`*^9, 3.73763259782736*^9}, {
   3.7376326309414062`*^9, 3.7376326763784704`*^9}, {3.73763278960063*^9, 
   3.7376328640587344`*^9}, {3.737632913984805*^9, 3.7376331776391783`*^9}, {
   3.7376777770316267`*^9, 3.737677826637464*^9}, {3.7376778672167854`*^9, 
   3.7376778782924185`*^9}, {3.737677915150527*^9, 3.7376781623126636`*^9}, {
   3.7376782220261946`*^9, 
   3.7376782231461964`*^9}},ExpressionUUID->"48e0d62c-87c9-4800-bc08-\
455233e09016"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, {3.737625556886716*^9, 3.7376255674077306`*^9}, 
   3.7376257180189433`*^9, 3.737625768408015*^9, 3.7376258044330654`*^9, {
   3.7376278359570627`*^9, 3.73762785514909*^9}, 3.73762790491516*^9, 
   3.73762794033321*^9, 3.737632605448371*^9, {3.737632636931415*^9, 
   3.737632644853426*^9}, 3.737632677878473*^9, 3.73763300317593*^9, 
   3.7376330572830095`*^9, {3.7376331527141433`*^9, 3.7376331784891796`*^9}, {
   3.737677808057401*^9, 3.7376778281855526`*^9}, {3.737677903034834*^9, 
   3.7376779199288*^9}, 3.7376781723631225`*^9, 
   3.7376782248661985`*^9},ExpressionUUID->"43ecc7a4-a9df-4f3a-acf9-\
a64cabe9d487"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, {3.737625556886716*^9, 3.7376255674077306`*^9}, 
   3.7376257180189433`*^9, 3.737625768408015*^9, 3.7376258044330654`*^9, {
   3.7376278359570627`*^9, 3.73762785514909*^9}, 3.73762790491516*^9, 
   3.73762794033321*^9, 3.737632605448371*^9, {3.737632636931415*^9, 
   3.737632644853426*^9}, 3.737632677878473*^9, 3.73763300317593*^9, 
   3.7376330572830095`*^9, {3.7376331527141433`*^9, 3.7376331784891796`*^9}, {
   3.737677808057401*^9, 3.7376778281855526`*^9}, {3.737677903034834*^9, 
   3.7376779199288*^9}, 3.7376781723631225`*^9, 
   3.737678224876199*^9},ExpressionUUID->"5dbf57c8-ab5a-4b5e-80c5-\
8bd3ae0731f5"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, {3.737625556886716*^9, 3.7376255674077306`*^9}, 
   3.7376257180189433`*^9, 3.737625768408015*^9, 3.7376258044330654`*^9, {
   3.7376278359570627`*^9, 3.73762785514909*^9}, 3.73762790491516*^9, 
   3.73762794033321*^9, 3.737632605448371*^9, {3.737632636931415*^9, 
   3.737632644853426*^9}, 3.737632677878473*^9, 3.73763300317593*^9, 
   3.7376330572830095`*^9, {3.7376331527141433`*^9, 3.7376331784891796`*^9}, {
   3.737677808057401*^9, 3.7376778281855526`*^9}, {3.737677903034834*^9, 
   3.7376779199288*^9}, 3.7376781723631225`*^9, 
   3.737678224966199*^9},ExpressionUUID->"d2ab6b2f-5fe2-483b-8150-\
6c21e28dc38b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, {3.737625556886716*^9, 3.7376255674077306`*^9}, 
   3.7376257180189433`*^9, 3.737625768408015*^9, 3.7376258044330654`*^9, {
   3.7376278359570627`*^9, 3.73762785514909*^9}, 3.73762790491516*^9, 
   3.73762794033321*^9, 3.737632605448371*^9, {3.737632636931415*^9, 
   3.737632644853426*^9}, 3.737632677878473*^9, 3.73763300317593*^9, 
   3.7376330572830095`*^9, {3.7376331527141433`*^9, 3.7376331784891796`*^9}, {
   3.737677808057401*^9, 3.7376778281855526`*^9}, {3.737677903034834*^9, 
   3.7376779199288*^9}, 3.7376781723631225`*^9, 
   3.737678225046199*^9},ExpressionUUID->"e90f34d6-9ba6-40af-a17d-\
155c58661174"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "3"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["right",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["boundary",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "a"}], ")"}]}]}], ";", " ", "  ", 
    RowBox[{"coefp", "=", "1"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "a"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "c"}], ")"}]}]}], ";", "  ", 
    RowBox[{"coefd", "=", "1"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "x"}], ")"}]}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "y"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Coth", "[", 
           RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "x"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "c"}], ")"}]}], "-", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
        "*", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"-", "x"}], ")"}]}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Note", ":", " ", 
      RowBox[{
       RowBox[{"Coth", "[", "t", "]"}], " ", "has", " ", "a", " ", 
       "singularity", " ", "at", " ", "t"}]}], "=", "0"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Coth", "[", 
           RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Coth", "[", 
          RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], ")"}], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "==", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w2c"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "b"}], "-", "c"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "a", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"a", "+", "b"}]], " ", "w1p"}], "+", 
          RowBox[{"2", " ", "b", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"a", "+", "b"}]], " ", "w1p"}], "-", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "a"}]], " ", "w2p"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "b"}]], " ", "w2p"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}]}]]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], "  ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], "  ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", "1"}], "-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "c"}]], "+", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "a"}], "+", "c"}]]}], 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "c"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", " ",
         "w1p", "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "b"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "-", "c"}]], "*", " ", "w1p"}], "+", 
       FractionBox[
        RowBox[{"w2p", "*", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "-", "c"}]], "*", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "b"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", " ", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], "*", "w1p"}], "+", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], "*", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "b"}]], " "}], 
         RowBox[{" ", 
          RowBox[{"a", "-", " ", "b"}]}]], "*", "w2p"}], "+", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], "*", "tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Coth", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "c"}], ")"}]}], "-", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
        "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"-", "z"}], ")"}]}]}]}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"w1d", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
        RowBox[{"w2d", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "z"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]}]}], ".."}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"2", "*", "c"}], ")"}]}], "-", 
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
       "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", "z"}], ")"}]}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"-", "z"}]], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]]}], "+", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"b", "-", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w2d"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"b", "-", "c"}], ")"}]}]]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "b"}], "+", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "==", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "b"}], "+", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "a"}], "-", 
        RowBox[{"2", " ", "b"}], "+", "c"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", 
         SuperscriptBox["\[ExponentialE]", "a"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "b"}]], " ", "w1p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "b"}], "+", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"-", "z"}]], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]]}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
         SqrtBox["2"]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"b", "-", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "b"}], "+", "c"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
        SqrtBox["2"]], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "a"}], "+", "c"}]], " ", "w1p"}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", " ", 
      RowBox[{
       RowBox[{
        SqrtBox["2"], "*", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], " ", "*", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", "b"}]], "*", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", "*", "a"}]]}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", "*", "c"}]]}]], " ", "tnew"}], "+", " ", 
       RowBox[{
        FractionBox[
         RowBox[{"b", "-", "c"}], 
         RowBox[{"b", "-", "a"}]], "*", "w2p"}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "z"}], ")"}]}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Note", " ", "that", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}], ">", "1"}], ",", " ", 
     RowBox[{
     "does", " ", "this", " ", "mean", " ", "the", " ", "basis", " ", "is", 
      " ", "not", " ", "a", " ", "good", " ", 
      RowBox[{"choice", "?"}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376253409494076`*^9, 3.7376255047876377`*^9}, 3.73762553955669*^9, {
   3.7376782654122562`*^9, 3.7376782750342693`*^9}, {3.737678352072979*^9, 
   3.7376783525429797`*^9}, {3.73767838837703*^9, 3.7376786471513996`*^9}, {
   3.737678699538473*^9, 3.7376787009684753`*^9}, 3.7376787735355773`*^9, {
   3.737678900950756*^9, 3.737678929723797*^9}, {3.7376789813298693`*^9, 
   3.7376790370749474`*^9}, {3.737679072268997*^9, 3.73767929458731*^9}, {
   3.7376793266443553`*^9, 3.7376793799594297`*^9}, {3.7376821295813017`*^9, 
   3.7376823510576134`*^9}, {3.7376824272377205`*^9, 
   3.7376825025468264`*^9}, {3.7376825344908714`*^9, 3.737682587226946*^9}, {
   3.7376826200019913`*^9, 3.737682621521994*^9}, {3.737682804592252*^9, 
   3.7376828470553117`*^9}, {3.737682911908403*^9, 
   3.737682941871445*^9}},ExpressionUUID->"861ed373-fa9d-4a29-83e8-\
82ddcafd8725"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376784848481703`*^9, 3.7376785791513033`*^9, 3.737678648341401*^9, 
   3.7376787129594917`*^9, 3.737678774465578*^9, 3.737678933174802*^9, 
   3.737679041535954*^9, 3.737679172731138*^9, {3.737679225008212*^9, 
   3.7376792436512384`*^9}, 3.7376822100304146`*^9, 3.7376822895685267`*^9, {
   3.7376823227725735`*^9, 3.737682335025591*^9}, {3.7376826006389647`*^9, 
   3.7376826230119963`*^9}, 3.7376828053622527`*^9, {3.737682838414299*^9, 
   3.737682850416316*^9}},ExpressionUUID->"2168b4c0-fbf4-47c5-9713-\
18ce22536102"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376784848481703`*^9, 3.7376785791513033`*^9, 3.737678648341401*^9, 
   3.7376787129594917`*^9, 3.737678774465578*^9, 3.737678933174802*^9, 
   3.737679041535954*^9, 3.737679172731138*^9, {3.737679225008212*^9, 
   3.7376792436512384`*^9}, 3.7376822100304146`*^9, 3.7376822895685267`*^9, {
   3.7376823227725735`*^9, 3.737682335025591*^9}, {3.7376826006389647`*^9, 
   3.7376826230119963`*^9}, 3.7376828053622527`*^9, {3.737682838414299*^9, 
   3.7376828504263163`*^9}},ExpressionUUID->"62ba926a-2e03-48b4-9d8a-\
bc94263e4614"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376784848481703`*^9, 3.7376785791513033`*^9, 3.737678648341401*^9, 
   3.7376787129594917`*^9, 3.737678774465578*^9, 3.737678933174802*^9, 
   3.737679041535954*^9, 3.737679172731138*^9, {3.737679225008212*^9, 
   3.7376792436512384`*^9}, 3.7376822100304146`*^9, 3.7376822895685267`*^9, {
   3.7376823227725735`*^9, 3.737682335025591*^9}, {3.7376826006389647`*^9, 
   3.7376826230119963`*^9}, 3.7376828053622527`*^9, {3.737682838414299*^9, 
   3.7376828508163166`*^9}},ExpressionUUID->"ad81d40c-c9bd-4ee3-a9d9-\
295770a408af"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376784848481703`*^9, 3.7376785791513033`*^9, 3.737678648341401*^9, 
   3.7376787129594917`*^9, 3.737678774465578*^9, 3.737678933174802*^9, 
   3.737679041535954*^9, 3.737679172731138*^9, {3.737679225008212*^9, 
   3.7376792436512384`*^9}, 3.7376822100304146`*^9, 3.7376822895685267`*^9, {
   3.7376823227725735`*^9, 3.737682335025591*^9}, {3.7376826006389647`*^9, 
   3.7376826230119963`*^9}, 3.7376828053622527`*^9, {3.737682838414299*^9, 
   3.737682850876317*^9}},ExpressionUUID->"90377b11-616f-4d32-87fa-\
49dde6c2fa1f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "4"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "an", " ", 
     StyleBox["interior",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["left",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefp", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "c"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "x"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "x"}], "]"}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        StyleBox[
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "z"}], "]"}],
         FontColor->RGBColor[1, 0, 0]]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       StyleBox[
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "z"}], "]"}],
        FontColor->RGBColor[1, 0, 0]]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w2c"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"b", "-", "c"}]], " ", "w1p"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"a", "-", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", 
           SqrtBox[
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"b", "-", "c"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "c"}]]}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"a", "-", "b"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"a", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", "tnew"}], 
          SqrtBox["2"]]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"b", "-", "c"}]], " ", "w1p"}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"a", "-", "c"}], 
         RowBox[{"a", "-", "b"}]], "*", "w2p"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], "*", " ", "tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "a"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      StyleBox[
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "z"}], "]"}],
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"b", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w2d"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"b", "-", "c"}], ")"}]}]]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "b"}], "+", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"ExpToTrig", "[", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "a"}], "-", 
          RowBox[{"2", " ", "b"}], "+", "c"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "a", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"a", "+", "b"}]], " ", "w1p"}], "+", 
          RowBox[{"2", " ", "b", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"a", "+", "b"}]], " ", "w1p"}], "-", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "a"}]], " ", "w2p"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "b"}]], " ", "w2p"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "a"}], "+", "b"}], ")"}]}]], "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"ExpToTrig", "[", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"b", "-", "c"}], ")"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "b"}], "+", "z"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", 
           SqrtBox[
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"a", "-", "c"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "c"}]]}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"a", "-", "b"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", "tnew"}], 
          SqrtBox["2"]], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"b", "-", "z"}]], " ", "w1p"}], "-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"a", "-", "z"}]], " ", "w2p"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}]], "*", " ", "w1p"}], "+", 
       RowBox[{
        FractionBox[
         RowBox[{" ", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "b"}], "+", "c"}]], "*", 
           RowBox[{"Sinh", "[", 
            RowBox[{"a", "-", "b"}], "]"}]}]}], 
         RowBox[{"a", "-", "b"}]], "*", "w2p"}]}]}], " ", ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], "*", " ", "2", " ", "*", "w1p"}], 
       "+", 
       RowBox[{
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "b"}], ")"}], "*", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "b"}]], " "}], 
         RowBox[{
          RowBox[{"-", "a"}], "+", "b"}]], "*", "w2p"}], "+", 
       RowBox[{"tnew", " ", "*", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], "*", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"b", "-", "z"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "a"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376253409494076`*^9, 3.7376255047876377`*^9}, 3.73762553955669*^9, 
   3.7376782654122562`*^9, {3.737682967895482*^9, 3.737683034302576*^9}, {
   3.7376830802476406`*^9, 3.737683092989659*^9}, {3.737683129883711*^9, 
   3.737683252680887*^9}, {3.7376833038639593`*^9, 3.7376833435500154`*^9}, {
   3.7376833805650673`*^9, 3.737683540545295*^9}, {3.7376842122032394`*^9, 
   3.737684260184307*^9}, {3.7376843913814926`*^9, 3.737684402733509*^9}, {
   3.7376853432888336`*^9, 3.737685380092885*^9}, {3.737685434098961*^9, 
   3.737685562346142*^9}, {3.73768561035221*^9, 3.7376856191242228`*^9}, {
   3.7376857077983475`*^9, 3.7376858197195053`*^9}, {3.7376859232616506`*^9, 
   3.7376859679567137`*^9}, {3.7376860357248096`*^9, 3.737686038006813*^9}, 
   3.7376861103049145`*^9, {3.737686251228114*^9, 3.7376865128844833`*^9}, {
   3.7376865560705442`*^9, 3.7376865726725674`*^9}, 
   3.7376867949898806`*^9},ExpressionUUID->"b22066bb-015b-41d4-9008-\
1b7cd5bf2440"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376831525187435`*^9, 3.73768325457089*^9, 3.7376833302869964`*^9, 
   3.7376834105801096`*^9, {3.7376835412652955`*^9, 3.737683560787323*^9}, 
   3.7376837645876102`*^9, 3.737685344848836*^9, {3.7376854839750314`*^9, 
   3.737685512839072*^9}, 3.737685563146143*^9, {3.7376857154883585`*^9, 
   3.7376857384913907`*^9}, 3.7376859694367156`*^9, 3.737686038966814*^9, 
   3.7376861111049156`*^9, 3.737686253388117*^9, 3.737686493460456*^9, {
   3.7376865660715585`*^9, 
   3.73768657445257*^9}},ExpressionUUID->"29cd49b2-bd88-4a8a-96eb-\
2902ac6ac37b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376831525187435`*^9, 3.73768325457089*^9, 3.7376833302869964`*^9, 
   3.7376834105801096`*^9, {3.7376835412652955`*^9, 3.737683560787323*^9}, 
   3.7376837645876102`*^9, 3.737685344848836*^9, {3.7376854839750314`*^9, 
   3.737685512839072*^9}, 3.737685563146143*^9, {3.7376857154883585`*^9, 
   3.7376857384913907`*^9}, 3.7376859694367156`*^9, 3.737686038966814*^9, 
   3.7376861111049156`*^9, 3.737686253388117*^9, 3.737686493460456*^9, {
   3.7376865660715585`*^9, 
   3.73768657446257*^9}},ExpressionUUID->"08de406e-aa76-409e-9720-\
c1715bbe981f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376831525187435`*^9, 3.73768325457089*^9, 3.7376833302869964`*^9, 
   3.7376834105801096`*^9, {3.7376835412652955`*^9, 3.737683560787323*^9}, 
   3.7376837645876102`*^9, 3.737685344848836*^9, {3.7376854839750314`*^9, 
   3.737685512839072*^9}, 3.737685563146143*^9, {3.7376857154883585`*^9, 
   3.7376857384913907`*^9}, 3.7376859694367156`*^9, 3.737686038966814*^9, 
   3.7376861111049156`*^9, 3.737686253388117*^9, 3.737686493460456*^9, {
   3.7376865660715585`*^9, 
   3.73768657452257*^9}},ExpressionUUID->"8fbdf847-6887-40eb-8575-\
a641f5ce28a7"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376831525187435`*^9, 3.73768325457089*^9, 3.7376833302869964`*^9, 
   3.7376834105801096`*^9, {3.7376835412652955`*^9, 3.737683560787323*^9}, 
   3.7376837645876102`*^9, 3.737685344848836*^9, {3.7376854839750314`*^9, 
   3.737685512839072*^9}, 3.737685563146143*^9, {3.7376857154883585`*^9, 
   3.7376857384913907`*^9}, 3.7376859694367156`*^9, 3.737686038966814*^9, 
   3.7376861111049156`*^9, 3.737686253388117*^9, 3.737686493460456*^9, {
   3.7376865660715585`*^9, 
   3.7376865745925703`*^9}},ExpressionUUID->"fbb0a618-5191-4a6d-8119-\
da5bd9fb2739"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "5"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "an", " ", 
     StyleBox["interior",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["right",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Not", " ", "DONE", " ", "YET"}], ",", " ", 
    RowBox[{"want", " ", "to", " ", "try", " ", "other", " ", "basis", " ", 
     RowBox[{"options", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], "\n", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefp", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "c"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "x"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "x"}], "]"}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        StyleBox[
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "z"}], "]"}],
         FontColor->RGBColor[1, 0, 0]]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       StyleBox[
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "z"}], "]"}],
        FontColor->RGBColor[1, 0, 0]]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w2c"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "b"}], "-", "c"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "a", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"a", "+", "b"}]], " ", "w1p"}], "+", 
          RowBox[{"2", " ", "b", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"a", "+", "b"}]], " ", "w1p"}], "-", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "a"}]], " ", "w2p"}], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "b"}]], " ", "w2p"}]}], ")"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}]}]]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"a", "-", "z"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", 
           SqrtBox[
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"b", "-", "c"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "c"}]]}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"a", "-", "b"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"a", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", "tnew"}], 
          SqrtBox["2"]]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "b"}], "+", "z"}]], " ", "w2p"}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "-", "c"}]], "*", " ", "w1p"}], "+", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"a", "-", "c"}]], " ", "*", " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "b"}], "]"}]}], 
         RowBox[{"a", "-", "b"}]], "*", "w2p"}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", " ", 
      RowBox[{
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], "*", "w1p"}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"a", "-", "b"}]], "*", 
        FractionBox[
         RowBox[{" ", 
          RowBox[{
           RowBox[{"-", "a"}], "+", "c"}]}], 
         RowBox[{"a", "-", "b"}]], "*", "w2p"}], "-", 
       RowBox[{"tnew", " ", "*", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], "*", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      StyleBox[
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "z"}], "]"}],
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "z"}], ")"}]}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "a"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"b", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", "w2d"}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"b", "-", "c"}], ")"}]}]]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "z"}]], " ", "w1p"}], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "b"}], "+", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"ExpToTrig", "[", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "*", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], "*", 
         FractionBox[
          RowBox[{" ", 
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            "tnew"}]}], 
          SqrtBox["2"]]}], "+", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", "*", 
         FractionBox[
          RowBox[{" ", "w2p"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "b"}], ")"}]]}]}], ")"}], "]"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Expand", "[", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["w2p", 
          RowBox[{"a", "-", "b"}]]}], "+", 
        RowBox[{"tnew", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"Csch", "[", 
            RowBox[{"a", "-", "b"}], "]"}], " ", 
           RowBox[{"Csch", "[", 
            RowBox[{"b", "-", "c"}], "]"}], " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"a", "-", "c"}], "]"}]}]]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "b"}], "+", 
           RowBox[{"2", " ", "c"}]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}]], " ", "w1p"}], "+", 
           FractionBox["w2p", 
            RowBox[{"a", "-", "b"}]], "-", 
           RowBox[{"tnew", " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"Csch", "[", 
               RowBox[{"a", "-", "b"}], "]"}], " ", 
              RowBox[{"Csch", "[", 
               RowBox[{"b", "-", "c"}], "]"}], " ", 
              RowBox[{"Sinh", "[", 
               RowBox[{"a", "-", "c"}], "]"}]}]]}]}], ")"}]}]}], ")"}]}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "a"}], "+", "c"}]], " ", "w1p"}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", " ", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"b", "-", "c"}], 
         RowBox[{"b", "-", "a"}]], "*", "w2p"}], "+", 
       RowBox[{"tnew", " ", "*", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], "*", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"z", "-", "c"}], ")"}]}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "z"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376253409494076`*^9, 3.7376255047876377`*^9}, 3.73762553955669*^9, 
   3.7376782654122562`*^9, 3.737682967895482*^9, {3.7376868709779873`*^9, 
   3.7376869457650924`*^9}, {3.7376870128021865`*^9, 3.737687435271781*^9}, {
   3.737687708359167*^9, 3.737687754795233*^9}, {3.737688002122596*^9, 
   3.737688109048746*^9}, {3.737688158508816*^9, 3.7376881654688253`*^9}, {
   3.7376882616859612`*^9, 3.737688262235962*^9}, {3.737688307460026*^9, 
   3.7376884643922462`*^9}, {3.7376886637855277`*^9, 
   3.7376886651455297`*^9}},ExpressionUUID->"36239e85-edb9-4eb2-9b81-\
c3c3d28ef089"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, 3.7376254985476294`*^9, 3.7376870027811728`*^9, 
   3.737687102814314*^9, 3.7376871422873693`*^9, 3.737687410078746*^9, 
   3.7376876372820673`*^9, 3.7376877555352335`*^9, 3.737688060700678*^9, 
   3.7376881128397512`*^9, 3.7376881663698273`*^9, 3.737688263635964*^9, 
   3.737688361146101*^9, {3.73768845280023*^9, 3.7376884722232575`*^9}, 
   3.7376886667515326`*^9},ExpressionUUID->"d9b5e93f-5fc1-4bc7-aeb7-\
d3479dcdd6ab"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, 3.7376254985476294`*^9, 3.7376870027811728`*^9, 
   3.737687102814314*^9, 3.7376871422873693`*^9, 3.737687410078746*^9, 
   3.7376876372820673`*^9, 3.7376877555352335`*^9, 3.737688060700678*^9, 
   3.7376881128397512`*^9, 3.7376881663698273`*^9, 3.737688263635964*^9, 
   3.737688361146101*^9, {3.73768845280023*^9, 3.7376884722232575`*^9}, 
   3.7376886667515326`*^9},ExpressionUUID->"b5a14fe9-fad4-4729-8dcf-\
f5e2d841af1c"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, 3.7376254985476294`*^9, 3.7376870027811728`*^9, 
   3.737687102814314*^9, 3.7376871422873693`*^9, 3.737687410078746*^9, 
   3.7376876372820673`*^9, 3.7376877555352335`*^9, 3.737688060700678*^9, 
   3.7376881128397512`*^9, 3.7376881663698273`*^9, 3.737688263635964*^9, 
   3.737688361146101*^9, {3.73768845280023*^9, 3.7376884722232575`*^9}, 
   3.7376886678415337`*^9},ExpressionUUID->"c96b6f02-907e-4205-8a65-\
fce889f6526a"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, 3.7376254985476294`*^9, 3.7376870027811728`*^9, 
   3.737687102814314*^9, 3.7376871422873693`*^9, 3.737687410078746*^9, 
   3.7376876372820673`*^9, 3.7376877555352335`*^9, 3.737688060700678*^9, 
   3.7376881128397512`*^9, 3.7376881663698273`*^9, 3.737688263635964*^9, 
   3.737688361146101*^9, {3.73768845280023*^9, 3.7376884722232575`*^9}, 
   3.7376886680515347`*^9},ExpressionUUID->"e793761b-d094-41b4-9a78-\
7863d776840c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{
    "Now", " ", "try", " ", "the", " ", "third", " ", "basis", " ", "choice"}],
    FontSize->24,
    FontWeight->"Bold",
    FontColor->RGBColor[1, 0, 0]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "Is", " ", "it", " ", "possible", " ", "to", " ", "use", " ", "one", " ",
       "basis", " ", "set", " ", "for", " ", "all", " ", 
      RowBox[{"intervals", "?", " ", "How"}], " ", "about", " ", 
      RowBox[{"Cosh", "[", 
       RowBox[{"z", "-", "c"}], "]"}], " ", "and", " ", 
      RowBox[{"Sinh", "[", 
       RowBox[{"z", "-", "c"}], "]"}]}], ",", " ", 
     RowBox[{"where", " ", "c", " ", "is", " ", "the", " ", "center", " ", 
      RowBox[{"point", "?"}]}]}],
    FontColor->RGBColor[0, 0, 1]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "1"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["root",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Parent", " ", "has", " ", "no", " ", "variables"}], ",", " ", 
    RowBox[{
     RowBox[{"so", " ", "w1p"}], "=", 
     RowBox[{"w2p", "=", "0"}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "coupling", " ", "term", " ", "is", " ", "given", " ", "by", 
      " ", "0"}], "=", 
     RowBox[{"2", "*", "I", "*", "tnull", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"w1p", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "a"}], ")"}]}]}], "+", 
        RowBox[{"w2p", "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"b", "-", "z"}], ")"}]}]}]}], ")"}]}]}]}], " ", "*)"}], 
  "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"1", "-", "x"}], ")"}]}]}], ";", "  ", 
    RowBox[{"coefp", "=", 
     RowBox[{"1", "/", "2"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "c"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", " ", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"c", "-", "x"}], ")"}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}]}], "-", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"x", "-", "c"}], ")"}]}], "*", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"y", "-", "c"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}]}], "-", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "x"}], ")"}]}], "*", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "y"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     StyleBox[
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", " ", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"x", "-", "c"}], ")"}]}]}]}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[",",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "x"}], ")"}]}]}]}],
      FontColor->RGBColor[1, 0, 0]]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "We", " ", "neglect", " ", "the", " ", "coefficient", " ", "2", "*", "I",
       " ", "in", " ", "the", " ", "following", " ", 
      RowBox[{"formulas", ".", "\[IndentingNewLine]", "For"}], " ", 
      StyleBox["Child",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[" ",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox["c",
       FontColor->RGBColor[1, 0, 0]]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "0"}], "+", 
       RowBox[{"t", "*", "r", "*", "u"}]}], "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "S"}], "|", 
        RowBox[{
         RowBox[{"qrt", "[", "2", "]"}], "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"z", "-", "a", "+", "a", "-", "c"}], ")"}]}], "*", 
         "tnew"}]}], "=", 
       RowBox[{
        RowBox[{"w1c", "*", 
         RowBox[{"Cosh", "[", 
          RowBox[{"z", "-", "p"}], "]"}]}], "+", 
        RowBox[{"w2c", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"z", "-", "p"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}]}], " ", "\[IndentingNewLine]", "  ", 
         RowBox[{"Note", ":", " ", 
          RowBox[{
          "p", " ", "is", " ", "the", " ", "center", " ", "point", " ", 
           RowBox[{"of", " ", "[", 
            RowBox[{"a", ",", "c"}], "]"}]}]}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a", "+", "a", "-", "c"}], ")"}]}], "*", "tnew"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "p"}], "]"}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "p"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"p", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"p", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "tnew"}], 
          SqrtBox["2"]], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "p"}], "+", "z"}]], " ", "w1c"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "p"}], "+", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "c"}], "+", "p"}]], " ", "tnew"}], 
       SqrtBox["2"]]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "-", "c"}], ")"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "c"}], "+", "p"}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"z", "-", "a", "+", "a", "-", "c"}], ")"}]}], "*", "tnew"}], 
     "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "p"}], "]"}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "p"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "0"}], "+", " ", 
       RowBox[{"t", "*", 
        RowBox[{"1", "/", "r"}], "*", "v"}]}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"c", "-", "b", "+", "b", "-", "z"}], ")"}]}], "*", "tnew"}],
        "=", 
       RowBox[{
        RowBox[{"w1d", "*", 
         RowBox[{"Cosh", "[", 
          RowBox[{"z", "-", "q"}], "]"}]}], "+", 
        RowBox[{"w2d", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"z", "-", "q"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "b", "+", "b", "-", "z"}], ")"}]}], "*", "tnew"}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "q"}], "]"}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "q"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "tnew"}], 
          SqrtBox["2"]], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"q", "-", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"q", "-", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "q"}], "+", "z"}]], " ", "w1d"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "q"}], "+", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"c", "-", "q"}]], " ", "tnew"}], 
       SqrtBox["2"]]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "-", "q"}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\n", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"c", "-", "b", "+", "b", "-", "z"}], ")"}]}], "*", "tnew"}], 
     "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "q"}], "]"}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "q"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376246282674017`*^9, 3.737624943208845*^9}, {3.7376249911399126`*^9, 
   3.7376250843700438`*^9}, {3.7376251180740914`*^9, 3.737625271059309*^9}, {
   3.7376741397173696`*^9, 3.73767414005737*^9}, {3.7376741909834414`*^9, 
   3.737674278133564*^9}, {3.737674313496614*^9, 3.7376743189476213`*^9}, {
   3.7377669782372904`*^9, 3.7377670253181725`*^9}, {3.737767062181038*^9, 
   3.737767081166271*^9}, {3.7377674123870525`*^9, 3.737767618480015*^9}, {
   3.7377677647000713`*^9, 3.7377677950421247`*^9}, {3.7377678584260364`*^9, 
   3.737768059059989*^9}},ExpressionUUID->"fc31c2a3-a282-4061-bb22-\
fc01fc8f1f18"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376246007953634`*^9, {3.737624692246492*^9, 3.7376247083075147`*^9}, 
   3.7376247665255966`*^9, 3.737624817121668*^9, 3.737624858496726*^9, 
   3.737624900314785*^9, {3.737625026862963*^9, 3.7376250325939713`*^9}, 
   3.7376251359651165`*^9, {3.7376251686731634`*^9, 3.7376251789641776`*^9}, 
   3.737625274510314*^9, 3.7376742027754583`*^9, 3.7376742648625455`*^9, 
   3.7376743232276278`*^9, 3.7377674672835493`*^9, 3.737767533631466*^9, 
   3.737767620102418*^9, {3.737767772281685*^9, 3.737767795728526*^9}, {
   3.737767859284038*^9, 3.737767886069285*^9}, 3.737767970873034*^9, 
   3.7377680104191036`*^9, {3.737768052913578*^9, 
   3.7377680621175947`*^9}},ExpressionUUID->"81761860-549c-42cd-8991-\
a1f863526ca3"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376246007953634`*^9, {3.737624692246492*^9, 3.7376247083075147`*^9}, 
   3.7376247665255966`*^9, 3.737624817121668*^9, 3.737624858496726*^9, 
   3.737624900314785*^9, {3.737625026862963*^9, 3.7376250325939713`*^9}, 
   3.7376251359651165`*^9, {3.7376251686731634`*^9, 3.7376251789641776`*^9}, 
   3.737625274510314*^9, 3.7376742027754583`*^9, 3.7376742648625455`*^9, 
   3.7376743232276278`*^9, 3.7377674672835493`*^9, 3.737767533631466*^9, 
   3.737767620102418*^9, {3.737767772281685*^9, 3.737767795728526*^9}, {
   3.737767859284038*^9, 3.737767886069285*^9}, 3.737767970873034*^9, 
   3.7377680104191036`*^9, {3.737768052913578*^9, 
   3.7377680621175947`*^9}},ExpressionUUID->"5823720f-6050-416f-9e8f-\
fede9291f8f1"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376246007953634`*^9, {3.737624692246492*^9, 3.7376247083075147`*^9}, 
   3.7376247665255966`*^9, 3.737624817121668*^9, 3.737624858496726*^9, 
   3.737624900314785*^9, {3.737625026862963*^9, 3.7376250325939713`*^9}, 
   3.7376251359651165`*^9, {3.7376251686731634`*^9, 3.7376251789641776`*^9}, 
   3.737625274510314*^9, 3.7376742027754583`*^9, 3.7376742648625455`*^9, 
   3.7376743232276278`*^9, 3.7377674672835493`*^9, 3.737767533631466*^9, 
   3.737767620102418*^9, {3.737767772281685*^9, 3.737767795728526*^9}, {
   3.737767859284038*^9, 3.737767886069285*^9}, 3.737767970873034*^9, 
   3.7377680104191036`*^9, {3.737768052913578*^9, 
   3.7377680621175947`*^9}},ExpressionUUID->"481e543f-838e-4f9a-b7d2-\
99d7ba7573d7"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376246007953634`*^9, {3.737624692246492*^9, 3.7376247083075147`*^9}, 
   3.7376247665255966`*^9, 3.737624817121668*^9, 3.737624858496726*^9, 
   3.737624900314785*^9, {3.737625026862963*^9, 3.7376250325939713`*^9}, 
   3.7376251359651165`*^9, {3.7376251686731634`*^9, 3.7376251789641776`*^9}, 
   3.737625274510314*^9, 3.7376742027754583`*^9, 3.7376742648625455`*^9, 
   3.7376743232276278`*^9, 3.7377674672835493`*^9, 3.737767533631466*^9, 
   3.737767620102418*^9, {3.737767772281685*^9, 3.737767795728526*^9}, {
   3.737767859284038*^9, 3.737767886069285*^9}, 3.737767970873034*^9, 
   3.7377680104191036`*^9, {3.737768052913578*^9, 
   3.7377680621331944`*^9}},ExpressionUUID->"22332ce5-089b-46e4-aafa-\
7178ddc19ffd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "2"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["left",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["boundary",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"As", " ", "the", " ", "left", " ", "boundary", " ", "node"}], 
    ",", " ", 
    RowBox[{"we", " ", "have", " ", "by", " ", "induction"}], ",", " ", 
    RowBox[{"w2p", "=", "0"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "b"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", "  ", 
    RowBox[{"coefp", "=", "1"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"x", "-", "c"}], ")"}]}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefc", "=", "1"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", "x"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", "y"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{"r", "*", "u"}], "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"E", "^", "x"}]}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"Coth", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "x"}], "]"}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"w1p", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "c"}], "]"}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", "z", ")"}]}]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "p"}], "]"}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "p"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";", 
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "c"}], "]"}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "c"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", "z", ")"}]}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "p"}], "]"}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "p"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"p", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"p", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "z"], " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "-", "c"}]], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w1p"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "p"}], "+", "z"}]], " ", "w1c"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "p"}], "+", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}]}]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "c"}], "-", "p"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", "w1p"}], "-", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", "w1p"}], "+", 
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "p"}]], " ", "w1p"}], "-", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "p"}]], " ", "w1p"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", "w2p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "p"}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}]}]], 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "c"}], "-", "p"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}], "-", 
             RowBox[{"2", " ", "c"}]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}], ")"}]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}], "-", 
             RowBox[{"2", " ", "c"}]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}], ")"}]}]], " ", "tnew"}]}], ")"}]}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]]}], 
      RowBox[{"(", 
       RowBox[{"a", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "c"}], "-", "p"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "a"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", "w1p"}], "+", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", "w1p"}], "+", 
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "p"}]], " ", "w1p"}], "-", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "p"}]], " ", "w1p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "c"}]], " ", "w2p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "p"}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]]}], 
      RowBox[{"(", 
       RowBox[{"a", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "c"}], "-", "p"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}], "-", 
             RowBox[{"2", " ", "c"}]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}], ")"}]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}], "-", 
             RowBox[{"2", " ", "c"}]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}], ")"}]}]], " ", "tnew"}]}], ")"}]}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", "  ", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "p"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "p"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "p"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "c"}]]}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   RowBox[{
    RowBox[{
     StyleBox["w2cc",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["=",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"w2p", " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "p"}], "]"}]}], 
           RowBox[{"a", "-", "b"}]], "+", 
          RowBox[{"w1p", " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"c", "-", "p"}], "]"}]}]}], ")"}]}],
       FontColor->RGBColor[1, 0, 0]], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", 
        SuperscriptBox["\[ExponentialE]", "p"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "b"}]]}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "c"}]]}]], " ", "tnew"}], 
       SqrtBox["2"]]}]}], 
    StyleBox[";",
     FontColor->RGBColor[1, 0.5, 0]]}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"Cosh", "[", 
       RowBox[{"z", "-", "c"}], "]"}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "c"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "-", "c"}], ")"}]}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", "z", ")"}]}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "p"}], "]"}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "p"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"w1p", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "c"}], "]"}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "q"}], "]"}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "q"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "c"}], "]"}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "c"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"Coth", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "q"}], "]"}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "q"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"b", "-", "z"}]], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"q", "-", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"q", "-", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            FractionBox["1", "2"]}], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "b"}], "+", "z"}]], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"b", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w1p"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "q"}], "+", "z"}]], " ", "w1d"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "q"}], "+", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "q"}], "+", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"+", 
              FractionBox["1", "2"]}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"c", "-", "z"}]], " ", "w1p"}], "-", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"c", "-", "z"}]], " ", "w2p"}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"q", "-", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"+", 
              FractionBox["1", "2"]}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "c"}], "+", "z"}]], " ", "w1p"}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "c"}], "+", "z"}]], " ", "w2p"}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "q"}], "+", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"b", "-", "z"}]], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox[
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "+", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], 
           ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"q", "-", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", "2"]}], " ", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "b"}], "+", "z"}]], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              FractionBox[
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "+", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], 
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}]]}]], " ", "tnew"}], 
           ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "a"}], "+", "b"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "b"}], "-", "c", "-", "q"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "-", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "-", 
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", "w1p"}], "+", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", "w1p"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w2p"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "a"}], "+", "b"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "b"}], "-", "c", "-", "q"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "b"}], "+", "c"}]], " ", 
         SqrtBox[
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]], 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "b"}]], "-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "b"}], "+", "c"}]], " ", 
         SqrtBox[
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]], 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "b"}]], "-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", 
         SqrtBox[
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]], 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "b"}]], "-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", 
         SqrtBox[
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]], 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "b"}]], "-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]]], " ", "tnew"}]}], ")"}]}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Now", " ", "the", " ", "relation", " ", "for", " ", "the", " ", "right",
       " ", "child"}], ",", " ", 
     RowBox[{
      RowBox[{"Note", ":", " ", 
       RowBox[{"sinh2", " ", "x"}]}], "=", 
      RowBox[{
       RowBox[{"[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"cosh", " ", 
          RowBox[{"(", 
           RowBox[{"2", " ", "x"}], ")"}]}]}], "]"}], "/", "2"}]}]}], 
    StyleBox[" ",
     FontWeight->"Plain"], "*)"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", " ", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "q"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "q"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], " ", "+", 
       RowBox[{"tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]], " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "q"}], "]"}]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "w2p"}], " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}], " ", "w1p", " ", 
            RowBox[{"Sinh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}]}], ")"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}], ")"}], " ", "tnew", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"b", "-", "q"}], "]"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"Cosh", "[", 
       RowBox[{"z", "-", "c"}], "]"}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "c"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", " ", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"Coth", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "q"}], "]"}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "q"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376253409494076`*^9, 3.7376255047876377`*^9}, {3.73762553955669*^9, 
   3.7376255517647076`*^9}, {3.7376255824397516`*^9, 3.737625764478009*^9}, 
   3.7376258030630636`*^9, {3.737627745606936*^9, 3.7376277458769364`*^9}, {
   3.7376278299770546`*^9, 3.7376279841092715`*^9}, {3.7376280293443356`*^9, 
   3.737628070478393*^9}, {3.737632415943103*^9, 3.7376324292651215`*^9}, {
   3.7376324595981646`*^9, 3.737632461528167*^9}, {3.7376325031322255`*^9, 
   3.737632551570295*^9}, {3.7376325910163507`*^9, 3.73763259782736*^9}, {
   3.7376326309414062`*^9, 3.7376326763784704`*^9}, {3.73763278960063*^9, 
   3.7376328640587344`*^9}, {3.737632913984805*^9, 3.7376331776391783`*^9}, {
   3.7376777770316267`*^9, 3.737677826637464*^9}, {3.7376778672167854`*^9, 
   3.7376778782924185`*^9}, {3.737677915150527*^9, 3.7376781623126636`*^9}, {
   3.7376782220261946`*^9, 3.7376782231461964`*^9}, {3.7377681104474792`*^9, 
   3.737768127326709*^9}, {3.737768163691373*^9, 3.7377683663045287`*^9}, {
   3.737768410405806*^9, 3.7377685066735754`*^9}, {3.737768544566042*^9, 
   3.737768564956278*^9}, {3.73776861723197*^9, 3.7377687697066374`*^9}, {
   3.73776887364962*^9, 3.73776921539942*^9}, {3.7377692595474977`*^9, 
   3.7377693219486074`*^9}, {3.7394996165765285`*^9, 3.739499621342758*^9}, 
   3.7445721647503595`*^9},ExpressionUUID->"3fa7ee7b-1b68-4703-8d70-\
70dbadd06772"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, {3.737625556886716*^9, 3.7376255674077306`*^9}, 
   3.7376257180189433`*^9, 3.737625768408015*^9, 3.7376258044330654`*^9, {
   3.7376278359570627`*^9, 3.73762785514909*^9}, 3.73762790491516*^9, 
   3.73762794033321*^9, 3.737632605448371*^9, {3.737632636931415*^9, 
   3.737632644853426*^9}, 3.737632677878473*^9, 3.73763300317593*^9, 
   3.7376330572830095`*^9, {3.7376331527141433`*^9, 3.7376331784891796`*^9}, {
   3.737677808057401*^9, 3.7376778281855526`*^9}, {3.737677903034834*^9, 
   3.7376779199288*^9}, 3.7376781723631225`*^9, 3.7376782248661985`*^9, 
   3.7377682025978413`*^9, 3.7377683223592515`*^9, 3.737768508342778*^9, 
   3.7377685677018824`*^9, 3.7377686610212464`*^9, 3.737768773263444*^9, {
   3.737768975829799*^9, 3.7377689828342113`*^9}, 3.737769062721952*^9, {
   3.737769167226536*^9, 3.7377691865705695`*^9}, 3.7377692435418696`*^9, 
   3.737769332728226*^9},ExpressionUUID->"703fec1f-a686-4cf1-ae7b-\
925ef5fc95b6"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, {3.737625556886716*^9, 3.7376255674077306`*^9}, 
   3.7376257180189433`*^9, 3.737625768408015*^9, 3.7376258044330654`*^9, {
   3.7376278359570627`*^9, 3.73762785514909*^9}, 3.73762790491516*^9, 
   3.73762794033321*^9, 3.737632605448371*^9, {3.737632636931415*^9, 
   3.737632644853426*^9}, 3.737632677878473*^9, 3.73763300317593*^9, 
   3.7376330572830095`*^9, {3.7376331527141433`*^9, 3.7376331784891796`*^9}, {
   3.737677808057401*^9, 3.7376778281855526`*^9}, {3.737677903034834*^9, 
   3.7376779199288*^9}, 3.7376781723631225`*^9, 3.7376782248661985`*^9, 
   3.7377682025978413`*^9, 3.7377683223592515`*^9, 3.737768508342778*^9, 
   3.7377685677018824`*^9, 3.7377686610212464`*^9, 3.737768773263444*^9, {
   3.737768975829799*^9, 3.7377689828342113`*^9}, 3.737769062721952*^9, {
   3.737769167226536*^9, 3.7377691865705695`*^9}, 3.7377692435418696`*^9, 
   3.737769332743826*^9},ExpressionUUID->"7e07fd7b-d34e-4beb-b2be-\
087a6f6ca845"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, {3.737625556886716*^9, 3.7376255674077306`*^9}, 
   3.7376257180189433`*^9, 3.737625768408015*^9, 3.7376258044330654`*^9, {
   3.7376278359570627`*^9, 3.73762785514909*^9}, 3.73762790491516*^9, 
   3.73762794033321*^9, 3.737632605448371*^9, {3.737632636931415*^9, 
   3.737632644853426*^9}, 3.737632677878473*^9, 3.73763300317593*^9, 
   3.7376330572830095`*^9, {3.7376331527141433`*^9, 3.7376331784891796`*^9}, {
   3.737677808057401*^9, 3.7376778281855526`*^9}, {3.737677903034834*^9, 
   3.7376779199288*^9}, 3.7376781723631225`*^9, 3.7376782248661985`*^9, 
   3.7377682025978413`*^9, 3.7377683223592515`*^9, 3.737768508342778*^9, 
   3.7377685677018824`*^9, 3.7377686610212464`*^9, 3.737768773263444*^9, {
   3.737768975829799*^9, 3.7377689828342113`*^9}, 3.737769062721952*^9, {
   3.737769167226536*^9, 3.7377691865705695`*^9}, 3.7377692435418696`*^9, 
   3.7377693339138284`*^9},ExpressionUUID->"f48b1102-869e-47dc-830d-\
ae43f012e841"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376245381162753`*^9, {3.737625556886716*^9, 3.7376255674077306`*^9}, 
   3.7376257180189433`*^9, 3.737625768408015*^9, 3.7376258044330654`*^9, {
   3.7376278359570627`*^9, 3.73762785514909*^9}, 3.73762790491516*^9, 
   3.73762794033321*^9, 3.737632605448371*^9, {3.737632636931415*^9, 
   3.737632644853426*^9}, 3.737632677878473*^9, 3.73763300317593*^9, 
   3.7376330572830095`*^9, {3.7376331527141433`*^9, 3.7376331784891796`*^9}, {
   3.737677808057401*^9, 3.7376778281855526`*^9}, {3.737677903034834*^9, 
   3.7376779199288*^9}, 3.7376781723631225`*^9, 3.7376782248661985`*^9, 
   3.7377682025978413`*^9, 3.7377683223592515`*^9, 3.737768508342778*^9, 
   3.7377685677018824`*^9, 3.7377686610212464`*^9, 3.737768773263444*^9, {
   3.737768975829799*^9, 3.7377689828342113`*^9}, 3.737769062721952*^9, {
   3.737769167226536*^9, 3.7377691865705695`*^9}, 3.7377692435418696`*^9, 
   3.7377693356454315`*^9},ExpressionUUID->"d827c807-80ea-4b20-91b6-\
6c0335628842"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "3"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "the", " ", 
     StyleBox["right",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["boundary",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "a"}], ")"}]}]}], ";", " ", "  ", 
    RowBox[{"coefp", "=", "1"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";", " ", 
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "a"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "x"}], "+", "c"}], ")"}]}]}], ";", "  ", 
    RowBox[{"coefd", "=", "1"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"x", "-", "a"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"y", "-", "a"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "x"}], ")"}]}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "y"}], ")"}]}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Coth", "[", 
           RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"x", "-", "a"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "c"}], ")"}]}], "-", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
        "*", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"-", "x"}], ")"}]}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Note", ":", " ", 
      RowBox[{
       RowBox[{"Coth", "[", "t", "]"}], " ", "has", " ", "a", " ", 
       "singularity", " ", "at", " ", "t"}]}], "=", "0"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "c"}], "]"}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Coth", "[", 
           RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "p"}], "]"}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "p"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "c"}], "]"}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "c"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Coth", "[", 
          RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "a"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "p"}], "]"}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "p"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            FractionBox["1", "2"]}], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"a", "-", "z"}]], ")"}], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], ")"}], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"c", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"p", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"p", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            FractionBox["1", "2"]}], " ", 
           RowBox[{"(", 
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", "1"}], "-", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], ")"}], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "c"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "==", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "p"}], "+", "z"}]], " ", "w1c"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "p"}], "+", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "p"}], "+", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              FractionBox["1", "2"]}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               FractionBox[
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "+", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"c", "-", "z"}]], " ", "w1p"}], "-", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"c", "-", "z"}]], " ", "w2p"}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "c"}], ")"}]}]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"p", "-", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "a"}], "+", "z"}]], " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "1"}], "-", 
               FractionBox[
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "+", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}]]}]], " ", "tnew"}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "c"}], "+", "z"}]], " ", "w1p"}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "c"}], "+", "z"}]], " ", "w2p"}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]]}], 
      RowBox[{"(", 
       RowBox[{"a", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "a"}], "-", "c", "-", "p"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "a"}], "+", "c"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "a"}], "+", "c"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]], "-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "c"}]]}]]}]], " ", "tnew"}], "-", 
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "+", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "+", 
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", "w1p"}], "-", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", "w1p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w2p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\n", "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", " ", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "p"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "p"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{"tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Coth", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]], " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"p", "-", "a"}], "]"}]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"w2p", " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "p"}], "]"}]}], 
           RowBox[{"a", "-", "b"}]], "+", 
          RowBox[{"w1p", " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"c", "-", "p"}], "]"}]}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], " ", "tnew", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"a", "-", "p"}], "]"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Coth", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"Cosh", "[", 
       RowBox[{"z", "-", "c"}], "]"}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "c"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Coth", "[", 
         RowBox[{"c", "-", "a"}], "]"}], "-", "1"}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"z", "-", "a"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "p"}], "]"}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "p"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "c"}], "]"}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "c"}], ")"}]}], "-", 
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
        "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"-", "z"}], ")"}]}]}]}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"w1d", "*", 
         RowBox[{"Cosh", "[", 
          RowBox[{"z", "-", "q"}], "]"}]}], "+", 
        RowBox[{"w2d", "*", 
         RowBox[{
          RowBox[{"Sinh", "[", 
           RowBox[{"z", "-", "q"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]}]}], ".."}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "c"}], "]"}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "c"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"2", "*", "c"}], ")"}]}], "-", 
           RowBox[{"E", "^", 
            RowBox[{"(", 
             RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], 
       "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", "z"}], ")"}]}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "q"}], "]"}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "q"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"-", "z"}]], " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]]}], "+", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"c", "-", "z"}]], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"q", "-", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"q", "-", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "c"}], "+", "z"}]], " ", "w1p"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "==", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "q"}], "+", "z"}]], " ", "w1d"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "q"}], "+", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "c"}], "-", "q"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"+", "a"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "c"}]], " ", "w1p"}], "-", 
         RowBox[{"b", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "c"}]], " ", "w1p"}], "+", 
         RowBox[{"a", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "q"}]], " ", "w1p"}], "-", 
         RowBox[{"b", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "q"}]], " ", "w1p"}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "c"}]], " ", "w2p"}], "-", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "q"}]], " ", "w2p"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"a", "-", "b"}], ")"}]}]], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "c"}], "-", "q"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SqrtBox["2"], " ", "a", " ", 
          SuperscriptBox["\[ExponentialE]", "c"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]]}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], "-", 
         RowBox[{
          SqrtBox["2"], " ", "b", " ", 
          SuperscriptBox["\[ExponentialE]", "c"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]]}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"a", "-", "b"}], ")"}]}]], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "c"}], ")"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "c"}], "-", "q"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "a"}], " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "c"}]], " ", "w1p"}], "+", 
         RowBox[{"b", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "c"}]], " ", "w1p"}], "+", 
         RowBox[{"a", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "q"}]], " ", "w1p"}], "-", 
         RowBox[{"b", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "q"}]], " ", "w1p"}], "-", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "c"}]], " ", "w2p"}], "-", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "q"}]], " ", "w2p"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"a", "-", "b"}], ")"}]}]], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "c"}], ")"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "c"}], "-", "q"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SqrtBox["2"]}], " ", "a", " ", 
          SuperscriptBox["\[ExponentialE]", "c"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]]}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], "+", 
         RowBox[{
          SqrtBox["2"], " ", "b", " ", 
          SuperscriptBox["\[ExponentialE]", "c"], " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "a"}]]}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}]}], ")"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"a", "-", "b"}], ")"}]}]], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "q"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "q"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", "q"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", " ", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "w2p"}], " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}], " ", "w1p", " ", 
            RowBox[{"Sinh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}]}], ")"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "+", "c"}], ")"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", "q"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"Cosh", "[", 
       RowBox[{"z", "-", "c"}], "]"}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "c"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "c"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}], "/", "2"}], "]"}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", "z"}], ")"}]}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "q"}], "]"}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "q"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Note", " ", "that", " ", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}], ">", "1"}], ",", " ", 
     RowBox[{
     "does", " ", "this", " ", "mean", " ", "the", " ", "basis", " ", "is", 
      " ", "not", " ", "a", " ", "good", " ", 
      RowBox[{"choice", "?"}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376253409494076`*^9, 3.7376255047876377`*^9}, 3.73762553955669*^9, {
   3.7376782654122562`*^9, 3.7376782750342693`*^9}, {3.737678352072979*^9, 
   3.7376783525429797`*^9}, {3.73767838837703*^9, 3.7376786471513996`*^9}, {
   3.737678699538473*^9, 3.7376787009684753`*^9}, 3.7376787735355773`*^9, {
   3.737678900950756*^9, 3.737678929723797*^9}, {3.7376789813298693`*^9, 
   3.7376790370749474`*^9}, {3.737679072268997*^9, 3.73767929458731*^9}, {
   3.7376793266443553`*^9, 3.7376793799594297`*^9}, {3.7376821295813017`*^9, 
   3.7376823510576134`*^9}, {3.7376824272377205`*^9, 
   3.7376825025468264`*^9}, {3.7376825344908714`*^9, 3.737682587226946*^9}, {
   3.7376826200019913`*^9, 3.737682621521994*^9}, {3.737682804592252*^9, 
   3.7376828470553117`*^9}, {3.737682911908403*^9, 3.737682941871445*^9}, {
   3.737770009412615*^9, 3.737770011175418*^9}, 3.7377700501598864`*^9, {
   3.737770181450717*^9, 3.737770259513254*^9}, {3.7377702937563143`*^9, 
   3.7377703325691824`*^9}, 3.7377703708048496`*^9, {3.7377704199771357`*^9, 
   3.7377704594920053`*^9}, {3.737770519583311*^9, 3.7377706265058985`*^9}, {
   3.737770715473855*^9, 3.737770798980802*^9}, {3.7377708551409006`*^9, 
   3.737770855546501*^9}, {3.737770911847*^9, 3.7377709138438034`*^9}, {
   3.737770975526312*^9, 3.7377710036843615`*^9}, {3.7377710345724154`*^9, 
   3.737771259524811*^9}, {3.7377713104121003`*^9, 3.737771342907957*^9}, {
   3.7403564357851872`*^9, 3.740356438345191*^9}, {3.7403565126972966`*^9, 
   3.740356514497299*^9}, 3.740445366905164*^9, {3.7404479840458975`*^9, 
   3.7404480417729783`*^9}, {3.740448080379033*^9, 3.7404480899910464`*^9}, {
   3.7404481248870955`*^9, 3.7404481568501406`*^9}, {3.740448273613306*^9, 
   3.740448284714321*^9}, {3.7404483998604836`*^9, 3.7404484774755936`*^9}, 
   3.7404485710617256`*^9, {3.740448846374113*^9, 
   3.740448863775137*^9}},ExpressionUUID->"c7399278-0fb2-4f41-b5d8-\
5517117662a7"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376784848481703`*^9, 3.7376785791513033`*^9, 3.737678648341401*^9, 
   3.7376787129594917`*^9, 3.737678774465578*^9, 3.737678933174802*^9, 
   3.737679041535954*^9, 3.737679172731138*^9, {3.737679225008212*^9, 
   3.7376792436512384`*^9}, 3.7376822100304146`*^9, 3.7376822895685267`*^9, {
   3.7376823227725735`*^9, 3.737682335025591*^9}, {3.7376826006389647`*^9, 
   3.7376826230119963`*^9}, 3.7376828053622527`*^9, {3.737682838414299*^9, 
   3.737682850416316*^9}, 3.7377702249747934`*^9, 3.737770421599539*^9, 
   3.7377705038116837`*^9, 3.7377706120134735`*^9, 3.7377706873314056`*^9, 
   3.737770801866807*^9, 3.7377708781821413`*^9, 3.73777095153347*^9, 
   3.737771055975653*^9, 3.737771139467*^9, 3.7377712131771297`*^9, {
   3.737771326948129*^9, 3.73777134421836*^9}, 3.7403563353648815`*^9, 
   3.740356439965193*^9, 3.740356521788309*^9, 3.7404453967702055`*^9, 
   3.74044543547326*^9, 3.7404481368981123`*^9, 
   3.7404488653051395`*^9},ExpressionUUID->"f5cf02ea-5776-4d9a-bf25-\
4443c687583c"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376784848481703`*^9, 3.7376785791513033`*^9, 3.737678648341401*^9, 
   3.7376787129594917`*^9, 3.737678774465578*^9, 3.737678933174802*^9, 
   3.737679041535954*^9, 3.737679172731138*^9, {3.737679225008212*^9, 
   3.7376792436512384`*^9}, 3.7376822100304146`*^9, 3.7376822895685267`*^9, {
   3.7376823227725735`*^9, 3.737682335025591*^9}, {3.7376826006389647`*^9, 
   3.7376826230119963`*^9}, 3.7376828053622527`*^9, {3.737682838414299*^9, 
   3.737682850416316*^9}, 3.7377702249747934`*^9, 3.737770421599539*^9, 
   3.7377705038116837`*^9, 3.7377706120134735`*^9, 3.7377706873314056`*^9, 
   3.737770801866807*^9, 3.7377708781821413`*^9, 3.73777095153347*^9, 
   3.737771055975653*^9, 3.737771139467*^9, 3.7377712131771297`*^9, {
   3.737771326948129*^9, 3.73777134421836*^9}, 3.7403563353648815`*^9, 
   3.740356439965193*^9, 3.740356521788309*^9, 3.7404453967702055`*^9, 
   3.74044543547326*^9, 3.7404481368981123`*^9, 
   3.7404488653051395`*^9},ExpressionUUID->"9cb8ab36-e222-4789-9288-\
3adb3fbc5b2f"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376784848481703`*^9, 3.7376785791513033`*^9, 3.737678648341401*^9, 
   3.7376787129594917`*^9, 3.737678774465578*^9, 3.737678933174802*^9, 
   3.737679041535954*^9, 3.737679172731138*^9, {3.737679225008212*^9, 
   3.7376792436512384`*^9}, 3.7376822100304146`*^9, 3.7376822895685267`*^9, {
   3.7376823227725735`*^9, 3.737682335025591*^9}, {3.7376826006389647`*^9, 
   3.7376826230119963`*^9}, 3.7376828053622527`*^9, {3.737682838414299*^9, 
   3.737682850416316*^9}, 3.7377702249747934`*^9, 3.737770421599539*^9, 
   3.7377705038116837`*^9, 3.7377706120134735`*^9, 3.7377706873314056`*^9, 
   3.737770801866807*^9, 3.7377708781821413`*^9, 3.73777095153347*^9, 
   3.737771055975653*^9, 3.737771139467*^9, 3.7377712131771297`*^9, {
   3.737771326948129*^9, 3.73777134421836*^9}, 3.7403563353648815`*^9, 
   3.740356439965193*^9, 3.740356521788309*^9, 3.7404453967702055`*^9, 
   3.74044543547326*^9, 3.7404481368981123`*^9, 
   3.7404488690361443`*^9},ExpressionUUID->"0b427a29-a3de-462d-9609-\
3e0373a17356"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376784848481703`*^9, 3.7376785791513033`*^9, 3.737678648341401*^9, 
   3.7376787129594917`*^9, 3.737678774465578*^9, 3.737678933174802*^9, 
   3.737679041535954*^9, 3.737679172731138*^9, {3.737679225008212*^9, 
   3.7376792436512384`*^9}, 3.7376822100304146`*^9, 3.7376822895685267`*^9, {
   3.7376823227725735`*^9, 3.737682335025591*^9}, {3.7376826006389647`*^9, 
   3.7376826230119963`*^9}, 3.7376828053622527`*^9, {3.737682838414299*^9, 
   3.737682850416316*^9}, 3.7377702249747934`*^9, 3.737770421599539*^9, 
   3.7377705038116837`*^9, 3.7377706120134735`*^9, 3.7377706873314056`*^9, 
   3.737770801866807*^9, 3.7377708781821413`*^9, 3.73777095153347*^9, 
   3.737771055975653*^9, 3.737771139467*^9, 3.7377712131771297`*^9, {
   3.737771326948129*^9, 3.73777134421836*^9}, 3.7403563353648815`*^9, 
   3.740356439965193*^9, 3.740356521788309*^9, 3.7404453967702055`*^9, 
   3.74044543547326*^9, 3.7404481368981123`*^9, 
   3.7404488700481462`*^9},ExpressionUUID->"8a4f7035-7fd9-47a8-9f3b-\
5bf3299da950"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"case", " ", "4"}], ":", " ", 
    RowBox[{"parent", " ", "is", " ", "an", " ", 
     StyleBox["interior",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["node",
      FontColor->RGBColor[1, 0, 0]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Green", "'"}], "s", " ", 
     RowBox[{"function", ":", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"gr", "[", "x", "]"}], "*", 
        RowBox[{"gl", "[", "y", "]"}], " ", "if", " ", "y"}], "<", "x"}]}]}], 
    ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"gr", "[", "y", "]"}], "*", 
      RowBox[{"gl", "[", "x", "]"}], " ", "if", " ", "y"}], ">", 
     RowBox[{"x", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"we", " ", "consider", " ", "the", " ", "interval", " ", "a"}], 
     "<", "c", "<", "b"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "mid"}], "-", 
     RowBox[{"point", " ", "is", " ", "c"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"glp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grp", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefp", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"parent", "'"}], "s", " ", 
     RowBox[{"Green", "'"}], "s", " ", "function"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefp1", "=", 
     RowBox[{"1", "/", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "a"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"glc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "a"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grc", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"c", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefc", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"a", "+", "c"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "a"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"left", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"gld", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"x", "-", "c"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"grd", "[", "x_", "]"}], "=", 
     RowBox[{"Sinh", "[", 
      RowBox[{"b", "-", "x"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"coefd", "=", 
     RowBox[{"2", "*", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"c", "+", "b"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "b"}], ")"}]}], "-", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "c"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"right", " ", "child"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "c"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grc", "[", "y", "]"}], "*", 
      RowBox[{"glc", "[", "x", "]"}], "*", "coefc"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"a", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "term", " ", "added", " ", "for", " ", "child", " ", "d"}], 
     ",", " ", 
     RowBox[{"by", " ", "subtraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"grp", "[", "y", "]"}], "*", 
      RowBox[{"glp", "[", "x", "]"}], "*", "coefp"}], "-", 
     RowBox[{
      RowBox[{"grd", "[", "y", "]"}], "*", 
      RowBox[{"gld", "[", "x", "]"}], "*", "coefd"}], "-", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "x"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "y"}], "]"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"From", " ", "the", " ", "results"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "*", "u"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"x", "-", "a"}], "]"}]}]}], ";", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "/", "r"}], "*", "v"}], "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "x"}], "]"}], "."}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "C"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "c"}], "]"}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
        StyleBox[
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "z"}], "]"}],
         FontColor->RGBColor[1, 0, 0]]}]}], "=", 
      RowBox[{
       RowBox[{"w1c", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "p"}], "]"}]}], "+", 
       RowBox[{"w2c", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "p"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"c", "-", "a"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "c"}], "]"}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "c"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
       StyleBox[
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "a"}], "]"}],
        FontColor->RGBColor[1, 0, 0]]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1c", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "p"}], "]"}]}], "+", 
      RowBox[{"w2c", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "p"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SqrtBox[
              FractionBox[
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "b"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "c"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]]}], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"a", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], ")"}], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"c", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"p", "-", "z"}]], " ", "w1c"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"p", "-", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SqrtBox[
              FractionBox[
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "b"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "c"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]]}], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], ")"}], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "c"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "p"}], "+", "z"}]], " ", "w1c"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "p"}], "+", "z"}]], " ", "w2c"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1c", ",", "w2c"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "p"}], "+", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"+", 
              FractionBox["1", "2"]}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"c", "-", "z"}]], " ", "w1p"}], "-", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"c", "-", "z"}]], " ", "w2p"}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "c"}], ")"}]}]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"p", "-", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"+", 
              FractionBox["1", "2"]}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "c"}], "+", "z"}]], " ", "w1p"}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "c"}], "+", "z"}]], " ", "w2p"}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "a"}], "+", "c"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "p"}], "+", "z"}]], " ", 
          RowBox[{"(", 
           FractionBox[
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"a", "-", "z"}]]}], " ", 
             SqrtBox[
              FractionBox[
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "b"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "c"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
             "tnew"}], 
            SqrtBox["2"]], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "c"}], ")"}]}]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"p", "-", "z"}]], " ", 
          RowBox[{"(", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "a"}], "+", "z"}]], " ", 
             SqrtBox[
              FractionBox[
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"b", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "b"}], "+", "c"}]]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "b"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "c"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "c"}]]}], ")"}]}]]], " ", 
             "tnew"}], 
            SqrtBox["2"]], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "a"}], "+", "c"}], ")"}]}]]}], ")"}]}], "]"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]]}], 
      RowBox[{"(", 
       RowBox[{"a", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "a"}], "-", "c", "-", "p"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "a"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "+", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "+", 
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", "w1p"}], "-", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", "w1p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w2p"}], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"a", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}]}]]}], 
      RowBox[{"(", 
       RowBox[{"a", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "a"}], "-", "c", "-", "p"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SqrtBox["2"]}], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "a"}], "+", "c"}]], " ", 
         SqrtBox[
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "a"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "a"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}], ")"}]}]]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "a"}], "+", "c"}]], " ", 
         SqrtBox[
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "a"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "a"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}], ")"}]}]]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", 
         SqrtBox[
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "a"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "a"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}], ")"}]}]]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "p"}]}]], " ", 
         SqrtBox[
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "a"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "a"}]], "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "c"}]]}], ")"}]}]]], " ", "tnew"}]}], 
       ")"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "p"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "p"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{"tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]], " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"p", "-", "a"}], "]"}]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"w2p", " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "p"}], "]"}]}], 
           RowBox[{"a", "-", "b"}]], "+", 
          RowBox[{"w1p", " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"c", "-", "p"}], "]"}]}]}], ")"}]}], "+", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"c", "-", "a"}], ")"}], " ", "tnew", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"a", "-", "p"}], "]"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"Cosh", "[", 
       RowBox[{"z", "-", "c"}], "]"}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "c"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "c"}], "]"}]}], "]"}], "*", 
      StyleBox[
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "a"}], "]"}],
       FontColor->RGBColor[1, 0, 0]]}], 
     StyleBox["-",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      RowBox[{
       RowBox[{"w1cc", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "p"}], "]"}]}], "+", 
       RowBox[{"w2cc", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "p"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"c", "-", "a"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"For", " ", "Child", " ", "d"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "have", " ", "\[IndentingNewLine]", "w1p", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "c"}], "]"}]}], "+", 
       RowBox[{"w2p", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "c"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
       RowBox[{"tnew", "*", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], "*", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], "*", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "z"}], "]"}]}]}], "=", 
      RowBox[{
       RowBox[{"w1d", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "q"}], "]"}]}], "+", 
       RowBox[{"w2d", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "q"}], "]"}], "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}], "."}]}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "w1p", ",", "w2p", ",", "w1c", ",", "w2c", ",", "w1d", ",", "w2d", ",", 
      "w1cc", ",", "w2cc", ",", "w1dd", ",", "w2dd"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1p", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "c"}], "]"}]}], "+", 
      RowBox[{"w2p", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "c"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
      RowBox[{"tnew", "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"Csch", "[", 
          RowBox[{"a", "-", "b"}], "]"}], "*", 
         RowBox[{"Csch", "[", 
          RowBox[{"b", "-", "c"}], "]"}], "*", 
         RowBox[{"Sinh", "[", 
          RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
       RowBox[{"Sinh", "[", 
        RowBox[{"b", "-", "z"}], "]"}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigToExp", "[", 
     RowBox[{
      RowBox[{"w1d", "*", 
       RowBox[{"Cosh", "[", 
        RowBox[{"z", "-", "q"}], "]"}]}], "+", 
      RowBox[{"w2d", "*", 
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"z", "-", "q"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"c", "-", "z"}]], ")"}], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"c", "-", "z"}]], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"q", "-", "z"}]], " ", "w1d"}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"q", "-", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox[
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"a", "-", "c"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "a"}], "+", "c"}]]}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "b"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"b", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]]}], ")"}], " ", "tnew"}], 
           SqrtBox["2"]], "+", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"(", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "c"}], "+", "z"}]], ")"}], " ", "w1p"}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "c"}], "+", "z"}]]}], ")"}], " ", "w2p"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"+", 
            FractionBox["1", "2"]}], " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "q"}], "+", "z"}]], " ", "w1d"}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "q"}], "+", "z"}]], " ", "w2d"}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"b", "-", "c"}], ")"}]}]]}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"w1d", ",", "w2d"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "q"}], "+", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"c", "-", "z"}]], " ", "w1p"}], "-", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"c", "-", "z"}]], " ", "w2p"}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"q", "-", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "c"}], "+", "z"}]], " ", "w1p"}], "+", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "c"}], "+", "z"}]], " ", "w2p"}], 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "a"}], "+", "b"}], ")"}]}]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "q"}], "+", "z"}]], " ", 
          RowBox[{"(", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"b", "-", "z"}]], " ", 
             SqrtBox[
              FractionBox[
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"a", "-", "c"}]], "-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  RowBox[{"-", "a"}], "+", "c"}]]}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"a", "-", "b"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"b", "-", "c"}]], "-", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
             "tnew"}], 
            SqrtBox["2"]], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"q", "-", "z"}]], " ", 
          RowBox[{"(", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "b"}], "+", "z"}]], " ", 
              SqrtBox[
               FractionBox[
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"a", "-", "c"}]], "-", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "a"}], "+", "c"}]]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"a", "-", "b"}]], "-", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "a"}], "+", "b"}]]}], ")"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"b", "-", "c"}]], "-", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "b"}], "+", "c"}]]}], ")"}]}]]], " ", 
              "tnew"}], 
             SqrtBox["2"]]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "-", "c"}], ")"}]}]]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "a"}], "+", "b"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "b"}], "-", "c", "-", "q"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "-", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w1p"}], "-", 
        RowBox[{"a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", "w1p"}], "+", 
        RowBox[{"b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", "w1p"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "c"}]}]], " ", "w2p"}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"b", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", "w2p"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "a"}], "+", "b"}], ")"}]}]], 
      RowBox[{"(", 
       RowBox[{"b", "-", "c"}], ")"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "b"}], "-", "c", "-", "q"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "b"}], "+", "c"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "b"}], "+", "c"}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "+", 
        RowBox[{
         SqrtBox["2"], " ", "a", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}], "-", 
        RowBox[{
         SqrtBox["2"], " ", "b", " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "+", 
           RowBox[{"2", " ", "q"}]}]], " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "b"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "a"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"2", " ", "a"}]]}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "b"}]], "-", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"2", " ", "c"}]]}], ")"}]}]]}]], " ", "tnew"}]}], 
       ")"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "q"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "q"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", " ", 
       RowBox[{"tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]], " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "q"}], "]"}]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "w2p"}], " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}], " ", "w1p", " ", 
            RowBox[{"Sinh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}]}], ")"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}], ")"}], " ", "tnew", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"b", "-", "q"}], "]"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"w1p", "*", 
      RowBox[{"Cosh", "[", 
       RowBox[{"z", "-", "c"}], "]"}]}], "+", 
     RowBox[{"w2p", "*", 
      RowBox[{
       RowBox[{"Sinh", "[", 
        RowBox[{"z", "-", "c"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}]}]}], "+", 
     RowBox[{"tnew", "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"Csch", "[", 
         RowBox[{"a", "-", "b"}], "]"}], "*", 
        RowBox[{"Csch", "[", 
         RowBox[{"b", "-", "c"}], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "c"}], "]"}]}], "]"}], "*", 
      RowBox[{"Sinh", "[", 
       RowBox[{"b", "-", "z"}], "]"}]}], "-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"w1dd", "*", 
        RowBox[{"Cosh", "[", 
         RowBox[{"z", "-", "q"}], "]"}]}], "+", 
       RowBox[{"w2dd", "*", 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"z", "-", "q"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}]}]}]}], ")"}]}], "]"}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.7376227722077904`*^9, 3.7376227893218145`*^9}, {
   3.737624220756829*^9, 3.7376242549508767`*^9}, {3.7376242924659295`*^9, 
   3.737624325149976*^9}, {3.7376243932380714`*^9, 3.7376244059390893`*^9}, {
   3.73762447039818*^9, 3.7376245370462737`*^9}, 3.7376245942543545`*^9, {
   3.7376253409494076`*^9, 3.7376255047876377`*^9}, 3.73762553955669*^9, 
   3.7376782654122562`*^9, {3.737682967895482*^9, 3.737683034302576*^9}, {
   3.7376830802476406`*^9, 3.737683092989659*^9}, {3.737683129883711*^9, 
   3.737683252680887*^9}, {3.7376833038639593`*^9, 3.7376833435500154`*^9}, {
   3.7376833805650673`*^9, 3.737683540545295*^9}, {3.7376842122032394`*^9, 
   3.737684260184307*^9}, {3.7376843913814926`*^9, 3.737684402733509*^9}, {
   3.7376853432888336`*^9, 3.737685380092885*^9}, {3.737685434098961*^9, 
   3.737685562346142*^9}, {3.73768561035221*^9, 3.7376856191242228`*^9}, {
   3.7376857077983475`*^9, 3.7376858197195053`*^9}, {3.7376859232616506`*^9, 
   3.7376859679567137`*^9}, {3.7376860357248096`*^9, 3.737686038006813*^9}, 
   3.7376861103049145`*^9, {3.737686251228114*^9, 3.7376865128844833`*^9}, {
   3.7376865560705442`*^9, 3.7376865726725674`*^9}, 3.7376867949898806`*^9, {
   3.7377714076480713`*^9, 3.7377714361493216`*^9}, 3.7377714705005817`*^9, {
   3.737771540794305*^9, 3.73777166857813*^9}, {3.7377717001555853`*^9, 
   3.7377718078581743`*^9}, {3.7377718473106437`*^9, 3.737771848745846*^9}, {
   3.7377719179329677`*^9, 3.737772005356521*^9}, {3.737772037633978*^9, 
   3.737772095120079*^9}, {3.73777212989254*^9, 3.737772298014035*^9}, {
   3.737772332490096*^9, 3.737772406964627*^9}, {3.7401139855805235`*^9, 
   3.7401140139006124`*^9}, {3.740448935463238*^9, 3.7404489365332394`*^9}, {
   3.740449012773347*^9, 
   3.740449119279497*^9}},ExpressionUUID->"c07ad3b2-1a19-4c38-b411-\
73f7994ec366"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376831525187435`*^9, 3.73768325457089*^9, 3.7376833302869964`*^9, 
   3.7376834105801096`*^9, {3.7376835412652955`*^9, 3.737683560787323*^9}, 
   3.7376837645876102`*^9, 3.737685344848836*^9, {3.7376854839750314`*^9, 
   3.737685512839072*^9}, 3.737685563146143*^9, {3.7376857154883585`*^9, 
   3.7376857384913907`*^9}, 3.7376859694367156`*^9, 3.737686038966814*^9, 
   3.7376861111049156`*^9, 3.737686253388117*^9, 3.737686493460456*^9, {
   3.7376865660715585`*^9, 3.73768657445257*^9}, 3.7377715580323353`*^9, 
   3.737771671011734*^9, 3.737771832568618*^9, 3.737771903814943*^9, 
   3.737772017727343*^9, 3.7377721129353104`*^9, 3.7377722051314726`*^9, 
   3.7377722904324217`*^9, 3.7377724098350315`*^9, 3.73777645177094*^9, 
   3.740449129863512*^9},ExpressionUUID->"8847b888-09a5-4841-a89f-\
7a262c11774c"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376831525187435`*^9, 3.73768325457089*^9, 3.7376833302869964`*^9, 
   3.7376834105801096`*^9, {3.7376835412652955`*^9, 3.737683560787323*^9}, 
   3.7376837645876102`*^9, 3.737685344848836*^9, {3.7376854839750314`*^9, 
   3.737685512839072*^9}, 3.737685563146143*^9, {3.7376857154883585`*^9, 
   3.7376857384913907`*^9}, 3.7376859694367156`*^9, 3.737686038966814*^9, 
   3.7376861111049156`*^9, 3.737686253388117*^9, 3.737686493460456*^9, {
   3.7376865660715585`*^9, 3.73768657445257*^9}, 3.7377715580323353`*^9, 
   3.737771671011734*^9, 3.737771832568618*^9, 3.737771903814943*^9, 
   3.737772017727343*^9, 3.7377721129353104`*^9, 3.7377722051314726`*^9, 
   3.7377722904324217`*^9, 3.7377724098350315`*^9, 3.73777645177094*^9, 
   3.7404491299235115`*^9},ExpressionUUID->"beeded66-4cbe-4839-b803-\
4929d256ceac"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376831525187435`*^9, 3.73768325457089*^9, 3.7376833302869964`*^9, 
   3.7376834105801096`*^9, {3.7376835412652955`*^9, 3.737683560787323*^9}, 
   3.7376837645876102`*^9, 3.737685344848836*^9, {3.7376854839750314`*^9, 
   3.737685512839072*^9}, 3.737685563146143*^9, {3.7376857154883585`*^9, 
   3.7376857384913907`*^9}, 3.7376859694367156`*^9, 3.737686038966814*^9, 
   3.7376861111049156`*^9, 3.737686253388117*^9, 3.737686493460456*^9, {
   3.7376865660715585`*^9, 3.73768657445257*^9}, 3.7377715580323353`*^9, 
   3.737771671011734*^9, 3.737771832568618*^9, 3.737771903814943*^9, 
   3.737772017727343*^9, 3.7377721129353104`*^9, 3.7377722051314726`*^9, 
   3.7377722904324217`*^9, 3.7377724098350315`*^9, 3.73777645177094*^9, 
   3.740449131743514*^9},ExpressionUUID->"0250ee4c-a07d-4af4-8d9d-\
20255dde3dec"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7376831525187435`*^9, 3.73768325457089*^9, 3.7376833302869964`*^9, 
   3.7376834105801096`*^9, {3.7376835412652955`*^9, 3.737683560787323*^9}, 
   3.7376837645876102`*^9, 3.737685344848836*^9, {3.7376854839750314`*^9, 
   3.737685512839072*^9}, 3.737685563146143*^9, {3.7376857154883585`*^9, 
   3.7376857384913907`*^9}, 3.7376859694367156`*^9, 3.737686038966814*^9, 
   3.7376861111049156`*^9, 3.737686253388117*^9, 3.737686493460456*^9, {
   3.7376865660715585`*^9, 3.73768657445257*^9}, 3.7377715580323353`*^9, 
   3.737771671011734*^9, 3.737771832568618*^9, 3.737771903814943*^9, 
   3.737772017727343*^9, 3.7377721129353104`*^9, 3.7377722051314726`*^9, 
   3.7377722904324217`*^9, 3.7377724098350315`*^9, 3.73777645177094*^9, 
   3.7404491328435163`*^9},ExpressionUUID->"521f6ba3-9f2e-479b-8530-\
338cd390c2c2"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Analysis", " ", "of", " ", "the", " ", "coefficients"}], " ", 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Root", ":"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "c"}], "+", "p"}]], " ", "tnew"}], 
       SqrtBox["2"]]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "-", "c"}], ")"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "c"}], "+", "p"}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"c", "-", "q"}]], " ", "tnew"}], 
       SqrtBox["2"]]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"c", "-", "q"}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{"(*", " ", 
     RowBox[{"Left", " ", "boundary"}], " ", "*)"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", "  ", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "p"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "p"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "p"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "2"}], " ", "b"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "c"}]]}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   RowBox[{
    RowBox[{
     StyleBox["w2cc",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["=",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"w2p", " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "p"}], "]"}]}], 
           RowBox[{"a", "-", "b"}]], "+", 
          RowBox[{"w1p", " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"c", "-", "p"}], "]"}]}]}], ")"}]}],
       FontColor->RGBColor[1, 0, 0]], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", 
        SuperscriptBox["\[ExponentialE]", "p"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", "2"}], " ", "b"}]]}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "c"}]]}]], " ", "tnew"}], 
       SqrtBox["2"]]}]}], 
    StyleBox[";",
     FontColor->RGBColor[1, 0.5, 0]]}], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", " ", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "q"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "q"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], " ", "+", 
       RowBox[{"tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]], " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "q"}], "]"}]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "w2p"}], " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}], " ", "w1p", " ", 
            RowBox[{"Sinh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}]}], ")"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}], ")"}], " ", "tnew", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"b", "-", "q"}], "]"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"Coth", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{"(*", " ", 
     RowBox[{"Right", " ", "Boundary"}], " ", "*)"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", " ", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "p"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "p"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{"tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Coth", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]], " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "p"}], "]"}]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"w2p", " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "p"}], "]"}]}], 
           RowBox[{"a", "-", "b"}]], "+", 
          RowBox[{"w1p", " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"c", "-", "p"}], "]"}]}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", "tnew", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"a", "-", "p"}], "]"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Coth", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "q"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "q"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", "q"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", " ", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "w2p"}], " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}], " ", "w1p", " ", 
            RowBox[{"Sinh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}]}], ")"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "b"}], "+", "c"}], ")"}], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", "q"}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "a"}]]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
        SqrtBox["2"]]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{"(*", " ", 
     RowBox[{"Interior", " ", "node"}], " ", "*)"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w1cc", "=", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "p"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "p"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{"tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]], " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"a", "-", "p"}], "]"}]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2cc", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"w2p", " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "p"}], "]"}]}], 
           RowBox[{"a", "-", "b"}]], "+", 
          RowBox[{"w1p", " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"c", "-", "p"}], "]"}]}]}], ")"}]}], "+", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "c"}], ")"}], " ", "tnew", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"a", "-", "p"}], "]"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"b", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w1dd", "=", 
      RowBox[{
       RowBox[{"w1p", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"c", "-", "q"}], "]"}]}], "+", 
       FractionBox[
        RowBox[{"w2p", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{"c", "-", "q"}], "]"}]}], 
        RowBox[{"a", "-", "b"}]], "+", " ", 
       RowBox[{"tnew", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]], " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"b", "-", "q"}], "]"}]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox["\[IndentingNewLine]",
    FontColor->RGBColor[1, 0.5, 0]], 
   StyleBox[
    RowBox[{
     RowBox[{"w2dd", "=", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"b", "-", "c"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "w2p"}], " ", 
            RowBox[{"Cosh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "a"}], "+", "b"}], ")"}], " ", "w1p", " ", 
            RowBox[{"Sinh", "[", 
             RowBox[{"c", "-", "q"}], "]"}]}]}], ")"}]}], 
        RowBox[{"a", "-", "b"}]], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}], ")"}], " ", "tnew", " ", 
        RowBox[{"Cosh", "[", 
         RowBox[{"b", "-", "q"}], "]"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"Csch", "[", 
           RowBox[{"a", "-", "b"}], "]"}], " ", 
          RowBox[{"Csch", "[", 
           RowBox[{"b", "-", "c"}], "]"}], " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], ";"}],
    FontColor->RGBColor[1, 0.5, 0]]}]}]], "Input",
 CellChangeTimes->{{3.7377744032151413`*^9, 3.7377744312171903`*^9}, {
   3.737774467050453*^9, 3.7377744796552753`*^9}, {3.7377745388261795`*^9, 
   3.737774660382593*^9}, 
   3.73779008564622*^9},ExpressionUUID->"4259a647-be9e-41e2-a4d7-\
c595b946812f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Some", " ", "estimates"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{"Cosh", "[", "h", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "0", ",", "3"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Sinh", "[", "h", "]"}], "/", "2"}], "/", "h"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.737775551959359*^9, 
  3.737775621566681*^9}},ExpressionUUID->"84f531ee-7ed0-4ee2-acf6-\
d785c1550249"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "+", 
   FractionBox[
    SuperscriptBox["h", "2"], "2"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "h", "]"}], "4"],
    SeriesData[$CellContext`h, 0, {}, 0, 4, 1],
    Editable->False]}],
  SeriesData[$CellContext`h, 0, {1, 0, 
    Rational[1, 2]}, 0, 4, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.7377755770130033`*^9, 
  3.737775622097082*^9},ExpressionUUID->"f9ebccaa-b1e8-4146-be93-\
c8963df605b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["1", "2"], "+", 
   FractionBox[
    SuperscriptBox["h", "2"], "12"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "h", "]"}], "4"],
    SeriesData[$CellContext`h, 0, {}, 0, 4, 1],
    Editable->False]}],
  SeriesData[$CellContext`h, 0, {
    Rational[1, 2], 0, 
    Rational[1, 12]}, 0, 4, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.7377755770130033`*^9, 
  3.737775622097082*^9},ExpressionUUID->"19e5fd94-641c-4ff3-939a-\
3159f8d6b65b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{
    SqrtBox[
     RowBox[{
      RowBox[{"Csch", "[", 
       RowBox[{"2", "*", "h"}], "]"}], " ", 
      RowBox[{"Csch", "[", "h", "]"}], " ", 
      RowBox[{"Sinh", "[", "h", "]"}]}]], " ", 
    RowBox[{"Sinh", "[", 
     RowBox[{"h", "/", "2"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"h", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7377756806907854`*^9, 
  3.737775708942435*^9}},ExpressionUUID->"9c17ace3-008f-4251-bc23-\
94bc43dd8412"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    SqrtBox["h"], 
    RowBox[{"2", " ", 
     SqrtBox["2"]}]], "-", 
   FractionBox[
    RowBox[{"7", " ", 
     SuperscriptBox["h", 
      RowBox[{"5", "/", "2"}]]}], 
    RowBox[{"48", " ", 
     SqrtBox["2"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "h", "]"}], 
     RowBox[{"7", "/", "2"}]],
    SeriesData[$CellContext`h, 0, {}, 1, 7, 2],
    Editable->False]}],
  SeriesData[$CellContext`h, 0, {
   Rational[1, 2] 2^Rational[-1, 2], 0, 0, 0, Rational[-7, 48] 
    2^Rational[-1, 2]}, 1, 7, 2],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.7377757093636355`*^9},ExpressionUUID->"93726063-2d17-459b-a9a9-\
dfef9e6380f1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{"1", "/", 
     RowBox[{"2", "^", "k"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", "Infinity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.744754018610903*^9, 3.7447540462419415`*^9}, {
  3.7447540799819994`*^9, 3.7447540823920026`*^9}, {3.7447542562672577`*^9, 
  3.7447542564172583`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"3b37913f-4b85-45b6-be15-319d0a9745ef"],

Cell[BoxData[
 RowBox[{"2", "+", 
  SqrtBox["2"]}]], "Output",
 CellChangeTimes->{3.744754047953949*^9, 3.7447540835940056`*^9, 
  3.7447542572032604`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"fda3bc27-0fdd-4a0a-a4ca-71bfdffe8940"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eigensystem", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Cosh", "[", 
       RowBox[{"h", "/", "2"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Sinh", "[", 
         RowBox[{"h", "/", "2"}], "]"}], "/", "2"}], "/", "h"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sinh", "[", 
         RowBox[{"h", "/", "2"}], "]"}]}], "*", "h"}], ",", 
      RowBox[{
       RowBox[{"Cosh", "[", 
        RowBox[{"h", "/", "2"}], "]"}], "/", "2"}]}], "}"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.73777807365277*^9, 
  3.737778143135292*^9}},ExpressionUUID->"1e0bd036-ffaa-4746-866d-\
10df779fdccf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"6", " ", "h", " ", 
        RowBox[{"Cosh", "[", 
         FractionBox["h", "2"], "]"}]}], "-", 
       RowBox[{
        SqrtBox["2"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["h", "2"]}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "9"}], "+", 
            RowBox[{"7", " ", 
             RowBox[{"Cosh", "[", "h", "]"}]}]}], ")"}]}]]}]}], 
      RowBox[{"8", " ", "h"}]], ",", 
     FractionBox[
      RowBox[{
       RowBox[{"6", " ", "h", " ", 
        RowBox[{"Cosh", "[", 
         FractionBox["h", "2"], "]"}]}], "+", 
       RowBox[{
        SqrtBox["2"], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["h", "2"]}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "9"}], "+", 
            RowBox[{"7", " ", 
             RowBox[{"Cosh", "[", "h", "]"}]}]}], ")"}]}]]}]}], 
      RowBox[{"8", " ", "h"}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"2", " ", "h", " ", 
           RowBox[{"Coth", "[", 
            FractionBox["h", "2"], "]"}]}], "-", 
          RowBox[{
           SqrtBox["2"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["h", "2"]}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "9"}], "+", 
               RowBox[{"7", " ", 
                RowBox[{"Cosh", "[", "h", "]"}]}]}], ")"}]}]], " ", 
           RowBox[{"Csch", "[", 
            FractionBox["h", "2"], "]"}]}]}], 
         RowBox[{"8", " ", 
          SuperscriptBox["h", "2"]}]]}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"2", " ", "h", " ", 
           RowBox[{"Coth", "[", 
            FractionBox["h", "2"], "]"}]}], "+", 
          RowBox[{
           SqrtBox["2"], " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["h", "2"]}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "9"}], "+", 
               RowBox[{"7", " ", 
                RowBox[{"Cosh", "[", "h", "]"}]}]}], ")"}]}]], " ", 
           RowBox[{"Csch", "[", 
            FractionBox["h", "2"], "]"}]}]}], 
         RowBox[{"8", " ", 
          SuperscriptBox["h", "2"]}]]}], ",", "1"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.737778143837293*^9},ExpressionUUID->"d7428d70-9bd7-45aa-92fc-\
c9b1af58bfd9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Series", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"6", " ", "h", " ", 
      RowBox[{"Cosh", "[", 
       FractionBox["h", "2"], "]"}]}], "-", 
     RowBox[{
      SqrtBox["2"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["h", "2"]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "9"}], "+", 
          RowBox[{"7", " ", 
           RowBox[{"Cosh", "[", "h", "]"}]}]}], ")"}]}]]}]}], 
    RowBox[{"8", " ", "h"}]], ",", 
   RowBox[{"{", 
    RowBox[{"h", ",", "0", ",", "3"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Series", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"6", " ", "h", " ", 
      RowBox[{"Cosh", "[", 
       FractionBox["h", "2"], "]"}]}], "+", 
     RowBox[{
      SqrtBox["2"], " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["h", "2"]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "9"}], "+", 
          RowBox[{"7", " ", 
           RowBox[{"Cosh", "[", "h", "]"}]}]}], ")"}]}]]}]}], 
    RowBox[{"8", " ", "h"}]], ",", 
   RowBox[{"{", 
    RowBox[{"h", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7377782261440377`*^9, 
  3.7377782511820817`*^9}},ExpressionUUID->"467d2037-69be-4a44-bf69-\
9510485847d8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["1", "2"], "+", 
   FractionBox[
    RowBox[{"5", " ", 
     SuperscriptBox["h", "2"]}], "16"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "h", "]"}], "4"],
    SeriesData[$CellContext`h, 0, {}, 0, 4, 1],
    Editable->False]}],
  SeriesData[$CellContext`h, 0, {
    Rational[1, 2], 0, 
    Rational[5, 16]}, 0, 4, 1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.737778234100052*^9, 
  3.737778251603283*^9}},ExpressionUUID->"9ef99366-3957-47a2-84eb-\
12e844dd8441"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"1", "-", 
   FractionBox[
    SuperscriptBox["h", "2"], "8"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "h", "]"}], "4"],
    SeriesData[$CellContext`h, 0, {}, 0, 4, 1],
    Editable->False]}],
  SeriesData[$CellContext`h, 0, {1, 0, 
    Rational[-1, 8]}, 0, 4, 1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.737778234100052*^9, 
  3.7377782516188827`*^9}},ExpressionUUID->"ce51fcfb-88dd-401a-b985-\
90888450cf15"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"ExpToTrig", "[", 
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "b"}], "+", "b", "+", "c"}]]}], "+", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "c"}], "+", "b", "+", "c"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.737945417029772*^9, 3.7379454423448095`*^9}, {
  3.7379454855008707`*^9, 
  3.7379455351699405`*^9}},ExpressionUUID->"3b6dc092-a385-4253-8555-\
181baa3f349c"],

Cell[BoxData[
 RowBox[{"2", " ", 
  RowBox[{"Sinh", "[", 
   RowBox[{"b", "-", "c"}], "]"}], "*", 
  RowBox[{"E", "^", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "b"}], "-", "c"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.737945544220953*^9, 
  3.7379455542919674`*^9}},ExpressionUUID->"57277c09-2e31-49b2-b4c9-\
3fc439e5523a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"2", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "b"}], "-", "c"}]], " ", 
    RowBox[{"Sinh", "[", 
     RowBox[{"b", "-", "c"}], "]"}]}], "-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "b"}]]}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "c"}]]}], ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.73794556356298*^9, 
  3.7379456046100397`*^9}},ExpressionUUID->"7578a022-507d-4b75-8e2c-\
ff3ee6220607"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.737945584697012*^9, 
  3.7379456050400405`*^9}},ExpressionUUID->"3b88085f-ba7d-4da9-ade9-\
d83ded6e2ad0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Programming", " ", "details"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"The", " ", "leaf", " ", "node", " ", "case"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "alpha"}], "*", 
         RowBox[{"x", "^", "2"}]}], ")"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"2", "*", "I", "*", "x", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"w1", "*", "phi1"}], "+", 
           RowBox[{"w2", "*", "phi2"}]}], ")"}]}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"The", " ", "scaling", " ", "factor"}], ",", " ", 
     RowBox[{"note", " ", "that", " ", 
      RowBox[{"1", "/", "sqrt"}], 
      RowBox[{"(", "pi", ")"}], " ", "is", " ", "already", " ", "included", 
      " ", "in", " ", "the", " ", "formula"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", 
          RowBox[{"t", "^", "2"}]}], ")"}]}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"I", "*", "Pi", "*", "n", "*", 
          RowBox[{"t", "/", "L"}]}], ")"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}], "/", 
    StyleBox[
     RowBox[{"Sqrt", "[", "Pi", "]"}],
     FontColor->RGBColor[1, 0.5, 0]]}]}]}]], "Input",
 CellChangeTimes->{{3.7389934485340614`*^9, 3.7389935408381915`*^9}, {
  3.739006903335509*^9, 3.739006903785509*^9}, {3.7390069941716447`*^9, 
  3.7390069945516453`*^9}, {3.7396061074833856`*^9, 3.739606109563504*^9}, {
  3.740464069896985*^9, 
  3.7404640750469923`*^9}},ExpressionUUID->"782edc9e-eba0-4823-b973-\
2300ff92a9cd"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"phi1", " ", "w1"}], "+", 
         RowBox[{"phi2", " ", "w2"}]}], ")"}], "2"], "alpha"]}]], " ", 
   SqrtBox["\[Pi]"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Erf", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"a", " ", "alpha"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"phi1", " ", "w1"}], "+", 
            RowBox[{"phi2", " ", "w2"}]}], ")"}]}]}], 
        SqrtBox["alpha"]], "]"}]}], "+", 
     RowBox[{"Erf", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"alpha", " ", "b"}], "-", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"phi1", " ", "w1"}], "+", 
           RowBox[{"phi2", " ", "w2"}]}], ")"}]}]}], 
       SqrtBox["alpha"]], "]"}]}], ")"}]}], 
  RowBox[{"2", " ", 
   SqrtBox["alpha"]}]]], "Output",
 CellChangeTimes->{3.7389935456391983`*^9, 3.7390069063855133`*^9, 
  3.7390069963326473`*^9, 3.739333413104536*^9, 
  3.7396061114366117`*^9},ExpressionUUID->"643a2cce-a29d-4207-acae-\
90c720e577bb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"E", "^", 
    RowBox[{"(", 
     RowBox[{"2", "*", "I", "*", "x", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"w1", "*", "phi1"}], "+", 
        RowBox[{"w2", "*", "phi2"}]}], ")"}]}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.739333400685517*^9},ExpressionUUID->"b964114b-9f05-416a-8960-\
4b0fb51e40d5"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "a", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"phi1", " ", "w1"}], "+", 
         RowBox[{"phi2", " ", "w2"}]}], ")"}]}]], "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "b", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"phi1", " ", "w1"}], "+", 
         RowBox[{"phi2", " ", "w2"}]}], ")"}]}]]}], ")"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"phi1", " ", "w1"}], "+", 
     RowBox[{"phi2", " ", "w2"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.73933340296152*^9},ExpressionUUID->"f81647a7-3ace-4daf-833a-37fceb2029d4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Debug", " ", "the", " ", "code"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"p", "=", 
    RowBox[{"4", " ", "case"}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{
          "2", "*", "0.73837571224805770000000000", "*", "x", "*", "y"}], "+", 
          RowBox[{"y", "^", "2"}]}], ")"}]}], ")"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{
          "2", "*", "0.73837571224805770000000000", "*", "x", "*", "y"}], "+", 
          RowBox[{"y", "^", "2"}]}], ")"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "2"}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", "15"}], ",", 
     RowBox[{"WorkingPrecision", "\[Rule]", "20"}]}], "]"}], " ", "\n", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", 
          RowBox[{
          "2", "*", "0.73837571224805770000000000", "*", "x", "*", "y"}], "+", 
          RowBox[{"y", "^", "2"}]}], ")"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "check", " ", "the", " ", "decomposition", " ", "is", " ", "correct", " ",
      "or", " ", 
     RowBox[{"not", "."}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"c31", "=", 
     RowBox[{"5.321072486154945", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";", " ", 
    RowBox[{"c61", "=", 
     RowBox[{"3.025951579251305", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a1", "=", 
     RowBox[{"1.308121438759712", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";", 
    RowBox[{"phi11", "=", "1.008815627238943"}], ";", 
    RowBox[{"phi21", "=", 
     RowBox[{"2.340096941993612", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c32", "=", 
     RowBox[{"5.699327168449436", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";", 
    RowBox[{"c62", "=", 
     RowBox[{
      RowBox[{"-", "2.458272270040887"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a2", "=", 
     RowBox[{"1.308121438759712", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";", 
    RowBox[{"phi12", "=", "1.002049476139992"}], ";", 
    RowBox[{"phi22", "=", 
     RowBox[{
      RowBox[{"-", "1.485088866603465"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", 
          RowBox[{"t", "^", "2"}]}], ")"}]}], "/", 
       RowBox[{"Sqrt", "[", "Pi", "]"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "a1"}], "*", 
          RowBox[{"x1", "^", "2"}]}], "+", 
         RowBox[{"2", "*", "I", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"c31", "*", "phi11", "*", "t"}], "+", 
            RowBox[{"c61", "*", "phi21", "*", "t"}]}], ")"}], "*", "x1"}]}], 
        ")"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "a2"}], "*", 
          RowBox[{"x2", "^", "2"}]}], "+", 
         RowBox[{"2", "*", "I", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"c32", "*", "phi12", "*", "t"}], "+", 
            RowBox[{"c62", "*", "phi22", "*", "t"}]}], ")"}], "*", "x2"}]}], 
        ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Above", " ", "Formulas", " ", "show", " ", "that", " ", "the", " ", 
     "decomposition", " ", "is", " ", 
     RowBox[{"correct", "."}]}], " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.7395848125027018`*^9, 3.739584818228715*^9}, {
   3.7395909790756335`*^9, 3.739591007404685*^9}, 3.7395910504667673`*^9, {
   3.7395913183919783`*^9, 3.7395913505850368`*^9}, {3.739772154917797*^9, 
   3.7397721592660456`*^9}, {3.7401100532572536`*^9, 
   3.7401101187165422`*^9}, {3.741243883930764*^9, 
   3.7412438844077916`*^9}},ExpressionUUID->"8412c23d-f024-480a-9f77-\
cdae23328b2e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"p", "=", 
    RowBox[{"4", " ", "case"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"z1", "=", 
     RowBox[{"1.143748173448866", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "04"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"z2", "=", 
     RowBox[{"3.023325726318398", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"z3", "=", 
     RowBox[{"4.170220047025740", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"z4", "=", 
     RowBox[{"7.203244934421581", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a11", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a12", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a13", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a14", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a21", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a22", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a23", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a24", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a31", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a32", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a33", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a34", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a41", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a42", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a43", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a44", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a11", ",", "a12", ",", "a13", ",", "a14"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a21", ",", "a22", ",", "a23", ",", "a24"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a31", ",", "a32", ",", "a33", ",", "a34"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a41", ",", "a42", ",", "a43", ",", "a44"}], "}"}]}], "}"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", "A", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Eigenvalues", "[", "A", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "/", "2"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"a11", "*", 
       RowBox[{"x1", "^", "2"}]}], "+", 
      RowBox[{"a22", "*", 
       RowBox[{"x2", "^", "2"}]}], "+", 
      RowBox[{"a33", "*", 
       RowBox[{"x3", "^", "2"}]}], "+", 
      RowBox[{"a44", "*", 
       RowBox[{"x4", "^", "2"}]}], "+", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a12", "*", "x1", "*", "x2"}], "+", 
         RowBox[{"a13", "*", "x1", "*", "x3"}], "+", 
         RowBox[{"a14", "*", "x1", "*", "x4"}], "+", 
         RowBox[{"a23", "*", "x2", "*", "x3"}], "+", 
         RowBox[{"a24", "*", "x2", "*", "x4"}], "+", 
         RowBox[{"a34", "*", "x3", "*", "x4"}]}], ")"}]}]}], ")"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a11", "*", 
          RowBox[{"x1", "^", "2"}]}], "+", 
         RowBox[{"a22", "*", 
          RowBox[{"x2", "^", "2"}]}], "+", 
         RowBox[{"a33", "*", 
          RowBox[{"x3", "^", "2"}]}], "+", 
         RowBox[{"a44", "*", 
          RowBox[{"x4", "^", "2"}]}], "+", 
         RowBox[{"2", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"a12", "*", "x1", "*", "x2"}], "+", 
            RowBox[{"a13", "*", "x1", "*", "x3"}], "+", 
            RowBox[{"a14", "*", "x1", "*", "x4"}], "+", 
            RowBox[{"a23", "*", "x2", "*", "x3"}], "+", 
            RowBox[{"a24", "*", "x2", "*", "x4"}], "+", 
            RowBox[{"a34", "*", "x3", "*", "x4"}]}], ")"}]}]}], ")"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x1", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x2", ",", 
       RowBox[{"-", "1"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x3", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x4", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", "15"}], ",", 
     RowBox[{"WorkingPrecision", "\[Rule]", "17"}]}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.739784481410556*^9, 3.739785102949442*^9}, {
   3.7398318596725426`*^9, 3.739831888013726*^9}, {3.74010999412697*^9, 
   3.740109997511988*^9}, 3.7401122551239033`*^9, {3.7403537394057655`*^9, 
   3.7403537399257665`*^9}, 3.7407093554776173`*^9, {3.7407093854926596`*^9, 
   3.740709392093669*^9}, {3.7407094406607375`*^9, 
   3.7407094459417453`*^9}},ExpressionUUID->"266bebfe-2ccd-44aa-a8b2-\
9b6ef3ac6e78"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "0.7391767605383684`", "0.6590817965936806`", 
      "0.48664999098958833`"},
     {"0.7391767605383684`", "1.`", "0.8916430166360318`", 
      "0.6583675474796367`"},
     {"0.6590817965936806`", "0.8916430166360318`", "1.`", 
      "0.7383757122480576`"},
     {"0.48664999098958833`", "0.6583675474796367`", "0.7383757122480576`", 
      "1.`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.740464596019745*^9, 3.740709398633678*^9, 
  3.740709453362756*^9},ExpressionUUID->"d84db195-73ed-40d6-b9f9-\
fce35d9fc03f"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "1.`"}], " ", 
     SuperscriptBox["x1", "2"]}], "-", 
    RowBox[{"1.`", " ", 
     SuperscriptBox["x2", "2"]}], "-", 
    RowBox[{"1.`", " ", 
     SuperscriptBox["x3", "2"]}], "-", 
    RowBox[{"1.`", " ", 
     SuperscriptBox["x4", "2"]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"0.7391767605383684`", " ", "x1", " ", "x2"}], "+", 
       RowBox[{"0.6590817965936806`", " ", "x1", " ", "x3"}], "+", 
       RowBox[{"0.8916430166360318`", " ", "x2", " ", "x3"}], "+", 
       RowBox[{"0.48664999098958833`", " ", "x1", " ", "x4"}], "+", 
       RowBox[{"0.6583675474796367`", " ", "x2", " ", "x4"}], "+", 
       RowBox[{"0.7383757122480576`", " ", "x3", " ", "x4"}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.740464596019745*^9, 3.740709398633678*^9, 
  3.7407094533727555`*^9},ExpressionUUID->"cd4dce34-feb7-4fda-bdab-\
79d51d8937cf"],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","precw",
   "\"The precision of the argument function (\\!\\(\\*SuperscriptBox[\\\"\
\[ExponentialE]\\\", RowBox[{FractionBox[\\\"1\\\", \\\"2\\\"], \\\" \\\", \
RowBox[{\\\"(\\\", RowBox[{RowBox[{RowBox[{\\\"-\\\", \\\"1.`\\\"}], \\\" \
\\\", SuperscriptBox[\\\"x1\\\", \\\"2\\\"]}], \\\"-\\\", \
RowBox[{\\\"1.`\\\", \\\" \\\", SuperscriptBox[\\\"x2\\\", \\\"2\\\"]}], \
\\\"-\\\", RowBox[{\\\"1.`\\\", \\\" \\\", SuperscriptBox[\\\"x3\\\", \\\"2\\\
\"]}], \\\"-\\\", RowBox[{\\\"1.`\\\", \\\" \\\", SuperscriptBox[\\\"x4\\\", \
\\\"2\\\"]}], \\\"-\\\", RowBox[{\\\"2\\\", \\\" \\\", RowBox[{\\\"(\\\", \
RowBox[{RowBox[{\\\"0.7391767605383684`\\\", \\\" \\\", \\\"x1\\\", \\\" \
\\\", \\\"x2\\\"}], \\\"+\\\", RowBox[{\\\"0.6590817965936806`\\\", \\\" \
\\\", \\\"x1\\\", \\\" \\\", \\\"x3\\\"}], \\\"+\\\", \
RowBox[{\\\"0.8916430166360318`\\\", \\\" \\\", \\\"x2\\\", \\\" \\\", \\\"x3\
\\\"}], \\\"+\\\", RowBox[{\\\"0.48664999098958833`\\\", \\\" \\\", \
\\\"x1\\\", \\\" \\\", \\\"x4\\\"}], \\\"+\\\", \
RowBox[{\\\"0.6583675474796367`\\\", \\\" \\\", \\\"x2\\\", \\\" \\\", \\\"x4\
\\\"}], \\\"+\\\", RowBox[{\\\"0.7383757122480576`\\\", \\\" \\\", \
\\\"x3\\\", \\\" \\\", \\\"x4\\\"}]}], \\\")\\\"}]}]}], \\\")\\\"}]}]]\\)) is \
less than WorkingPrecision (\\!\\(\\*RowBox[{\\\"17.`\\\"}]\\)).\"",2,26,2,
   19907522360708961257,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7407093998736796`*^9, 
  3.7407094534027557`*^9},ExpressionUUID->"9948da0a-c823-4542-a60d-\
e65469c0e6d4"],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","eincr",
   "\"The global error of the strategy GlobalAdaptive has increased more than \
\\!\\(\\*RowBox[{\\\"2000\\\"}]\\) times. The global error is expected to \
decrease monotonically after a number of integrand evaluations. Suspect one \
of the following: the working precision is insufficient for the specified \
precision goal; the integrand is highly oscillatory or it is not a \
(piecewise) smooth function; or the true value of the integral is 0. \
Increasing the value of the GlobalAdaptive option MaxErrorIncreases might \
lead to a convergent numerical integration. NIntegrate obtained \
\\!\\(\\*RowBox[{\\\"9.\
631287915606040013966525689726983323185766427154731342069174285191`67.\\\"}]\\\
) and \\!\\(\\*RowBox[{\\\"5.\
993681133588409253269595128473509068133034097790075999286725398222`67.*^-8\\\"\
}]\\) for the integral and error estimates.\"",2,26,3,19907522360708961257,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7407093998736796`*^9, 
  3.7407095719759283`*^9},ExpressionUUID->"c7ca722c-191b-4251-8e2d-\
b7d976e31801"],

Cell[BoxData["9.63128791560604001396652568972698332318`17."], "Output",
 CellChangeTimes->{3.740464596019745*^9, 3.740709398633678*^9, 
  3.7407095719759283`*^9},ExpressionUUID->"2c58342e-c35a-4662-aaf1-\
c98858c0ddd4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NumberForm", "[", 
  RowBox[{"9.631287989146676`", ",", "16"}], "]"}]], "Input",
 NumberMarks->False,ExpressionUUID->"211d4b87-7a8e-42f1-b81d-d0c6c0ff295f"],

Cell[BoxData[
 TagBox[
  InterpretationBox["\<\"9.63128798914668\"\>",
   9.631287989146676,
   AutoDelete->True],
  NumberForm[#, 16]& ]], "Output",
 CellChangeTimes->{
  3.740464600119751*^9},ExpressionUUID->"662475a3-3700-45f5-8764-\
20a6ddde2fdb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Matlab", " ", "results"}], ";", "\[IndentingNewLine]", 
    RowBox[{"n", "=", "16"}]}], ",", " ", 
   RowBox[{
    RowBox[{"ans", "=", 
     RowBox[{
      RowBox[{"9.646301617206236", "e"}], "+", "00"}]}], ";", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"n", "=", "32"}]}], ",", " ", 
   RowBox[{"ans", "=", 
    RowBox[{
     RowBox[{"9.631244805485025", "e"}], "+", "00"}]}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"n", "=", "64"}], ",", " ", 
   RowBox[{
    RowBox[{"ans", "=", 
     RowBox[{
      RowBox[{"9.631287915307585", "e"}], "+", "00"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"n", "=", "128"}]}], ",", " ", 
   RowBox[{
    RowBox[{"ans", "=", 
     RowBox[{
      RowBox[{"9.631287915311097", "e"}], "+", "00"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"n", "=", "256"}]}], ",", " ", 
   RowBox[{"ans", "=", 
    RowBox[{
     RowBox[{"9.631287915311061", "e"}], "+", "00"}]}]}], 
  "\[IndentingNewLine]", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7404646159207726`*^9, 3.7404646378458037`*^9}, {
   3.7404646696198483`*^9, 3.7404647318589373`*^9}, {3.740464766483986*^9, 
   3.7404647703649917`*^9}, 3.7405699701463118`*^9, {3.740709304440545*^9, 
   3.7407093123715563`*^9}, {3.7407107840983477`*^9, 
   3.740710790458357*^9}},ExpressionUUID->"d97f0657-6562-4897-a21f-\
477640bc0812"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"p", "=", 
     RowBox[{"8", " ", "case"}]}], ",", " ", 
    RowBox[{"check", " ", "the", " ", "downward", " ", "pass", " ", 
     RowBox[{"coefficients", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"node", " ", "4"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"alpha4", "=", 
     RowBox[{"1.304116197308158", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi14", "=", "1.002851279774639"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi24", "=", 
     RowBox[{
      RowBox[{"-", "4.997180745417405"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"node", " ", "5"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alpha5", "=", 
     RowBox[{"4.144985386068772", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "2"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi15", "=", "1.001099171240820"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi25", "=", 
     RowBox[{"2.249868508090401", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"node", " ", "6"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alpha6", "=", 
     RowBox[{"4.149023078224323", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "2"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi16", "=", "1.001111921161178"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi26", "=", 
     RowBox[{
      RowBox[{"-", "2.257016819112817"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"node", " ", "7"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alpha7", "=", 
     RowBox[{"1.308121438759712", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi17", "=", "1.002049476139992"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi27", "=", 
     RowBox[{
      RowBox[{"-", "1.485088866603465"}], "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{"w12", ",", "w22"}], "]"}], ";", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"Sqrt", "[", "Pi", "]"}]}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", 
          RowBox[{"t", "^", "2"}]}], ")"}]}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "alpha4"}], "*", 
            RowBox[{"x1", "^", "2"}]}], ")"}]}], "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "I", "*", "x1", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"phi14", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"1.002859929536472", "*", "w12"}], "-", 
                 RowBox[{"2.104214164372060", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "w22"}], "+", 
                 RowBox[{"3.828003600887827", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ")"}]}], "+", 
              RowBox[{"phi24", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "1.144516782748101"}], "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "2"}], ")"}]}], "*", "w12"}], "+", 
                 RowBox[{"4.216445324242467", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "w22"}], "+", 
                 RowBox[{"5.788840019565051", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "2"}], ")"}]}], "*", "t"}]}], ")"}]}]}], 
             ")"}]}], ")"}]}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "alpha5"}], "*", 
            RowBox[{"x2", "^", "2"}]}], ")"}]}], "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "I", "*", "x2", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"phi15", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"1.005436542991478", "*", "w12"}], "+", 
                 RowBox[{"2.903038930024347", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "w22"}], "+", 
                 RowBox[{"2.053172488381019", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ")"}]}], "+", 
              RowBox[{"phi25", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2.176585457460232", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "2"}], ")"}]}], "*", "w12"}], "+", 
                 RowBox[{"5.827086938013737", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "w22"}], "-", 
                 RowBox[{"4.121203634163409", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ")"}]}]}], 
             ")"}]}], ")"}]}]}], ")"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{"w13", ",", "w23"}], "]"}], ";", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"Sqrt", "[", "Pi", "]"}]}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"-", 
          RowBox[{"t", "^", "2"}]}], ")"}]}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "alpha6"}], "*", 
            RowBox[{"x3", "^", "2"}]}], ")"}]}], "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "I", "*", "x3", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"phi16", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"1.005464884185407", "*", "w13"}], "-", 
                 RowBox[{"1.634929786828450", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "w23"}], "+", 
                 RowBox[{"2.055264204270217", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ")"}]}], "+", 
              RowBox[{"phi26", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "2.187942498717658"}], "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "2"}], ")"}]}], "*", "w13"}], "+", 
                 RowBox[{"3.281753019295557", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "w23"}], "+", 
                 RowBox[{"4.125479615181539", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ")"}]}]}], 
             ")"}]}], ")"}]}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "alpha7"}], "*", 
            RowBox[{"x4", "^", "2"}]}], ")"}]}], "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{"2", "*", "I", "*", "x4", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"phi17", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"1.023345620800394", "*", "w13"}], "+", 
                 RowBox[{"3.394211061883952", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "w23"}], "+", 
                 RowBox[{"3.331218714012490", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ")"}]}], "+", 
              RowBox[{"phi27", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"9.374414326610436", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "2"}], ")"}]}], "*", "w13"}], "+", 
                 RowBox[{"6.893341964665228", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "w23"}], "-", 
                 RowBox[{"1.436843744544338", "*", 
                  RowBox[{"10", "^", 
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ")"}]}]}], 
             ")"}]}], ")"}]}]}], ")"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7403516814564495`*^9, 3.74035172439151*^9}, {
   3.7403518229936485`*^9, 3.740351934356806*^9}, {3.7403519761428647`*^9, 
   3.740351981233872*^9}, {3.740352015455921*^9, 3.7403520981140375`*^9}, {
   3.7403521578771257`*^9, 3.7403522008421865`*^9}, {3.740352251020257*^9, 
   3.7403522981063237`*^9}, 3.7404641529881096`*^9, {3.7412438992076383`*^9, 
   3.741243906268042*^9}},ExpressionUUID->"b2740356-6375-4944-809e-\
6de1b2dfe4fc"],

Cell[BoxData[
 RowBox[{"1.`", " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.`", "\[VeryThinSpace]", "+", 
       RowBox[{"2.0228774419998223`", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
     "w12", " ", "x1"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.8434495613002828`", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
     "w22", " ", "x1"}], "-", 
    RowBox[{"0.25641102633203783`", " ", 
     SuperscriptBox["x1", "2"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.`", "\[VeryThinSpace]", "+", 
       RowBox[{"2.022877441999822`", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
     "w12", " ", "x2"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.8434495613002827`", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
     "w22", " ", "x2"}], "-", 
    RowBox[{"0.08009496394468797`", " ", "x1", " ", "x2"}], "-", 
    RowBox[{"0.0541784916819841`", " ", 
     SuperscriptBox["x2", "2"]}]}]]}]], "Output",
 CellChangeTimes->{
  3.740464581007724*^9},ExpressionUUID->"dc75a2ab-f7cd-410a-a1e3-\
55dd94af13c8"],

Cell[BoxData[
 RowBox[{"1.`", " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.`", "\[VeryThinSpace]", "+", 
       RowBox[{"2.0230422097716234`", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
     "w13", " ", "x3"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.47548897518557987`", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
     "w23", " ", "x3"}], "-", 
    RowBox[{"0.05417849168198408`", " ", 
     SuperscriptBox["x3", "2"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.`", "\[VeryThinSpace]", "+", 
       RowBox[{"2.023042209771625`", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
     "w13", " ", "x4"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"0.`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.47548897518558036`", " ", "\[ImaginaryI]"}]}], ")"}], " ", 
     "w23", " ", "x4"}], "-", 
    RowBox[{"0.08000816476842092`", " ", "x3", " ", "x4"}], "-", 
    RowBox[{"0.2569386966043583`", " ", 
     SuperscriptBox["x4", "2"]}]}]]}]], "Output",
 CellChangeTimes->{
  3.7404645819787254`*^9},ExpressionUUID->"aceed8b6-28a1-470c-825c-\
44606168aaed"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"w12", "=", 
   RowBox[{"5.740565288339122", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ";", 
  RowBox[{"w22", "=", 
   RowBox[{"2.064750958326898", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ";", 
  RowBox[{"w13", "=", 
   RowBox[{"5.737453910401531", "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ";", 
  RowBox[{"w23", "=", 
   RowBox[{
    RowBox[{"-", "3.673822044055246"}], "*", 
    RowBox[{"10", "^", 
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}]}], "*", "t"}]}], ";", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"Sqrt", "[", "Pi", "]"}]}], "*", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"t", "^", "2"}]}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"1.`", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"0.`", "\[VeryThinSpace]", "+", 
            RowBox[{"2.0228774419998223`", " ", "\[ImaginaryI]"}]}], ")"}], 
          " ", "w12", " ", "x1"}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"0.`", "\[VeryThinSpace]", "+", 
            RowBox[{"0.8434495613002828`", " ", "\[ImaginaryI]"}]}], ")"}], 
          " ", "w22", " ", "x1"}], "-", 
         RowBox[{"0.25641102633203783`", " ", 
          SuperscriptBox["x1", "2"]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"0.`", "\[VeryThinSpace]", "+", 
            RowBox[{"2.022877441999822`", " ", "\[ImaginaryI]"}]}], ")"}], 
          " ", "w12", " ", "x2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"0.`", "\[VeryThinSpace]", "+", 
            RowBox[{"0.8434495613002827`", " ", "\[ImaginaryI]"}]}], ")"}], 
          " ", "w22", " ", "x2"}], "-", 
         RowBox[{"0.08009496394468797`", " ", "x1", " ", "x2"}], "-", 
         RowBox[{"0.0541784916819841`", " ", 
          SuperscriptBox["x2", "2"]}]}]]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{"1.`", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"0.`", "\[VeryThinSpace]", "+", 
            RowBox[{"2.0230422097716234`", " ", "\[ImaginaryI]"}]}], ")"}], 
          " ", "w13", " ", "x3"}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"0.`", "\[VeryThinSpace]", "+", 
            RowBox[{"0.47548897518557987`", " ", "\[ImaginaryI]"}]}], ")"}], 
          " ", "w23", " ", "x3"}], "-", 
         RowBox[{"0.05417849168198408`", " ", 
          SuperscriptBox["x3", "2"]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"0.`", "\[VeryThinSpace]", "+", 
            RowBox[{"2.023042209771625`", " ", "\[ImaginaryI]"}]}], ")"}], 
          " ", "w13", " ", "x4"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"0.`", "\[VeryThinSpace]", "+", 
            RowBox[{"0.47548897518558036`", " ", "\[ImaginaryI]"}]}], ")"}], 
          " ", "w23", " ", "x4"}], "-", 
         RowBox[{"0.08000816476842092`", " ", "x3", " ", "x4"}], "-", 
         RowBox[{"0.2569386966043583`", " ", 
          SuperscriptBox["x4", "2"]}]}]]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "check", " ", "if", " ", "the", " ", "decomposed", " ", "downward", " ", 
    "pass", " ", "result", " ", "is", " ", "correct", " ", "or", " ", 
    RowBox[{"not", "."}]}], " ", "*)"}], 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "0.5000000000000001`"}], " ", 
     SuperscriptBox["x1", "2"]}], "-", 
    RowBox[{"0.7391767605383682`", " ", "x1", " ", "x2"}], "-", 
    RowBox[{"0.4999999999999998`", " ", 
     SuperscriptBox["x2", "2"]}], "-", 
    RowBox[{"0.6590817965936805`", " ", "x1", " ", "x3"}], "-", 
    RowBox[{"0.8916430166360315`", " ", "x2", " ", "x3"}], "-", 
    RowBox[{"0.5`", " ", 
     SuperscriptBox["x3", "2"]}], "-", 
    RowBox[{"0.4866499909895888`", " ", "x1", " ", "x4"}], "-", 
    RowBox[{"0.6583675474796371`", " ", "x2", " ", "x4"}], "-", 
    RowBox[{"0.7383757122480582`", " ", "x3", " ", "x4"}], "-", 
    RowBox[{"0.5000000000000007`", " ", 
     SuperscriptBox["x4", "2"]}], "-", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1.`"}], " ", 
         SuperscriptBox["x1", "2"]}], "-", 
        RowBox[{"1.`", " ", 
         SuperscriptBox["x2", "2"]}], "-", 
        RowBox[{"1.`", " ", 
         SuperscriptBox["x3", "2"]}], "-", 
        RowBox[{"1.`", " ", 
         SuperscriptBox["x4", "2"]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"0.7391767605383684`", " ", "x1", " ", "x2"}], "+", 
           RowBox[{"0.6590817965936806`", " ", "x1", " ", "x3"}], "+", 
           RowBox[{"0.8916430166360318`", " ", "x2", " ", "x3"}], "+", 
           RowBox[{"0.48664999098958833`", " ", "x1", " ", "x4"}], "+", 
           RowBox[{"0.6583675474796367`", " ", "x2", " ", "x4"}], "+", 
           RowBox[{"0.7383757122480576`", " ", "x3", " ", "x4"}]}], ")"}]}]}],
        ")"}]}], ")"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.740353453004362*^9, 3.740353617037593*^9}, {
   3.740354604797437*^9, 3.7403546168394537`*^9}, {3.7403616126250668`*^9, 
   3.7403616224560804`*^9}, 3.7404455584894342`*^9, 
   3.740464191889167*^9},ExpressionUUID->"2a9c8f43-f496-4980-bc67-\
8b977ad137a2"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"(*", " ", 
    RowBox[{"test", " ", "the", " ", "TRANSCoef"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "=", 
      RowBox[{"3.596772886672069", "*", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"b", "=", "1"}], ";"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c", "=", 
      RowBox[{"5.686732490723661", "*", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"p", "=", 
      RowBox[{"4.641752688697864", "*", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"q", "=", 
      RowBox[{"7.843366245361830", "*", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
    RowBox[{"w1cc", "=", " ", 
     RowBox[{
      RowBox[{"w1p", " ", 
       RowBox[{"Cosh", "[", 
        RowBox[{"c", "-", "p"}], "]"}]}], "+", 
      FractionBox[
       RowBox[{"w2p", " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"c", "-", "p"}], "]"}]}], 
       RowBox[{"a", "-", "b"}]], "+", 
      RowBox[{"tnew", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"Coth", "[", 
          RowBox[{"a", "-", "c"}], "]"}]}]], " ", 
       RowBox[{"Sinh", "[", 
        RowBox[{"a", "-", "p"}], "]"}]}]}]}], "\[IndentingNewLine]", 
    RowBox[{"w2cc", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a", "-", "c"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"w2p", " ", 
           RowBox[{"Cosh", "[", 
            RowBox[{"c", "-", "p"}], "]"}]}], 
          RowBox[{"a", "-", "b"}]], "+", 
         RowBox[{"w1p", " ", 
          RowBox[{"Sinh", "[", 
           RowBox[{"c", "-", "p"}], "]"}]}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a", "-", "c"}], ")"}], " ", "tnew", " ", 
       RowBox[{"Cosh", "[", 
        RowBox[{"a", "-", "p"}], "]"}], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         RowBox[{"Coth", "[", 
          RowBox[{"a", "-", "c"}], "]"}]}]]}]}]}], "\[IndentingNewLine]", 
    RowBox[{"w1dd", "=", 
     RowBox[{
      RowBox[{"w1p", " ", 
       RowBox[{"Cosh", "[", 
        RowBox[{"c", "-", "q"}], "]"}]}], "+", 
      FractionBox[
       RowBox[{"w2p", " ", 
        RowBox[{"Sinh", "[", 
         RowBox[{"c", "-", "q"}], "]"}]}], 
       RowBox[{"a", "-", "b"}]], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", "q"}]], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "a"}]]}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
       SqrtBox["2"]]}]}], "\[IndentingNewLine]", 
    RowBox[{"w2dd", "=", " ", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"b", "-", "c"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "w2p"}], " ", 
           RowBox[{"Cosh", "[", 
            RowBox[{"c", "-", "q"}], "]"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "a"}], "+", "b"}], ")"}], " ", "w1p", " ", 
           RowBox[{"Sinh", "[", 
            RowBox[{"c", "-", "q"}], "]"}]}]}], ")"}]}], 
       RowBox[{"a", "-", "b"}]], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "b"}], "+", "c"}], ")"}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", "q"}]], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "a"}]]}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "c"}]]}]], " ", "tnew"}], 
       SqrtBox["2"]]}]}]}]}],
  FontColor->RGBColor[1, 0.5, 0]]], "Input",
 CellChangeTimes->{{3.7404377832194595`*^9, 3.7404378750805883`*^9}, {
  3.7404381728200073`*^9, 3.7404381808010187`*^9}, {3.7404725215367503`*^9, 
  3.7404725620268097`*^9}},ExpressionUUID->"af3b9402-192b-4b59-884f-\
b2f8354cc0d0"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"p", "=", 
   RowBox[{"8", " ", "case", " ", "test"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7404642821233015`*^9, 
  3.7404642891453114`*^9}},ExpressionUUID->"7c75013c-5d22-41d2-bce3-\
e06d9325e574"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"p", "=", 
    RowBox[{"8", " ", "case"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"z1", "=", 
     RowBox[{"1.143748173448866", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "04"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"z2", "=", 
     RowBox[{"9.233859476879780", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "02"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"z3", "=", 
     RowBox[{"1.467558908171130", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"z4", "=", 
     RowBox[{"1.862602113776709", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z5", "=", 
     RowBox[{"3.023325726318398", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z6", "=", 
     RowBox[{"3.455607270430477", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z7", "=", 
     RowBox[{"4.170220047025740", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z8", "=", 
     RowBox[{"7.203244934421581", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "01"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a11", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a12", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a13", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a14", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a15", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z5"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a16", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z6"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a17", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z7"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a18", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z1", "-", "z8"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a21", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a22", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a23", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a24", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a25", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z5"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a26", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z6"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a27", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z7"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a28", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z2", "-", "z8"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a31", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a32", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a33", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a34", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a35", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z5"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a36", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z6"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a37", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z7"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a38", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z3", "-", "z8"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a41", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a42", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a43", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a44", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a45", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z5"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a46", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z6"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a47", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z7"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a48", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z4", "-", "z8"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a51", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z5", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a52", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z5", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a53", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z5", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a54", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z5", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a55", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z5", "-", "z5"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a56", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z5", "-", "z6"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a57", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z5", "-", "z7"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a58", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z5", "-", "z8"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a61", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z6", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a62", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z6", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a63", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z6", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a64", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z6", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a65", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z6", "-", "z5"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a66", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z6", "-", "z6"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a67", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z6", "-", "z7"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a68", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z6", "-", "z8"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a71", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z7", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a72", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z7", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a73", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z7", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a74", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z7", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a75", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z7", "-", "z5"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a76", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z7", "-", "z6"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a77", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z7", "-", "z7"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a78", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z7", "-", "z8"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a81", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z8", "-", "z1"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a82", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z8", "-", "z2"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a83", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z8", "-", "z3"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a84", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z8", "-", "z4"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a85", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z8", "-", "z5"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a86", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z8", "-", "z6"}], "]"}]}], "]"}]}], ";", " ", 
    RowBox[{"a87", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z8", "-", "z7"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"a88", "=", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"Abs", "[", 
        RowBox[{"z8", "-", "z8"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "a11", ",", "a12", ",", "a13", ",", "a14", ",", "a15", ",", "a16", 
         ",", "a17", ",", "a18"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "a21", ",", "a22", ",", "a23", ",", "a24", ",", "a25", ",", "a26", 
         ",", "a27", ",", "a28"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "a31", ",", "a32", ",", "a33", ",", "a34", ",", "a35", ",", "a36", 
         ",", "a37", ",", "a38"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "a41", ",", "a42", ",", "a43", ",", "a44", ",", "a45", ",", "a46", 
         ",", "a47", ",", "a48"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "a51", ",", "a52", ",", "a53", ",", "a54", ",", "a55", ",", "a56", 
         ",", "a57", ",", "a58"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "a61", ",", "a62", ",", "a63", ",", "a64", ",", "a65", ",", "a66", 
         ",", "a67", ",", "a68"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "a71", ",", "a72", ",", "a73", ",", "a74", ",", "a75", ",", "a76", 
         ",", "a77", ",", "a78"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "a81", ",", "a82", ",", "a83", ",", "a84", ",", "a85", ",", "a86", 
         ",", "a87", ",", "a88"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", "A", "]"}], "\[IndentingNewLine]", 
   RowBox[{"Eigenvalues", "[", "A", "]"}], "\[IndentingNewLine]", 
   RowBox[{"Expand", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "/", "2"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"a11", "*", 
        RowBox[{"x1", "^", "2"}]}], "+", 
       RowBox[{"a22", "*", 
        RowBox[{"x2", "^", "2"}]}], "+", 
       RowBox[{"a33", "*", 
        RowBox[{"x3", "^", "2"}]}], "+", 
       RowBox[{"a44", "*", 
        RowBox[{"x4", "^", "2"}]}], "+", 
       RowBox[{"a55", "*", 
        RowBox[{"x5", "^", "2"}]}], "+", 
       RowBox[{"a66", "*", 
        RowBox[{"x6", "^", "2"}]}], "+", 
       RowBox[{"a77", "*", 
        RowBox[{"x7", "^", "2"}]}], "+", 
       RowBox[{"a88", "*", 
        RowBox[{"x8", "^", "2"}]}], "+", 
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"a12", "*", "x1", "*", "x2"}], "+", 
          RowBox[{"a13", "*", "x1", "*", "x3"}], "+", 
          RowBox[{"a14", "*", "x1", "*", "x4"}], "+", 
          RowBox[{"a15", "*", "x1", "*", "x5"}], "+", 
          RowBox[{"a16", "*", "x1", "*", "x6"}], "+", 
          RowBox[{"a17", "*", "x1", "*", "x7"}], "+", 
          RowBox[{"a18", "*", "x1", "*", "x8"}], "+", 
          RowBox[{"a23", "*", "x2", "*", "x3"}], "+", 
          RowBox[{"a24", "*", "x2", "*", "x4"}], "+", 
          RowBox[{"a25", "*", "x2", "*", "x5"}], "+", 
          RowBox[{"a26", "*", "x2", "*", "x6"}], "+", 
          RowBox[{"a27", "*", "x2", "*", "x7"}], "+", 
          RowBox[{"a28", "*", "x2", "*", "x8"}], "+", 
          RowBox[{"a34", "*", "x3", "*", "x4"}], "+", 
          RowBox[{"a35", "*", "x3", "*", "x5"}], "+", 
          RowBox[{"a36", "*", "x3", "*", "x6"}], "+", 
          RowBox[{"a37", "*", "x3", "*", "x7"}], "+", 
          RowBox[{"a38", "*", "x3", "*", "x8"}], "+", 
          RowBox[{"a45", "*", "x4", "*", "x5"}], "+", 
          RowBox[{"a46", "*", "x4", "*", "x6"}], "+", 
          RowBox[{"a47", "*", "x4", "*", "x7"}], "+", 
          RowBox[{"a48", "*", "x4", "*", "x8"}], "+", 
          RowBox[{"a56", "*", "x5", "*", "x6"}], "+", 
          RowBox[{"a57", "*", "x5", "*", "x7"}], "+", 
          RowBox[{"a58", "*", "x5", "*", "x8"}], "+", 
          RowBox[{"a67", "*", "x6", "*", "x7"}], "+", 
          RowBox[{"a68", "*", "x6", "*", "x8"}], "+", 
          RowBox[{"a78", "*", "x7", "*", "x8"}]}], ")"}]}]}], ")"}]}], "]"}], 
   "\n", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"a11", "*", 
          RowBox[{"x1", "^", "2"}]}], "+", 
         RowBox[{"a22", "*", 
          RowBox[{"x2", "^", "2"}]}], "+", 
         RowBox[{"a33", "*", 
          RowBox[{"x3", "^", "2"}]}], "+", 
         RowBox[{"a44", "*", 
          RowBox[{"x4", "^", "2"}]}], "+", 
         RowBox[{"a55", "*", 
          RowBox[{"x5", "^", "2"}]}], "+", 
         RowBox[{"a66", "*", 
          RowBox[{"x6", "^", "2"}]}], "+", 
         RowBox[{"a77", "*", 
          RowBox[{"x7", "^", "2"}]}], "+", 
         RowBox[{"a88", "*", 
          RowBox[{"x8", "^", "2"}]}], "+", 
         RowBox[{"2", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"a12", "*", "x1", "*", "x2"}], "+", 
            RowBox[{"a13", "*", "x1", "*", "x3"}], "+", 
            RowBox[{"a14", "*", "x1", "*", "x4"}], "+", 
            RowBox[{"a15", "*", "x1", "*", "x5"}], "+", 
            RowBox[{"a16", "*", "x1", "*", "x6"}], "+", 
            RowBox[{"a17", "*", "x1", "*", "x7"}], "+", 
            RowBox[{"a18", "*", "x1", "*", "x8"}], "+", 
            RowBox[{"a23", "*", "x2", "*", "x3"}], "+", 
            RowBox[{"a24", "*", "x2", "*", "x4"}], "+", 
            RowBox[{"a25", "*", "x2", "*", "x5"}], "+", 
            RowBox[{"a26", "*", "x2", "*", "x6"}], "+", 
            RowBox[{"a27", "*", "x2", "*", "x7"}], "+", 
            RowBox[{"a28", "*", "x2", "*", "x8"}], "+", 
            RowBox[{"a34", "*", "x3", "*", "x4"}], "+", 
            RowBox[{"a35", "*", "x3", "*", "x5"}], "+", 
            RowBox[{"a36", "*", "x3", "*", "x6"}], "+", 
            RowBox[{"a37", "*", "x3", "*", "x7"}], "+", 
            RowBox[{"a38", "*", "x3", "*", "x8"}], "+", 
            RowBox[{"a45", "*", "x4", "*", "x5"}], "+", 
            RowBox[{"a46", "*", "x4", "*", "x6"}], "+", 
            RowBox[{"a47", "*", "x4", "*", "x7"}], "+", 
            RowBox[{"a48", "*", "x4", "*", "x8"}], "+", 
            RowBox[{"a56", "*", "x5", "*", "x6"}], "+", 
            RowBox[{"a57", "*", "x5", "*", "x7"}], "+", 
            RowBox[{"a58", "*", "x5", "*", "x8"}], "+", 
            RowBox[{"a67", "*", "x6", "*", "x7"}], "+", 
            RowBox[{"a68", "*", "x6", "*", "x8"}], "+", 
            RowBox[{"a78", "*", "x7", "*", "x8"}]}], ")"}]}]}], ")"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x1", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x2", ",", 
       RowBox[{"-", "1"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x3", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x4", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x5", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x6", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x7", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x8", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", "12"}], ",", 
     RowBox[{"WorkingPrecision", "\[Rule]", "15"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"NumberForm", "[", 
    RowBox[{"%", ",", "16"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.739784481410556*^9, 3.739785102949442*^9}, {
   3.7398318596725426`*^9, 3.739831888013726*^9}, {3.74010999412697*^9, 
   3.740109997511988*^9}, 3.7401122551239033`*^9, {3.7403537394057655`*^9, 
   3.7403537399257665`*^9}, {3.7406491469088755`*^9, 
   3.7406496344889526`*^9}, {3.7406497189903483`*^9, 3.740650084721881*^9}, {
   3.7407123756206813`*^9, 3.7407125190238843`*^9}, 3.740712638218054*^9, 
   3.7407127025001445`*^9, 3.7407127531172156`*^9, {3.7407127914012694`*^9, 
   3.740712831468326*^9}, {3.7407130926187057`*^9, 3.740713134604765*^9}, {
   3.740713225760186*^9, 3.7407132536782265`*^9}, {3.741243975349993*^9, 
   3.7412439864776297`*^9}, {3.741244031825224*^9, 
   3.741244039333653*^9}},ExpressionUUID->"7808f81b-2ded-43e2-8ee8-\
54d4f1ffed96"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "0.9119006602988806`", "0.8636035099726393`", 
      "0.8301525195655367`", "0.7391767605383684`", "0.7079043082757261`", 
      "0.6590817965936806`", "0.48664999098958833`"},
     {"0.9119006602988806`", "1.`", "0.9470368293072498`", 
      "0.9103541160869975`", "0.8105891274342307`", "0.7762954224023771`", 
      "0.7227561348378263`", "0.5336655758425332`"},
     {"0.8636035099726393`", "0.9470368293072498`", "1.`", 
      "0.9612658007745216`", "0.8559214408030683`", "0.8197098553920351`", 
      "0.7631763754811065`", "0.5635108998167532`"},
     {"0.8301525195655367`", "0.9103541160869975`", "0.9612658007745216`", 
      "1.`", "0.8904107897247836`", "0.8527400587138017`", 
      "0.7939285625954775`", "0.5862175678805123`"},
     {"0.7391767605383684`", "0.8105891274342307`", "0.8559214408030683`", 
      "0.8904107897247836`", "1.`", "0.9576928632877129`", 
      "0.8916430166360318`", "0.6583675474796367`"},
     {"0.7079043082757261`", "0.7762954224023771`", "0.8197098553920351`", 
      "0.8527400587138017`", "0.9576928632877129`", "1.`", 
      "0.9310323286476886`", "0.6874516587912047`"},
     {"0.6590817965936806`", "0.7227561348378263`", "0.7631763754811065`", 
      "0.7939285625954775`", "0.8916430166360318`", "0.9310323286476886`", 
      "1.`", "0.7383757122480576`"},
     {"0.48664999098958833`", "0.5336655758425332`", "0.5635108998167532`", 
      "0.5862175678805123`", "0.6583675474796367`", "0.6874516587912047`", 
      "0.7383757122480576`", "1.`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.7407125276748962`*^9, 3.740712612864018*^9, 
  3.740712911888439*^9, 3.7407130464726405`*^9, 3.740713259838235*^9, 
  3.741243990590865*^9, 
  3.741244041402771*^9},ExpressionUUID->"920e235f-a661-4956-9d2d-\
5bf51c5f6d4b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "6.503783350665694`", ",", "0.7730708792491072`", ",", 
   "0.35303283769340993`", ",", "0.16294743899285197`", ",", 
   "0.0884285511320463`", ",", "0.05739095303934905`", ",", 
   "0.033234846931054586`", ",", "0.028111142296487462`"}], "}"}]], "Output",
 CellChangeTimes->{3.7407125276748962`*^9, 3.740712612864018*^9, 
  3.740712911888439*^9, 3.7407130464726405`*^9, 3.740713259838235*^9, 
  3.741243990590865*^9, 
  3.7412440414077716`*^9},ExpressionUUID->"7214818c-2c88-491d-b04d-\
b18577467cf6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "0.5`"}], " ", 
   SuperscriptBox["x1", "2"]}], "-", 
  RowBox[{"0.9119006602988806`", " ", "x1", " ", "x2"}], "-", 
  RowBox[{"0.5`", " ", 
   SuperscriptBox["x2", "2"]}], "-", 
  RowBox[{"0.8636035099726393`", " ", "x1", " ", "x3"}], "-", 
  RowBox[{"0.9470368293072498`", " ", "x2", " ", "x3"}], "-", 
  RowBox[{"0.5`", " ", 
   SuperscriptBox["x3", "2"]}], "-", 
  RowBox[{"0.8301525195655367`", " ", "x1", " ", "x4"}], "-", 
  RowBox[{"0.9103541160869975`", " ", "x2", " ", "x4"}], "-", 
  RowBox[{"0.9612658007745216`", " ", "x3", " ", "x4"}], "-", 
  RowBox[{"0.5`", " ", 
   SuperscriptBox["x4", "2"]}], "-", 
  RowBox[{"0.7391767605383684`", " ", "x1", " ", "x5"}], "-", 
  RowBox[{"0.8105891274342307`", " ", "x2", " ", "x5"}], "-", 
  RowBox[{"0.8559214408030683`", " ", "x3", " ", "x5"}], "-", 
  RowBox[{"0.8904107897247836`", " ", "x4", " ", "x5"}], "-", 
  RowBox[{"0.5`", " ", 
   SuperscriptBox["x5", "2"]}], "-", 
  RowBox[{"0.7079043082757261`", " ", "x1", " ", "x6"}], "-", 
  RowBox[{"0.7762954224023771`", " ", "x2", " ", "x6"}], "-", 
  RowBox[{"0.8197098553920351`", " ", "x3", " ", "x6"}], "-", 
  RowBox[{"0.8527400587138017`", " ", "x4", " ", "x6"}], "-", 
  RowBox[{"0.9576928632877129`", " ", "x5", " ", "x6"}], "-", 
  RowBox[{"0.5`", " ", 
   SuperscriptBox["x6", "2"]}], "-", 
  RowBox[{"0.6590817965936806`", " ", "x1", " ", "x7"}], "-", 
  RowBox[{"0.7227561348378263`", " ", "x2", " ", "x7"}], "-", 
  RowBox[{"0.7631763754811065`", " ", "x3", " ", "x7"}], "-", 
  RowBox[{"0.7939285625954775`", " ", "x4", " ", "x7"}], "-", 
  RowBox[{"0.8916430166360318`", " ", "x5", " ", "x7"}], "-", 
  RowBox[{"0.9310323286476886`", " ", "x6", " ", "x7"}], "-", 
  RowBox[{"0.5`", " ", 
   SuperscriptBox["x7", "2"]}], "-", 
  RowBox[{"0.48664999098958833`", " ", "x1", " ", "x8"}], "-", 
  RowBox[{"0.5336655758425332`", " ", "x2", " ", "x8"}], "-", 
  RowBox[{"0.5635108998167532`", " ", "x3", " ", "x8"}], "-", 
  RowBox[{"0.5862175678805123`", " ", "x4", " ", "x8"}], "-", 
  RowBox[{"0.6583675474796367`", " ", "x5", " ", "x8"}], "-", 
  RowBox[{"0.6874516587912047`", " ", "x6", " ", "x8"}], "-", 
  RowBox[{"0.7383757122480576`", " ", "x7", " ", "x8"}], "-", 
  RowBox[{"0.5`", " ", 
   SuperscriptBox["x8", "2"]}]}]], "Output",
 CellChangeTimes->{3.7407125276748962`*^9, 3.740712612864018*^9, 
  3.740712911888439*^9, 3.7407130464726405`*^9, 3.740713259838235*^9, 
  3.741243990590865*^9, 
  3.741244041416772*^9},ExpressionUUID->"ed8a8902-0e9c-4b31-b89d-\
d0a7f98f60fd"],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","eincr",
   "\"The global error of the strategy GlobalAdaptive has increased more than \
\\!\\(\\*RowBox[{\\\"2000\\\"}]\\) times. The global error is expected to \
decrease monotonically after a number of integrand evaluations. Suspect one \
of the following: the working precision is insufficient for the specified \
precision goal; the integrand is highly oscillatory or it is not a \
(piecewise) smooth function; or the true value of the integral is 0. \
Increasing the value of the GlobalAdaptive option MaxErrorIncreases might \
lead to a convergent numerical integration. NIntegrate obtained \
\\!\\(\\*RowBox[{\\\"116.750673314578`15.\\\"}]\\) and \
\\!\\(\\*RowBox[{\\\"0.0640621044658939`15.\\\"}]\\) for the integral and \
error estimates.\"",2,59,2,19911401611382953409,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7412439910548916`*^9, 
  3.741245029389281*^9},ExpressionUUID->"8eb98233-5668-47d3-95df-\
62d8a9c43577"],

Cell[BoxData["116.75067331457807677572864339990947758517`15."], "Output",
 CellChangeTimes->{3.7407125276748962`*^9, 3.740712612864018*^9, 
  3.740712911888439*^9, 3.7407130464726405`*^9, 3.740713259838235*^9, 
  3.741243990590865*^9, 3.741245029391281*^9}],

Cell[BoxData[
 TagBox[
  InterpretationBox["\<\"116.750673314578\"\>",
   116.75067331457807677572864339990947758517`15.,
   AutoDelete->True],
  NumberForm[#, 16]& ]], "Output",
 CellChangeTimes->{3.7407125276748962`*^9, 3.740712612864018*^9, 
  3.740712911888439*^9, 3.7407130464726405`*^9, 3.740713259838235*^9, 
  3.741243990590865*^9, 3.7412450293942814`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Matlab", " ", "Results"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"n", "=", "16"}], ",", " ", 
    RowBox[{
     RowBox[{"1.188260790816760", "e"}], "+", "02"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"n", "=", "32"}], ",", " ", 
    RowBox[{
     RowBox[{"1.167475848966488", "e"}], "+", "02"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"n", "=", "64"}], ",", " ", 
    RowBox[{
     RowBox[{"1.167505122381643", "e"}], "+", "02"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"n", "=", "128"}], ",", " ", 
    RowBox[{
     RowBox[{"1.167505122544810", "e"}], "+", "02"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"n", "=", "256"}], ",", " ", 
    RowBox[{
     RowBox[{"1.167505122544801", "e"}], "+", "02"}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.741244848454932*^9, 3.7412449156647763`*^9}, 
   3.741245418016509*^9, 3.7412571290123396`*^9, 3.741257189293788*^9, {
   3.741257233494316*^9, 3.741257239764674*^9}}]
},
WindowSize->{947, 1154},
WindowMargins->{{127, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.3 for Microsoft Windows (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 8165, 231, 418, "Input",ExpressionUUID->"8dd934d6-2d6a-4711-8ade-a0d3eb300de0"],
Cell[8748, 255, 329, 6, 32, "Output",ExpressionUUID->"f5b7a5a2-633d-4ed9-a080-e2f867f9e5bb"],
Cell[9080, 263, 330, 6, 32, "Output",ExpressionUUID->"76fd4815-4301-46ba-be8b-c6a6700f9c8e"],
Cell[9413, 271, 1008, 29, 50, "Output",ExpressionUUID->"151dc781-dead-4d2c-b1f4-45e98c5920af"],
Cell[10424, 302, 330, 6, 32, "Output",ExpressionUUID->"1e4a01da-c4d0-4f9d-8535-bf488167a9cb"],
Cell[10757, 310, 332, 6, 32, "Output",ExpressionUUID->"17c0f024-d434-4261-96c3-dda99a6f208e"],
Cell[11092, 318, 1005, 29, 50, "Output",ExpressionUUID->"44ea74ae-5af9-4b1f-b6ae-9c99a88f7705"]
}, Open  ]],
Cell[12112, 350, 3167, 76, 200, "Input",ExpressionUUID->"f4474f65-8bd5-4b77-9cce-1c0678dc1077"],
Cell[CellGroupData[{
Cell[15304, 430, 4823, 125, 276, "Input",ExpressionUUID->"ff5d5969-c69e-4ebf-bc33-528e520ad745"],
Cell[20130, 557, 410, 7, 32, "Output",ExpressionUUID->"ea135357-41dd-429c-8313-5a534d36992a"],
Cell[20543, 566, 412, 7, 32, "Output",ExpressionUUID->"0314d0ce-699a-4427-9f7f-3e13bd607858"],
Cell[20958, 575, 412, 7, 32, "Output",ExpressionUUID->"0d41e533-41a4-4a32-8cc1-554525ffde61"],
Cell[21373, 584, 412, 7, 32, "Output",ExpressionUUID->"0534e677-bbe2-40ed-9f70-f1ef77630748"],
Cell[21788, 593, 410, 7, 32, "Output",ExpressionUUID->"d22690d6-7eac-48bb-a129-1aad9aced100"],
Cell[22201, 602, 412, 7, 32, "Output",ExpressionUUID->"5c7d6e08-9449-4f8e-be66-56d3a0cfc621"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22650, 614, 4738, 130, 276, "Input",ExpressionUUID->"96652a5d-2fb3-4bf0-82f6-89da8938e057"],
Cell[27391, 746, 308, 6, 32, "Output",ExpressionUUID->"10dab9d9-9bba-4dc9-b8c9-68db3dd99e96"],
Cell[27702, 754, 1101, 31, 50, "Output",ExpressionUUID->"96363ff8-5554-48ec-8aa7-9ed22bc06899"],
Cell[28806, 787, 310, 6, 32, "Output",ExpressionUUID->"559ce842-0e9a-4f12-8034-1b602e3e22da"],
Cell[29119, 795, 308, 6, 32, "Output",ExpressionUUID->"999ea591-57bc-4921-9616-548321c110f7"],
Cell[29430, 803, 973, 28, 50, "Output",ExpressionUUID->"80d0ea55-be47-4895-9539-d38488cdb03a"],
Cell[30406, 833, 310, 6, 32, "Output",ExpressionUUID->"b0df0c9b-775d-48c9-912f-ef4d71f96e8c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30753, 844, 7336, 217, 295, "Input",ExpressionUUID->"ed8c8823-c63a-41f8-8251-ea02dec0adff"],
Cell[38092, 1063, 302, 6, 32, "Output",ExpressionUUID->"e32fc4e0-233d-454b-9df4-63248b992f7e"],
Cell[38397, 1071, 302, 6, 32, "Output",ExpressionUUID->"41faac92-9ea3-4ccb-a434-b4e51f36674f"],
Cell[38702, 1079, 302, 6, 32, "Output",ExpressionUUID->"2c2f41e4-e639-405b-87fa-2fbeb64dd284"],
Cell[39007, 1087, 301, 6, 32, "Output",ExpressionUUID->"91ecad2f-93a2-413e-83a6-3fff4f94bd54"],
Cell[39311, 1095, 304, 6, 32, "Output",ExpressionUUID->"0869951c-d9b2-4426-a8d7-bc2f114a198e"],
Cell[39618, 1103, 304, 6, 32, "Output",ExpressionUUID->"81cea83a-fb42-4215-902c-8813c7ee54e7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39959, 1114, 8669, 246, 437, "Input",ExpressionUUID->"1886370f-d3a4-4ca6-a4c4-7b3e5bc23a5f"],
Cell[48631, 1362, 390, 10, 48, "Output",ExpressionUUID->"856a3e52-d46c-46e9-8d05-b70839be2c80"],
Cell[49024, 1374, 390, 10, 48, "Output",ExpressionUUID->"d7bc559a-79c4-4698-ae9f-b7d72908aded"],
Cell[49417, 1386, 229, 4, 32, "Output",ExpressionUUID->"7b39a1b9-b6c4-4d83-a892-76da2b71238d"],
Cell[49649, 1392, 369, 9, 48, "Output",ExpressionUUID->"96658a34-8e7f-46c9-96ed-0eb72a2bec6e"],
Cell[50021, 1403, 369, 9, 48, "Output",ExpressionUUID->"1096c0bf-7169-48ba-8706-da43ee9b9d33"],
Cell[50393, 1414, 229, 4, 32, "Output",ExpressionUUID->"5346a01c-a3f8-48ae-a224-fdf32a6d0695"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50659, 1423, 8808, 253, 447, "Input",ExpressionUUID->"e1a3e7d0-0f7c-423a-9699-1c78a4079f46"],
Cell[59470, 1678, 434, 10, 32, "Output",ExpressionUUID->"036aa70a-f7df-4076-be55-0ce6599c6348"],
Cell[59907, 1690, 432, 10, 32, "Output",ExpressionUUID->"f8f466ad-4b92-454d-97a2-f1cdc87a14b6"],
Cell[60342, 1702, 253, 4, 32, "Output",ExpressionUUID->"fcb9f282-1c29-41b9-b306-d7e49d5a121c"],
Cell[60598, 1708, 521, 14, 32, "Output",ExpressionUUID->"62de5b03-60ad-4363-b4da-3c1039b7cf84"],
Cell[61122, 1724, 523, 14, 32, "Output",ExpressionUUID->"0641eed9-5f00-4818-a14a-a9b2a1ed1461"],
Cell[61648, 1740, 255, 4, 32, "Output",ExpressionUUID->"d669d0b3-b02a-4418-9ff9-4fc36420251b"],
Cell[61906, 1746, 690, 19, 51, "Output",ExpressionUUID->"afb42374-8d63-47d8-8599-b74c49948773"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62633, 1770, 9083, 264, 428, "Input",ExpressionUUID->"77e7aaaa-8a04-49e1-be2e-6bd1401ba0f0"],
Cell[71719, 2036, 422, 13, 32, "Output",ExpressionUUID->"97da34c5-4371-4105-b07c-14fea0eda338"],
Cell[72144, 2051, 422, 13, 32, "Output",ExpressionUUID->"2e65ac67-7cb3-4be5-a1d4-c5455b0417c0"],
Cell[72569, 2066, 152, 3, 32, "Output",ExpressionUUID->"8bcb9523-f30d-4b8b-bf85-550a1640cafd"],
Cell[72724, 2071, 490, 15, 48, "Output",ExpressionUUID->"79d60568-122d-4975-a409-f174ded47652"],
Cell[73217, 2088, 488, 15, 48, "Output",ExpressionUUID->"3ead06ad-7e4b-4db2-8e11-cf966d657312"],
Cell[73708, 2105, 152, 3, 32, "Output",ExpressionUUID->"8db84b3d-8eb5-4788-b6c8-ef30a66d04a6"],
Cell[73863, 2110, 589, 18, 51, "Output",ExpressionUUID->"fc2533c9-5181-438b-9880-e26e91082581"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74489, 2133, 397, 11, 28, "Input",ExpressionUUID->"0b03536c-02a6-4960-90b3-0998c7469b2d"],
Cell[74889, 2146, 591, 18, 51, "Output",ExpressionUUID->"cf63c7c6-1131-4692-9b5b-e607f759b7d4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75517, 2169, 9658, 281, 485, "Input",ExpressionUUID->"faa3ed6d-8057-4010-a5f9-7d7027d9e8c3"],
Cell[85178, 2452, 501, 14, 32, "Output",ExpressionUUID->"ab2489e5-580c-43e6-894c-cc5f054ca323"],
Cell[85682, 2468, 501, 14, 32, "Output",ExpressionUUID->"d46154a6-5c45-4217-91f4-19782db7aab4"],
Cell[86186, 2484, 176, 3, 32, "Output",ExpressionUUID->"c6e7e3b8-3172-4935-ab07-72ed83a3e21a"],
Cell[86365, 2489, 501, 14, 32, "Output",ExpressionUUID->"9d7b9faf-f611-43a9-ac05-a9dde4e1e72c"],
Cell[86869, 2505, 501, 14, 32, "Output",ExpressionUUID->"739d0569-0558-4dc5-979f-bc490ce41b56"],
Cell[87373, 2521, 176, 3, 32, "Output",ExpressionUUID->"dc349ab2-c4ba-4e08-86a0-c50667bc065e"],
Cell[87552, 2526, 628, 19, 51, "Output",ExpressionUUID->"57453164-398f-4453-9ae9-6bcd4acb6cf5"]
}, Open  ]],
Cell[88195, 2548, 2480, 57, 143, "Input",ExpressionUUID->"5c022223-4d01-4d67-9d98-cdeb95fd382e"],
Cell[90678, 2607, 5131, 137, 276, "Input",ExpressionUUID->"76174bc2-1681-43ee-9eff-b1bc6111b377"],
Cell[CellGroupData[{
Cell[95834, 2748, 12044, 350, 494, "Input",ExpressionUUID->"169c1cb5-43cb-4640-9d35-cd4a1814dcfe"],
Cell[107881, 3100, 449, 7, 32, "Output",ExpressionUUID->"9b7e3a30-a83d-4be8-b6e3-e862f0a075f0"],
Cell[108333, 3109, 449, 7, 32, "Output",ExpressionUUID->"e26e2bdd-134f-4f8c-be42-03b911ecb879"],
Cell[108785, 3118, 449, 7, 32, "Output",ExpressionUUID->"319b3d93-d1a2-4141-af98-9d7858b38138"],
Cell[109237, 3127, 449, 7, 32, "Output",ExpressionUUID->"ece3f6f7-f47c-4b33-bc35-f5fb2e011647"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109723, 3139, 19552, 555, 820, "Input",ExpressionUUID->"156946dc-c529-44af-a48b-922e213e9d7f"],
Cell[129278, 3696, 707, 10, 32, "Output",ExpressionUUID->"5e8f82e4-ef9c-4910-bd4b-b1385892814f"],
Cell[129988, 3708, 707, 10, 32, "Output",ExpressionUUID->"9916e979-d9b8-40f9-ab9c-d49177896f39"],
Cell[130698, 3720, 707, 10, 32, "Output",ExpressionUUID->"75c076b3-8f29-4bb8-9f54-1cf19e5a7140"],
Cell[131408, 3732, 705, 10, 32, "Output",ExpressionUUID->"84d1e919-2e8a-47c0-b321-c6b78094aeb3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132150, 3747, 22912, 672, 904, "Input",ExpressionUUID->"e95d0055-153e-4917-8f28-698ce3a2a108"],
Cell[155065, 4421, 528, 9, 32, "Output",ExpressionUUID->"8ea8bfd7-da14-477d-914f-93e8d1e8515c"],
Cell[155596, 4432, 530, 9, 32, "Output",ExpressionUUID->"c57c8032-2dec-4647-8e93-690cb26d291f"],
Cell[156129, 4443, 528, 9, 32, "Output",ExpressionUUID->"668cdd3b-93b4-41cd-b0d1-fff8177ad63b"],
Cell[156660, 4454, 530, 9, 32, "Output",ExpressionUUID->"44a9aef4-162c-4b81-a6d4-a3150341716c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157227, 4468, 45927, 1300, 1905, "Input",ExpressionUUID->"45a11626-b628-453b-95a1-4f906587a0d5"],
Cell[203157, 5770, 522, 9, 32, "Output",ExpressionUUID->"c3764c67-806d-4c9b-8d11-9f2ee9dcaed0"],
Cell[203682, 5781, 522, 9, 32, "Output",ExpressionUUID->"84d48b3c-1fe6-4ba7-8520-982abcb86f94"],
Cell[204207, 5792, 522, 9, 32, "Output",ExpressionUUID->"241f98dc-f683-49ca-9899-d26f2e743923"],
Cell[204732, 5803, 522, 9, 32, "Output",ExpressionUUID->"285acc07-84ca-45bd-8061-4b27a945e6a0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[205291, 5817, 45980, 1290, 1805, "Input",ExpressionUUID->"d22fdc52-842a-4ccf-8597-8d0546a51590"],
Cell[251274, 7109, 866, 13, 32, "Output",ExpressionUUID->"a49c6904-9445-4dbf-b83a-0fb353118e90"],
Cell[252143, 7124, 866, 13, 32, "Output",ExpressionUUID->"01c1ea79-09f5-4cd8-8e32-6e3e301122aa"],
Cell[253012, 7139, 864, 13, 32, "Output",ExpressionUUID->"7444ed85-72c3-4b8d-a7ab-d9d2909e26b5"],
Cell[253879, 7154, 866, 13, 32, "Output",ExpressionUUID->"af153217-7f8f-4bbb-854c-fe13f4019dbb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[254782, 7172, 16860, 509, 759, "Input",ExpressionUUID->"6bb44803-ac10-4791-a493-b06461c583c6"],
Cell[271645, 7683, 506, 8, 32, "Output",ExpressionUUID->"b779e7a4-0db2-481f-adc2-c8b13ed59dcc"],
Cell[272154, 7693, 506, 8, 32, "Output",ExpressionUUID->"15e5cf73-c497-4add-84c0-571d5fa47bbd"],
Cell[272663, 7703, 506, 8, 32, "Output",ExpressionUUID->"ceb5d637-533a-4700-92f5-842affba1bfe"],
Cell[273172, 7713, 506, 8, 32, "Output",ExpressionUUID->"d86529ec-3332-4d9b-a84f-3d3d4304ebbe"]
}, Open  ]],
Cell[CellGroupData[{
Cell[273715, 7726, 28640, 838, 1189, "Input",ExpressionUUID->"48e0d62c-87c9-4800-bc08-455233e09016"],
Cell[302358, 8566, 696, 11, 32, "Output",ExpressionUUID->"43ecc7a4-a9df-4f3a-acf9-a64cabe9d487"],
Cell[303057, 8579, 694, 11, 32, "Output",ExpressionUUID->"5dbf57c8-ab5a-4b5e-80c5-8bd3ae0731f5"],
Cell[303754, 8592, 694, 11, 32, "Output",ExpressionUUID->"d2ab6b2f-5fe2-483b-8150-6c21e28dc38b"],
Cell[304451, 8605, 694, 11, 32, "Output",ExpressionUUID->"e90f34d6-9ba6-40af-a17d-155c58661174"]
}, Open  ]],
Cell[CellGroupData[{
Cell[305182, 8621, 28634, 845, 1166, "Input",ExpressionUUID->"861ed373-fa9d-4a29-83e8-82ddcafd8725"],
Cell[333819, 9468, 578, 9, 32, "Output",ExpressionUUID->"2168b4c0-fbf4-47c5-9713-18ce22536102"],
Cell[334400, 9479, 580, 9, 32, "Output",ExpressionUUID->"62ba926a-2e03-48b4-9d8a-bc94263e4614"],
Cell[334983, 9490, 580, 9, 32, "Output",ExpressionUUID->"ad81d40c-c9bd-4ee3-a9d9-295770a408af"],
Cell[335566, 9501, 578, 9, 32, "Output",ExpressionUUID->"90377b11-616f-4d32-87fa-49dde6c2fa1f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[336181, 9515, 32671, 938, 1413, "Input",ExpressionUUID->"b22066bb-015b-41d4-9008-1b7cd5bf2440"],
Cell[368855, 10455, 604, 10, 32, "Output",ExpressionUUID->"29cd49b2-bd88-4a8a-96eb-2902ac6ac37b"],
Cell[369462, 10467, 604, 10, 32, "Output",ExpressionUUID->"08de406e-aa76-409e-9720-c1715bbe981f"],
Cell[370069, 10479, 604, 10, 32, "Output",ExpressionUUID->"8fbdf847-6887-40eb-8575-a641f5ce28a7"],
Cell[370676, 10491, 607, 10, 32, "Output",ExpressionUUID->"fbb0a618-5191-4a6d-8119-da5bd9fb2739"]
}, Open  ]],
Cell[CellGroupData[{
Cell[371320, 10506, 33467, 967, 1488, "Input",ExpressionUUID->"36239e85-edb9-4eb2-9b81-c3c3d28ef089"],
Cell[404790, 11475, 501, 8, 32, "Output",ExpressionUUID->"d9b5e93f-5fc1-4bc7-aeb7-d3479dcdd6ab"],
Cell[405294, 11485, 501, 8, 32, "Output",ExpressionUUID->"b5a14fe9-fad4-4729-8dcf-f5e2d841af1c"],
Cell[405798, 11495, 501, 8, 32, "Output",ExpressionUUID->"c96b6f02-907e-4205-8a65-fce889f6526a"],
Cell[406302, 11505, 501, 8, 32, "Output",ExpressionUUID->"e793761b-d094-41b4-9a78-7863d776840c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[406840, 11518, 17175, 504, 803, "Input",ExpressionUUID->"fc31c2a3-a282-4061-bb22-fc01fc8f1f18"],
Cell[424018, 12024, 776, 12, 32, "Output",ExpressionUUID->"81761860-549c-42cd-8991-a1f863526ca3"],
Cell[424797, 12038, 776, 12, 32, "Output",ExpressionUUID->"5823720f-6050-416f-9e8f-fede9291f8f1"],
Cell[425576, 12052, 776, 12, 32, "Output",ExpressionUUID->"481e543f-838e-4f9a-b7d2-99d7ba7573d7"],
Cell[426355, 12066, 776, 12, 32, "Output",ExpressionUUID->"22332ce5-089b-46e4-aafa-7178ddc19ffd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[427168, 12083, 40133, 1157, 1578, "Input",ExpressionUUID->"3fa7ee7b-1b68-4703-8d70-70dbadd06772"],
Cell[467304, 13242, 1016, 15, 32, "Output",ExpressionUUID->"703fec1f-a686-4cf1-ae7b-925ef5fc95b6"],
Cell[468323, 13259, 1016, 15, 32, "Output",ExpressionUUID->"7e07fd7b-d34e-4beb-b2be-087a6f6ca845"],
Cell[469342, 13276, 1018, 15, 32, "Output",ExpressionUUID->"f48b1102-869e-47dc-830d-ae43f012e841"],
Cell[470363, 13293, 1018, 15, 32, "Output",ExpressionUUID->"d827c807-80ea-4b20-91b6-6c0335628842"]
}, Open  ]],
Cell[CellGroupData[{
Cell[471418, 13313, 39129, 1112, 1728, "Input",ExpressionUUID->"c7399278-0fb2-4f41-b5d8-5517117662a7"],
Cell[510550, 14427, 1062, 16, 32, "Output",ExpressionUUID->"f5cf02ea-5776-4d9a-bf25-4443c687583c"],
Cell[511615, 14445, 1062, 16, 32, "Output",ExpressionUUID->"9cb8ab36-e222-4789-9288-3adb3fbc5b2f"],
Cell[512680, 14463, 1062, 16, 32, "Output",ExpressionUUID->"0b427a29-a3de-462d-9609-3e0373a17356"],
Cell[513745, 14481, 1062, 16, 32, "Output",ExpressionUUID->"8a4f7035-7fd9-47a8-9f3b-5bf3299da950"]
}, Open  ]],
Cell[CellGroupData[{
Cell[514844, 14502, 53874, 1509, 2173, "Input",ExpressionUUID->"c07ad3b2-1a19-4c38-b411-73f7994ec366"],
Cell[568721, 16013, 867, 13, 32, "Output",ExpressionUUID->"8847b888-09a5-4841-a89f-7a262c11774c"],
Cell[569591, 16028, 869, 13, 32, "Output",ExpressionUUID->"beeded66-4cbe-4839-b803-4929d256ceac"],
Cell[570463, 16043, 867, 13, 32, "Output",ExpressionUUID->"0250ee4c-a07d-4af4-8d9d-20255dde3dec"],
Cell[571333, 16058, 869, 13, 32, "Output",ExpressionUUID->"521f6ba3-9f2e-479b-8530-338cd390c2c2"]
}, Open  ]],
Cell[572217, 16074, 14513, 451, 835, "Input",ExpressionUUID->"4259a647-be9e-41e2-a4d7-c595b946812f"],
Cell[CellGroupData[{
Cell[586755, 16529, 675, 20, 67, "Input",ExpressionUUID->"84f531ee-7ed0-4ee2-acf6-d785c1550249"],
Cell[587433, 16551, 495, 15, 51, "Output",ExpressionUUID->"f9ebccaa-b1e8-4146-be93-c8963df605b1"],
Cell[587931, 16568, 537, 17, 51, "Output",ExpressionUUID->"19e5fd94-641c-4ff3-939a-3159f8d6b65b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[588505, 16590, 535, 16, 37, "Input",ExpressionUUID->"9c17ace3-008f-4251-bc23-94bc43dd8412"],
Cell[589043, 16608, 730, 25, 59, "Output",ExpressionUUID->"93726063-2d17-459b-a9a9-dfef9e6380f1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[589810, 16638, 480, 11, 28, "Input",ExpressionUUID->"3b37913f-4b85-45b6-be15-319d0a9745ef"],
Cell[590293, 16651, 233, 5, 67, "Output",ExpressionUUID->"fda3bc27-0fdd-4a0a-a4ca-71bfdffe8940"]
}, Open  ]],
Cell[CellGroupData[{
Cell[590563, 16661, 735, 24, 28, "Input",ExpressionUUID->"1e0bd036-ffaa-4746-866d-10df779fdccf"],
Cell[591301, 16687, 2756, 90, 118, "Output",ExpressionUUID->"d7428d70-9bd7-45aa-92fc-c9b1af58bfd9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[594094, 16782, 1347, 45, 116, "Input",ExpressionUUID->"467d2037-69be-4a44-bf69-9510485847d8"],
Cell[595444, 16829, 563, 18, 51, "Output",ExpressionUUID->"9ef99366-3957-47a2-84eb-12e844dd8441"],
Cell[596010, 16849, 498, 15, 51, "Output",ExpressionUUID->"ce51fcfb-88dd-401a-b985-90888450cf15"]
}, Open  ]],
Cell[596523, 16867, 533, 15, 31, "Input",ExpressionUUID->"3b6dc092-a385-4253-8555-181baa3f349c"],
Cell[597059, 16884, 335, 10, 28, "Input",ExpressionUUID->"57277c09-2e31-49b2-b4c9-3fc439e5523a"],
Cell[CellGroupData[{
Cell[597419, 16898, 651, 20, 31, "Input",ExpressionUUID->"7578a022-507d-4b75-8e2c-ff3ee6220607"],
Cell[598073, 16920, 156, 3, 32, "Output",ExpressionUUID->"3b88085f-ba7d-4da9-ade9-d83ded6e2ad0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[598266, 16928, 2095, 58, 124, "Input",ExpressionUUID->"782edc9e-eba0-4823-b973-2300ff92a9cd"],
Cell[600364, 16988, 1287, 40, 86, "Output",ExpressionUUID->"643a2cce-a29d-4207-acae-90c720e577bb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[601688, 17033, 462, 14, 28, "Input",ExpressionUUID->"b964114b-9f05-416a-8960-4b0fb51e40d5"],
Cell[602153, 17049, 813, 23, 56, "Output",ExpressionUUID->"f81647a7-3ace-4daf-833a-37fceb2029d4"]
}, Open  ]],
Cell[602981, 17075, 5662, 165, 295, "Input",ExpressionUUID->"8412c23d-f024-480a-9f77-cdae23328b2e"],
Cell[CellGroupData[{
Cell[608668, 17244, 6976, 205, 428, "Input",ExpressionUUID->"266bebfe-2ccd-44aa-a8b2-9b6ef3ac6e78"],
Cell[615647, 17451, 1059, 26, 82, "Output",ExpressionUUID->"d84db195-73ed-40d6-b9f9-fce35d9fc03f"],
Cell[616709, 17479, 1008, 26, 72, "Output",ExpressionUUID->"cd4dce34-feb7-4fda-bdab-79d51d8937cf"],
Cell[617720, 17507, 1562, 25, 51, "Message",ExpressionUUID->"9948da0a-c823-4542-a60d-e65469c0e6d4"],
Cell[619285, 17534, 1118, 20, 107, "Message",ExpressionUUID->"c7ca722c-191b-4251-8e2d-b7d976e31801"],
Cell[620406, 17556, 219, 3, 32, "Output",ExpressionUUID->"2c58342e-c35a-4662-aaf1-c98858c0ddd4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[620662, 17564, 180, 3, 28, "Input",ExpressionUUID->"211d4b87-7a8e-42f1-b81d-d0c6c0ff295f"],
Cell[620845, 17569, 251, 8, 32, "Output",ExpressionUUID->"662475a3-3700-45f5-8764-20a6ddde2fdb"]
}, Open  ]],
Cell[621111, 17580, 1407, 38, 143, "Input",ExpressionUUID->"d97f0657-6562-4897-a21f-477640bc0812"],
Cell[CellGroupData[{
Cell[622543, 17622, 10649, 275, 827, "Input",ExpressionUUID->"b2740356-6375-4944-809e-6de1b2dfe4fc"],
Cell[633195, 17899, 1172, 31, 37, "Output",ExpressionUUID->"dc75a2ab-f7cd-410a-a1e3-55dd94af13c8"],
Cell[634370, 17932, 1176, 31, 37, "Output",ExpressionUUID->"aceed8b6-28a1-470c-825c-44606168aaed"]
}, Open  ]],
Cell[635561, 17966, 5728, 144, 491, "Input",ExpressionUUID->"2a9c8f43-f496-4980-bc67-8b977ad137a2"],
Cell[641292, 18112, 4517, 136, 301, "Input",ExpressionUUID->"af3b9402-192b-4b59-884f-b2f8354cc0d0"],
Cell[645812, 18250, 254, 6, 28, "Input",ExpressionUUID->"7c75013c-5d22-41d2-bce3-e06d9325e574"],
Cell[CellGroupData[{
Cell[646091, 18260, 20754, 597, 960, "Input",ExpressionUUID->"7808f81b-2ded-43e2-8ee8-54d4f1ffed96"],
Cell[666848, 18859, 2309, 44, 150, "Output",ExpressionUUID->"920e235f-a661-4956-9d2d-5bf51c5f6d4b"],
Cell[669160, 18905, 544, 11, 32, "Output",ExpressionUUID->"7214818c-2c88-491d-b04d-b18577467cf6"],
Cell[669707, 18918, 2554, 51, 109, "Output",ExpressionUUID->"ed8a8902-0e9c-4b31-b89d-d0a7f98f60fd"],
Cell[672264, 18971, 1002, 17, 90, "Message",ExpressionUUID->"8eb98233-5668-47d3-95df-62d8a9c43577"],
Cell[673269, 18990, 257, 3, 32, "Output",ExpressionUUID->"35f50459-0255-4aeb-b181-73fee28bf316"],
Cell[673529, 18995, 364, 8, 32, "Output",ExpressionUUID->"a454ed3c-791b-41f0-ba58-4b044dcfa966"]
}, Open  ]],
Cell[673908, 19006, 1244, 36, 143, "Input",ExpressionUUID->"ee52d887-6124-45c3-94ed-a731e7f6516a"]
}
]
*)

